VIEW_INFO_MAP = {   
    'AP0001': {'desc': 'Company Options', 'name': 'APP01', 'protocol': 'FLAT'},
    'AP0002': {'desc': 'Invoicing Options', 'name': 'APP02', 'protocol': 'FLAT'},
    'AP0003': {'desc': 'Payment and Aging Options', 'name': 'APP03', 'protocol': 'FLAT'},
    'AP0004': {'desc': 'Integration Options', 'name': 'APP04', 'protocol': 'FLAT'},
    'AP0005': {'desc': 'Distribution Codes', 'name': 'APRDC', 'protocol': 'FLAT'},
    'AP0006': {'desc': 'Account Sets', 'name': 'APRAS', 'protocol': 'FLAT'},
    'AP0007': {'desc': '1099 / CPRS Codes', 'name': 'APCLX', 'protocol': 'FLAT'},
    'AP0008': {'desc': 'Distribution Set Details', 'name': 'APDSD', 'protocol': 'DETAIL'},
    'AP0009': {'desc': 'Distribution Sets', 'name': 'APDSH', 'protocol': 'HEADER'},
    'AP0010': {'desc': 'Payment Codes', 'name': 'APPTP', 'protocol': 'FLAT'},
    'AP0011': {'desc': 'Terms Payment Schedule', 'name': 'APRTB', 'protocol': 'DETAIL'},
    'AP0012': {'desc': 'Terms', 'name': 'APRTA', 'protocol': 'HEADER'},
    'AP0013': {'desc': '1099 / CPRS Amounts', 'name': 'APCCS', 'protocol': 'FLAT'},
    'AP0014': {'desc': 'Vendor Comments', 'name': 'APVCM', 'protocol': 'FLAT'},
    'AP0015': {'desc': 'Vendors', 'name': 'APVEN', 'protocol': 'HEADER'},
    'AP0016': {'desc': 'Vendor Groups', 'name': 'APVGR', 'protocol': 'HEADER'},
    'AP0017': {'desc': 'Vendor Group Statistics', 'name': 'APVGS', 'protocol': 'FLAT'},
    'AP0018': {'desc': 'Remit-To Locations', 'name': 'APVNR', 'protocol': 'HEADER'},
    'AP0019': {'desc': 'Vendor Statistics', 'name': 'APVSM', 'protocol': 'FLAT'},
    'AP0020': {'desc': 'Invoice Batches', 'name': 'APIBC', 'protocol': 'BATCH'},
    'AP0021': {'desc': 'Invoices', 'name': 'APIBH', 'protocol': 'HEADER'},
    'AP0022': {'desc': 'Invoice Details', 'name': 'APIBD', 'protocol': 'DETAIL'},
    'AP0023': {'desc': 'Invoice Payment Schedules', 'name': 'APIBS', 'protocol': 'DETAIL'},
    'AP0024': {'desc': 'Invoice Detail Comments', 'name': 'APIBT', 'protocol': 'FLAT'},
    'AP0025': {'desc': 'Documents', 'name': 'APOBL', 'protocol': 'FLAT'},
    'AP0026': {'desc': 'Document Sched. Payments', 'name': 'APOBS', 'protocol': 'FLAT'},
    'AP0027': {'desc': 'Document Payments', 'name': 'APOBP', 'protocol': 'FLAT'},
    'AP0029': {'desc': 'Posted Payments', 'name': 'APPYM', 'protocol': 'FLAT'},
    'AP0030': {'desc': 'Payment and Adjustment Batches', 'name': 'APBTA', 'protocol': 'BATCH'},
    'AP0031': {'desc': 'Payments/Adjustments', 'name': 'APTCR', 'protocol': 'HEADER'},
    'AP0032': {'desc': 'Miscellaneous Payments', 'name': 'APTCN', 'protocol': 'DETAIL'},
    'AP0033': {'desc': 'Applied Payments', 'name': 'APTCP', 'protocol': 'DETAIL'},
    'AP0034': {'desc': 'Adjustment G/L Distributions', 'name': 'APTCU', 'protocol': 'DETAIL'},
    'AP0035': {'desc': 'Selection Criteria Header', 'name': 'APSLH', 'protocol': 'HEADER'},
    'AP0036': {'desc': 'Selection Criteria Details', 'name': 'APSLD', 'protocol': 'DETAIL'},
    'AP0037': {'desc': 'Payment G/L Distributions', 'name': 'APTRK', 'protocol': 'FLAT'},
    'AP0038': {'desc': 'Posting Error Messages', 'name': 'APPTER', 'protocol': 'FLAT'},
    'AP0039': {'desc': '', 'name': 'APIVPT', 'protocol': 'SUPER'},
    'AP0040': {'desc': 'Post Payments and Adjustments', 'name': 'APPYPT', 'protocol': 'SUPER'},
    'AP0041': {'desc': 'Revaluation', 'name': 'APUNGL', 'protocol': 'SUPER'},
    'AP0042': {'desc': 'Create G/L Batch', 'name': 'APGLTR', 'protocol': 'SUPER'},
    'AP0043': {'desc': '', 'name': 'APAGE', 'protocol': 'SUPER'},
    'AP0044': {'desc': 'Process Year End', 'name': 'APYREN', 'protocol': 'SUPER'},
    'AP0045': {'desc': 'Integrity Checker', 'name': 'APINTCK', 'protocol': 'FLAT'},
    'AP0047': {'desc': 'Update Statistics', 'name': 'APSTAT', 'protocol': 'SUPER'},
    'AP0048': {'desc': 'Create Open Document List', 'name': 'APPOOP', 'protocol': 'FLAT'},
    'AP0049': {'desc': 'Clear Fully Paid Documents', 'name': 'APPREN', 'protocol': 'SUPER'},
    'AP0050': {'desc': 'Clear Vendor Comments', 'name': 'APPGCM', 'protocol': 'SUPER'},
    'AP0051': {'desc': 'Clear Statistics', 'name': 'APPGST', 'protocol': 'SUPER'},
    'AP0052': {'desc': 'Delete Inactive Records', 'name': 'APPGIA', 'protocol': 'SUPER'},
    'AP0054': {'desc': 'Return Payments', 'name': 'APPYRV', 'protocol': 'SUPER'},
    'AP0055': {'desc': 'Update Print Status', 'name': 'APBPPU', 'protocol': 'SUPER'},
    'AP0056': {'desc': 'Generate System Batch', 'name': 'APSYGN', 'protocol': 'SUPER'},
    'AP0057': {'desc': 'Control Payments', 'name': 'APCTRL', 'protocol': 'SUPER'},
    'AP0058': {'desc': 'Print Checks', 'name': 'APCHKS', 'protocol': 'SUPER'},
    'AP0059': {'desc': 'Clear Deleted and Posted Batches', 'name': 'APBCTU', 'protocol': 'SUPER'},
    'AP0060': {'desc': 'Payment Advices', 'name': 'APADV', 'protocol': 'FLAT'},
    'AP0061': {'desc': 'Restart', 'name': 'APRSTRT', 'protocol': 'FLAT'},
    'AP0062': {'desc': 'AP Drill Down', 'name': 'APDLDN', 'protocol': 'SUPER'},
    'AP0063': {'desc': 'Revaluation Details', 'name': 'APRVL', 'protocol': 'HEADER'},
    'AP0064': {'desc': 'Recurring Payables', 'name': 'APRPH', 'protocol': 'HEADER'},
    'AP0065': {'desc': 'Recurring Payable Details', 'name': 'APRPD', 'protocol': 'DETAIL'},
    'AP0066': {'desc': 'Create Recurring Payable Batch', 'name': 'APRCUR', 'protocol': 'SUPER'},
    'AP0067': {'desc': 'AP Drill Down Driver', 'name': 'APDDDR', 'protocol': 'SUPER'},
    'AP0068': {'desc': 'Scheduler Interface', 'name': 'APSCHED', 'protocol': 'SUPER'},
    'AP0069': {'desc': 'Payment Tax Withholdings', 'name': 'APTCT', 'protocol': 'DETAIL'},
    'AP0090': {'desc': 'Company Balance', 'name': 'APBAL', 'protocol': 'SUPER'},
    'AP0100': {'desc': 'Accounts Payable Activation', 'name': 'APINIT', 'protocol': 'SUPER'},
    'AP0110': {'desc': 'Documents', 'name': 'APDOCS', 'protocol': 'SUPER'},
    'AP0111': {'desc': '1099 / CPRS Amount Checking', 'name': 'APITN', 'protocol': 'SUPER'},
    'AP0112': {'desc': 'T5018 (CPRS) Electronic Filing', 'name': 'APCPRSX', 'protocol': 'SUPER'},
    'AP0120': {'desc': 'E-mail Messages', 'name': 'APMSG', 'protocol': 'FLAT'},
    'AP0121': {'desc': 'G/L Reference Integration', 'name': 'APGLREF', 'protocol': 'FLAT'},
    'AP0125': {'desc': 'Aged Documents', 'name': 'APAGED', 'protocol': 'FLAT'},
    'AP0135': {'desc': 'Vendor Comment Details', 'name': 'APVCMD', 'protocol': 'FLAT'},
    'AP0136': {'desc': 'Comment Types', 'name': 'APCMMTP', 'protocol': 'FLAT'},
    'AP0137': {'desc': 'Aged Payable Porlet Processor', 'name': 'APATB', 'protocol': 'SUPER'},
    'AP0138': {'desc': 'Days Payable Outstanding', 'name': 'APDPO', 'protocol': 'FLAT'},
    'AP0139': {'desc': 'Vendor Options', 'name': 'APP05', 'protocol': 'FLAT'},
    'AP0170': {'desc': 'Advance Credits', 'name': 'APTCC', 'protocol': 'DETAIL'},
    'AP0171': {'desc': 'Document Detail Payments', 'name': 'APOBLJP', 'protocol': 'FLAT'},
    'AP0180': {'desc': 'Invoice Detail Sage Fixed Assets', 'name': 'APIBDA', 'protocol': 'FLAT'},
    'AP0181': {'desc': 'Revaluation History', 'name': 'APRVLLOG', 'protocol': 'FLAT'},
    'AP0200': {'desc': 'Open Document Details', 'name': 'APOBLJ', 'protocol': 'FLAT'},
    'AP0202': {'desc': 'Job Resource Validation', 'name': 'APPMRES', 'protocol': 'SUPER'},
    'AP0204': {'desc': 'Job Costing Transactions', 'name': 'APJTR', 'protocol': 'FLAT'},
    'AP0300': {'desc': 'Create Retainage Document Batch', 'name': 'APIRTNG', 'protocol': 'SUPER'},
    'AP0310': {'desc': 'Age Retainage Documents', 'name': 'APAGERTG', 'protocol': 'SUPER'},
    'AP0311': {'desc': 'Retainage Open Documents', 'name': 'APRTG', 'protocol': 'FLAT'},
    'AP0401': {'desc': 'Invoice Detail Optional Fields', 'name': 'APIBDO', 'protocol': 'DETAIL'},
    'AP0402': {'desc': 'Invoice Optional Fields', 'name': 'APIBHO', 'protocol': 'DETAIL'},
    'AP0403': {'desc': 'Open Document Optional Fields', 'name': 'APOBLO', 'protocol': 'FLAT'},
    'AP0404': {'desc': 'Recurring Payable Detail Fields', 'name': 'APRPDO', 'protocol': 'DETAIL'},
    'AP0405': {'desc': 'Recurring Payable Optional Field', 'name': 'APRPHO', 'protocol': 'DETAIL'},
    'AP0406': {'desc': 'Payment/Adjustment Optional Fiel', 'name': 'APTCRO', 'protocol': 'DETAIL'},
    'AP0407': {'desc': 'Vendor Optional Field Values', 'name': 'APVENO', 'protocol': 'DETAIL'},
    'AP0408': {'desc': 'Vendor Group Optional Field Valu', 'name': 'APVGRO', 'protocol': 'DETAIL'},
    'AP0409': {'desc': 'Remit-To Location Optional Field', 'name': 'APVNRO', 'protocol': 'DETAIL'},
    'AP0410': {'desc': 'Revaluation Optional Fields', 'name': 'APRVLO', 'protocol': 'DETAIL'},
    'AP0411': {'desc': 'Selection Criteria Opt. Fields', 'name': 'APSLHO', 'protocol': 'DETAIL'},
    'AP0420': {'desc': 'Selected Vendors', 'name': 'APSLVEN', 'protocol': 'FLAT'},
    'AP0421': {'desc': 'Select Vendors', 'name': 'APSELECT', 'protocol': 'SUPER'},
    'AP0500': {'desc': 'Optional Fields', 'name': 'APOFD', 'protocol': 'DETAIL'},
    'AP0501': {'desc': 'Optional Field Locations', 'name': 'APOFH', 'protocol': 'HEADER'},
    'AP0502': {'desc': 'AP Optional Field Callbacks', 'name': 'APOFCMD', 'protocol': 'SUPER'},
    'AP0510': {'desc': 'Posting Journal Details', 'name': 'APPJD', 'protocol': 'FLAT'},
    'AP0511': {'desc': 'Posting Journal Entries', 'name': 'APPJH', 'protocol': 'FLAT'},
    'AP0512': {'desc': 'Posting Journals', 'name': 'APPJS', 'protocol': 'FLAT'},
    'AP0513': {'desc': 'Posting Journal Detail Optional', 'name': 'APPJDO', 'protocol': 'FLAT'},
    'AP0514': {'desc': 'Posting Journal Entry Optional F', 'name': 'APPJHO', 'protocol': 'FLAT'},
    'AP0515': {'desc': 'Open Doc. Detail Optional Fields', 'name': 'APOBLJO', 'protocol': 'FLAT'},
    'AP0516': {'desc': 'Posting Journal Generated AP Ent', 'name': 'APPJAIH', 'protocol': 'FLAT'},
    'AP0517': {'desc': 'Posting Journal Generated AP Det', 'name': 'APPJAID', 'protocol': 'FLAT'},
    'AP0519': {'desc': 'Posting Journal Generated GL Det', 'name': 'APPJGID', 'protocol': 'FLAT'},
    'AP0949': {'desc': 'Yearly Vendor Statistics', 'name': 'APVSYR', 'protocol': 'SUPER'},
    'AP0950': {'desc': 'Yearly Vendor Group Statistics', 'name': 'APVGYR', 'protocol': 'SUPER'},
    'AP0951': {'desc': 'Yearly Vendor Statistics', 'name': 'APVSPR', 'protocol': 'SUPER'},
    'AP0952': {'desc': 'Vendor Group Statistics', 'name': 'APVGPR', 'protocol': 'SUPER'},
    'AR': {'desc': 'Accounts Receivable', 'name': '', 'protocol': 'APP'},
    'AR0001': {'desc': 'Company Options', 'name': 'ARR01', 'protocol': 'FLAT'},
    'AR0002': {'desc': 'Invoicing Options', 'name': 'ARR02', 'protocol': 'FLAT'},
    'AR0003': {'desc': 'Receipt and Adjustment Options', 'name': 'ARR03', 'protocol': 'FLAT'},
    'AR0004': {'desc': 'Statement Processing Options', 'name': 'ARR04', 'protocol': 'FLAT'},
    'AR0005': {'desc': 'Customer and Ship-To Options', 'name': 'ARR05', 'protocol': 'FLAT'},
    'AR0006': {'desc': 'G/L Integration Options', 'name': 'ARR06', 'protocol': 'FLAT'},
    'AR0008': {'desc': 'Dunning Messages', 'name': 'ARDUN', 'protocol': 'FLAT'},
    'AR0009': {'desc': 'Item Pricing', 'name': 'ARITD', 'protocol': 'DETAIL'},
    'AR0010': {'desc': 'Items', 'name': 'ARITH', 'protocol': 'HEADER'},
    'AR0011': {'desc': 'Item Tax Classes', 'name': 'ARITT', 'protocol': 'DETAIL'},
    'AR0012': {'desc': 'Payment Codes', 'name': 'ARPTP', 'protocol': 'FLAT'},
    'AR0013': {'desc': 'Account Sets', 'name': 'ARRAS', 'protocol': 'FLAT'},
    'AR0014': {'desc': 'Billing Cycles', 'name': 'ARRBC', 'protocol': 'FLAT'},
    'AR0015': {'desc': 'Distribution Codes', 'name': 'ARRDC', 'protocol': 'FLAT'},
    'AR0016': {'desc': 'Terms Codes', 'name': 'ARRTA', 'protocol': 'HEADER'},
    'AR0017': {'desc': 'Terms Payment Schedules', 'name': 'ARRTB', 'protocol': 'DETAIL'},
    'AR0018': {'desc': 'Salespersons', 'name': 'ARSAP', 'protocol': 'FLAT'},
    'AR0019': {'desc': 'Interest Rates by Currency', 'name': 'ARSVC', 'protocol': 'DETAIL'},
    'AR0020': {'desc': 'Interest Profiles', 'name': 'ARSVD', 'protocol': 'HEADER'},
    'AR0021': {'desc': 'Customer Comments', 'name': 'ARCMM', 'protocol': 'FLAT'},
    'AR0022': {'desc': 'Customer Statistics', 'name': 'ARCSM', 'protocol': 'FLAT'},
    'AR0023': {'desc': 'Ship-To Locations', 'name': 'ARCSP', 'protocol': 'HEADER'},
    'AR0024': {'desc': 'Customers', 'name': 'ARCUS', 'protocol': 'HEADER'},
    'AR0025': {'desc': 'Customer Groups', 'name': 'ARGRO', 'protocol': 'HEADER'},
    'AR0026': {'desc': 'Customer Group Statistics', 'name': 'ARGSM', 'protocol': 'FLAT'},
    'AR0027': {'desc': 'Item Statistics', 'name': 'ARITS', 'protocol': 'FLAT'},
    'AR0028': {'desc': 'National Accounts', 'name': 'ARNAT', 'protocol': 'HEADER'},
    'AR0029': {'desc': 'National Account Statistics', 'name': 'ARNSM', 'protocol': 'FLAT'},
    'AR0030': {'desc': 'Salesperson Statistics', 'name': 'ARSPS', 'protocol': 'FLAT'},
    'AR0031': {'desc': 'Invoice Batches', 'name': 'ARIBC', 'protocol': 'BATCH'},
    'AR0032': {'desc': 'Invoices', 'name': 'ARIBH', 'protocol': 'HEADER'},
    'AR0033': {'desc': 'Invoice Details', 'name': 'ARIBD', 'protocol': 'DETAIL'},
    'AR0034': {'desc': 'Invoice Payment Schedules', 'name': 'ARIBS', 'protocol': 'DETAIL'},
    'AR0035': {'desc': 'Invoice Detail Comments', 'name': 'ARIBT', 'protocol': 'FLAT'},
    'AR0036': {'desc': 'Documents', 'name': 'AROBL', 'protocol': 'FLAT'},
    'AR0037': {'desc': 'Document Sched. Payments', 'name': 'AROBS', 'protocol': 'FLAT'},
    'AR0038': {'desc': 'Document Payments', 'name': 'AROBP', 'protocol': 'FLAT'},
    'AR0040': {'desc': 'Posted Receipts', 'name': 'ARRRH', 'protocol': 'FLAT'},
    'AR0041': {'desc': 'Receipt and Adjustment Batches', 'name': 'ARBTA', 'protocol': 'BATCH'},
    'AR0042': {'desc': 'Receipts/Adjustments', 'name': 'ARTCR', 'protocol': 'HEADER'},
    'AR0043': {'desc': 'Miscellaneous Receipts', 'name': 'ARTCN', 'protocol': 'DETAIL'},
    'AR0044': {'desc': 'Applied Receipts/Adjustments', 'name': 'ARTCP', 'protocol': 'DETAIL'},
    'AR0045': {'desc': 'Adjustment G/L Distributions', 'name': 'ARTCU', 'protocol': 'DETAIL'},
    'AR0046': {'desc': 'Recurring Charges', 'name': 'ARSIA', 'protocol': 'HEADER'},
    'AR0047': {'desc': 'Recurring Charge Details', 'name': 'ARSID', 'protocol': 'DETAIL'},
    'AR0048': {'desc': '', 'name': 'ARIVPT', 'protocol': 'SUPER'},
    'AR0049': {'desc': '', 'name': 'ARPYPT', 'protocol': 'SUPER'},
    'AR0050': {'desc': 'Create Interest Batch', 'name': 'ARINTR', 'protocol': 'SUPER'},
    'AR0051': {'desc': 'Create Write-Off Batch', 'name': 'ARWROF', 'protocol': 'SUPER'},
    'AR0052': {'desc': 'Revaluation', 'name': 'ARUNGL', 'protocol': 'SUPER'},
    'AR0053': {'desc': 'Create G/L Batch', 'name': 'ARGLTR', 'protocol': 'SUPER'},
    'AR0054': {'desc': 'Receipt G/L Distributions', 'name': 'ARRRD', 'protocol': 'FLAT'},
    'AR0055': {'desc': '', 'name': 'ARAGE', 'protocol': 'SUPER'},
    'AR0056': {'desc': 'Process Year End', 'name': 'ARYREN', 'protocol': 'SUPER'},
    'AR0057': {'desc': 'Integrity Checker', 'name': 'ARINTCK', 'protocol': 'FLAT'},
    'AR0059': {'desc': 'Create Recurring Charge', 'name': 'ARRCUR', 'protocol': 'SUPER'},
    'AR0060': {'desc': 'Update Statistics', 'name': 'ARSTAT', 'protocol': 'SUPER'},
    'AR0061': {'desc': 'Create Open Document List', 'name': 'ARPOOP', 'protocol': 'FLAT'},
    'AR0062': {'desc': 'Posting Error Messages', 'name': 'ARPTER', 'protocol': 'FLAT'},
    'AR0063': {'desc': 'Clear Fully Paid Documents', 'name': 'ARPREN', 'protocol': 'SUPER'},
    'AR0064': {'desc': 'Clear Customer Comments', 'name': 'ARPGCM', 'protocol': 'SUPER'},
    'AR0065': {'desc': 'Clear Statistics', 'name': 'ARPGST', 'protocol': 'SUPER'},
    'AR0066': {'desc': 'Delete Inactive Record', 'name': 'ARPGIA', 'protocol': 'SUPER'},
    'AR0067': {'desc': 'Clear Deleted and Posted Batches', 'name': 'ARBCTU', 'protocol': 'SUPER'},
    'AR0072': {'desc': 'Reconcile Receipts/Payments', 'name': 'ARPYRV', 'protocol': 'SUPER'},
    'AR0076': {'desc': 'Update Print Status', 'name': 'ARBPPU', 'protocol': 'SUPER'},
    'AR0077': {'desc': 'Create Statements', 'name': 'ARSTMT', 'protocol': 'SUPER'},
    'AR0078': {'desc': 'Restart', 'name': 'ARRSTRT', 'protocol': 'FLAT'},
    'AR0079': {'desc': 'Revaluation Details', 'name': 'ARRVL', 'protocol': 'HEADER'},
    'AR0080': {'desc': 'AR Drill Down', 'name': 'ARDLDN', 'protocol': 'SUPER'},
    'AR0081': {'desc': 'Update Recurring Chrgs Instrns', 'name': 'ARURC', 'protocol': 'FLAT'},
    'AR0082': {'desc': 'Process Update Recurring Chrgs', 'name': 'ARURCP', 'protocol': 'SUPER'},
    'AR0083': {'desc': 'AR Drill Down Driver', 'name': 'ARDDDR', 'protocol': 'SUPER'},
    'AR0084': {'desc': 'Scheduler Interface', 'name': 'ARSCHED', 'protocol': 'SUPER'},
    'AR0087': {'desc': 'Set Prepayment Matching Invoice', 'name': 'ARSPMI', 'protocol': 'SUPER'},
    'AR0088': {'desc': 'Document Detail Payments', 'name': 'AROBLJP', 'protocol': 'FLAT'},
    'AR0089': {'desc': 'Revaluation History', 'name': 'ARRVLLOG', 'protocol': 'FLAT'},
    'AR0090': {'desc': 'Company Balance', 'name': 'ARBAL', 'protocol': 'SUPER'},
    'AR0094': {'desc': 'Comment Types', 'name': 'ARCMMTP', 'protocol': 'FLAT'},
    'AR0095': {'desc': 'Unposted Entries', 'name': 'ARUNPSTH', 'protocol': 'FLAT'},
    'AR0096': {'desc': 'Unposted Details', 'name': 'ARUNPSTD', 'protocol': 'FLAT'},
    'AR0097': {'desc': 'Select Lists', 'name': 'ARSLLST', 'protocol': 'FLAT'},
    'AR0100': {'desc': 'Accounts Receivable Activation', 'name': 'ARINIT', 'protocol': 'SUPER'},
    'AR0110': {'desc': 'Reprint Statement Header', 'name': 'ARSTRUN', 'protocol': 'FLAT'},
    'AR0111': {'desc': 'Reprint Statement Customers', 'name': 'ARSTCUS', 'protocol': 'FLAT'},
    'AR0112': {'desc': 'Reprint Statement Customer Invoi', 'name': 'ARSTOBL', 'protocol': 'FLAT'},
    'AR0113': {'desc': 'Reprint Statement Customer Recei', 'name': 'ARSTOBP', 'protocol': 'FLAT'},
    'AR0114': {'desc': 'Reprint Statement NAT Customers', 'name': 'ARSTNAT', 'protocol': 'FLAT'},
    'AR0120': {'desc': 'E-mail Messages', 'name': 'ARMSG', 'protocol': 'FLAT'},
    'AR0125': {'desc': 'Aged Documents', 'name': 'ARAGED', 'protocol': 'FLAT'},
    'AR0130': {'desc': 'Documents', 'name': 'ARDOCS', 'protocol': 'SUPER'},
    'AR0135': {'desc': 'Customer Comment Details', 'name': 'ARCMMD', 'protocol': 'FLAT'},
    'AR0137': {'desc': 'Aged Receivable Porlet Processor', 'name': 'ARATB', 'protocol': 'SUPER'},
    'AR0138': {'desc': 'Days Receivable Outstanding Proc', 'name': 'ARDRO', 'protocol': 'FLAT'},
    'AR0139': {'desc': 'Payments', 'name': 'ARPYM', 'protocol': 'FLAT'},
    'AR0140': {'desc': 'Refund Batches', 'name': 'ARRFB', 'protocol': 'BATCH'},
    'AR0141': {'desc': 'Refund Entries', 'name': 'ARRFH', 'protocol': 'HEADER'},
    'AR0142': {'desc': 'Refund Details', 'name': 'ARRFD', 'protocol': 'DETAIL'},
    'AR0143': {'desc': 'Refund Optional Fields', 'name': 'ARRFHO', 'protocol': 'DETAIL'},
    'AR0145': {'desc': 'Refund Detail Jobs', 'name': 'ARRFDJ', 'protocol': 'DETAIL'},
    'AR0146': {'desc': 'G/L Reference Integration', 'name': 'ARGLREF', 'protocol': 'FLAT'},
    'AR0150': {'desc': 'Post Refunds', 'name': 'ARRFPT', 'protocol': 'SUPER'},
    'AR0160': {'desc': 'Customer Balances', 'name': 'ARCBAL', 'protocol': 'SUPER'},
    'AR0170': {'desc': 'Advance Credits', 'name': 'ARTCC', 'protocol': 'DETAIL'},
    'AR0180': {'desc': 'Generate Labels', 'name': 'ARLABEL', 'protocol': 'SUPER'},
    'AR0190': {'desc': 'Generated Labels', 'name': 'ARSLLBL', 'protocol': 'FLAT'},
    'AR0200': {'desc': 'Open Document Details', 'name': 'AROBLJ', 'protocol': 'FLAT'},
    'AR0202': {'desc': 'Job Resource Validation', 'name': 'ARPMRES', 'protocol': 'SUPER'},
    'AR0204': {'desc': 'Job Costing Transactions', 'name': 'ARJTR', 'protocol': 'FLAT'},
    'AR0210': {'desc': '', 'name': 'ARCCREC', 'protocol': 'FLAT'},
    'AR0211': {'desc': 'Create Credit Card Receipts Dtl', 'name': 'ARCCRECD', 'protocol': 'FLAT'},
    'AR0300': {'desc': 'Create Retainage Document Batch', 'name': 'ARIRTNG', 'protocol': 'SUPER'},
    'AR0310': {'desc': 'Age Retainage Documents', 'name': 'ARAGERTG', 'protocol': 'SUPER'},
    'AR0311': {'desc': 'Retainage Open Documents', 'name': 'ARRTG', 'protocol': 'FLAT'},
    'AR0400': {'desc': 'Customer Optional Field Values', 'name': 'ARCUSO', 'protocol': 'DETAIL'},
    'AR0401': {'desc': 'Invoice Detail Optional Fields', 'name': 'ARIBDO', 'protocol': 'DETAIL'},
    'AR0402': {'desc': 'Invoice Optional Fields', 'name': 'ARIBHO', 'protocol': 'DETAIL'},
    'AR0403': {'desc': 'Open Document Optional Fields', 'name': 'AROBLO', 'protocol': 'FLAT'},
    'AR0404': {'desc': 'Rec. Charge Detail Opt. Fields', 'name': 'ARSIDO', 'protocol': 'DETAIL'},
    'AR0405': {'desc': 'Recurring Charge Optional Fields', 'name': 'ARSIAO', 'protocol': 'DETAIL'},
    'AR0406': {'desc': 'Receipt/Adjustment Optional Fiel', 'name': 'ARTCRO', 'protocol': 'DETAIL'},
    'AR0407': {'desc': 'Posting Journal Details', 'name': 'ARPJD', 'protocol': 'FLAT'},
    'AR0408': {'desc': 'Posting Journal Entries', 'name': 'ARPJH', 'protocol': 'FLAT'},
    'AR0409': {'desc': 'Posting Journals', 'name': 'ARPJS', 'protocol': 'FLAT'},
    'AR0410': {'desc': 'Customer Group Optional Field Va', 'name': 'ARGROO', 'protocol': 'DETAIL'},
    'AR0411': {'desc': 'National Account Optional Field', 'name': 'ARNATO', 'protocol': 'DETAIL'},
    'AR0412': {'desc': 'Ship-To Locations Optional Field', 'name': 'ARCSPO', 'protocol': 'DETAIL'},
    'AR0413': {'desc': 'Posting Journal Detail Optional', 'name': 'ARPJDO', 'protocol': 'FLAT'},
    'AR0414': {'desc': 'Posting Journal Entry Optional F', 'name': 'ARPJHO', 'protocol': 'FLAT'},
    'AR0415': {'desc': 'Revaluation Optional Fields', 'name': 'ARRVLO', 'protocol': 'DETAIL'},
    'AR0420': {'desc': 'Selected customers', 'name': 'ARSLCUS', 'protocol': 'FLAT'},
    'AR0421': {'desc': 'Select customers', 'name': 'ARSELECT', 'protocol': 'SUPER'},
    'AR0450': {'desc': 'Calculate Document Pending Balan', 'name': 'ARPEND', 'protocol': 'SUPER'},
    'AR0460': {'desc': 'Payment Advices', 'name': 'ARADV', 'protocol': 'FLAT'},
    'AR0461': {'desc': 'Print Checks', 'name': 'ARCHKS', 'protocol': 'SUPER'},
    'AR0500': {'desc': 'Optional Fields', 'name': 'AROFD', 'protocol': 'DETAIL'},
    'AR0501': {'desc': 'Optional Field Locations', 'name': 'AROFH', 'protocol': 'HEADER'},
    'AR0502': {'desc': 'AR Optional Field Callbacks', 'name': 'AROFCMD', 'protocol': 'SUPER'},
    'AR0503': {'desc': 'Function Parameters Detail', 'name': 'AROFPD', 'protocol': 'DETAIL'},
    'AR0504': {'desc': 'Function Parameters Header', 'name': 'AROFPH', 'protocol': 'HEADER'},
    'AR0506': {'desc': 'Customer Statement Optional Fiel', 'name': 'ARSTCUSO', 'protocol': 'FLAT'},
    'AR0507': {'desc': 'Statement Customer Invoice Optio', 'name': 'ARSTOBLO', 'protocol': 'FLAT'},
    'AR0515': {'desc': 'Open Doc. Detail Optional Fields', 'name': 'AROBLJO', 'protocol': 'FLAT'},
    'AS': {'desc': 'Administrative Services', 'name': '', 'protocol': 'APP'},
    'AS0001': {'desc': 'Security Groups', 'name': 'CSSEC', 'protocol': 'FLAT'},
    'AS0002': {'desc': 'User Authorizations', 'name': 'CSAUTH', 'protocol': 'FLAT'},
    'AS0003': {'desc': 'Users', 'name': 'A4WUSER', 'protocol': 'FLAT'},
    'AS0004': {'desc': 'Customization Directories', 'name': 'A4WCUST', 'protocol': 'FLAT'},
    'AS0005': {'desc': 'UI Cust. Profile Headers', 'name': 'CSUICSH', 'protocol': 'HEADER'},
    'AS0006': {'desc': 'UI Cust. Profile Details', 'name': 'CSUICST', 'protocol': 'DETAIL'},
    'AS0007': {'desc': 'User UI Customizations', 'name': 'CSUSCST', 'protocol': 'FLAT'},
    'AS0010': {'desc': 'Administrative Services Data Int', 'name': 'ASINTCHK', 'protocol': 'SUPER'},
    'AS0020': {'desc': 'Companies', 'name': 'ASORGS', 'protocol': 'FLAT'},
    'AS0021': {'desc': 'Restart Records', 'name': 'ASRST', 'protocol': 'FLAT'},
    'AS0022': {'desc': 'Application Security Resources', 'name': 'ASSRSC', 'protocol': 'FLAT'},
    'AS0023': {'desc': 'Data Integrity SuperView', 'name': 'ASINTPR', 'protocol': 'FLAT'},
    'AS0025': {'desc': 'Database Dump/Load/Copy', 'name': 'ASCOPY', 'protocol': 'SUPER'},
    'AS0030': {'desc': 'Product Activation', 'name': 'ASACTIV', 'protocol': 'SUPER'},
    'AS0034': {'desc': 'Activation Log', 'name': 'ASACTLOG', 'protocol': 'FLAT'},
    'AS0035': {'desc': '', 'name': 'ASACTMUL', 'protocol': 'FLAT'},
    'AS0040': {'desc': 'Custom Reports', 'name': 'ASRPTH', 'protocol': 'FLAT'},
    'AS0050': {'desc': 'Working Profile Custom Reports', 'name': 'ASWPCR', 'protocol': 'FLAT'},
    'AS0051': {'desc': 'UI Customization Headers', 'name': 'ASCUSTH', 'protocol': 'HEADER'},
    'AS0052': {'desc': 'UI Customization Details', 'name': 'ASCUSTD', 'protocol': 'DETAIL'},
    'AS0053': {'desc': 'Working Profile UI Customization', 'name': 'ASWPCST', 'protocol': 'FLAT'},
    'AS0060': {'desc': '', 'name': 'CSPKGH', 'protocol': 'FLAT'},
    'AS0061': {'desc': '', 'name': 'CSPKGD', 'protocol': 'FLAT'},
    'AS0062': {'desc': '', 'name': 'CSPKGASN', 'protocol': 'FLAT'},
    'AS0099': {'desc': 'Generic View', 'name': 'ASGEN', 'protocol': 'FLAT'},
    'BK': {'desc': 'Bank Services', 'name': '', 'protocol': 'APP'},
    'BK0001': {'desc': 'Banks', 'name': 'BKACCT', 'protocol': 'HEADER'},
    'BK0002': {'desc': 'Bank Currencies', 'name': 'BKCUR', 'protocol': 'DETAIL'},
    'BK0003': {'desc': 'Bank Distribution Codes', 'name': 'BKTT', 'protocol': 'HEADER'},
    'BK0004': {'desc': '', 'name': 'BKCHK', 'protocol': 'FLAT'},
    'BK0006': {'desc': '', 'name': 'BKNSF', 'protocol': 'FLAT'},
    'BK0007': {'desc': '', 'name': 'BKENT', 'protocol': 'FLAT'},
    'BK0008': {'desc': 'Check Stocks', 'name': 'BKFORM', 'protocol': 'DETAIL'},
    'BK0009': {'desc': 'Bank Check Register', 'name': 'BKREG', 'protocol': 'FLAT'},
    'BK0010': {'desc': 'Bank Options', 'name': 'BKOPT', 'protocol': 'FLAT'},
    'BK0011': {'desc': 'Bank Posting Journal', 'name': 'BKJRNL', 'protocol': 'HEADER'},
    'BK0012': {'desc': 'Bank Posting Error Journal', 'name': 'BKJERR', 'protocol': 'HEADER'},
    'BK0014': {'desc': '', 'name': 'BKJCHK', 'protocol': 'FLAT'},
    'BK0016': {'desc': '', 'name': 'BKJNSF', 'protocol': 'FLAT'},
    'BK0017': {'desc': '', 'name': 'BKJENT', 'protocol': 'FLAT'},
    'BK0018': {'desc': 'G/L Audit Summary', 'name': 'BKJZGL', 'protocol': 'FLAT'},
    'BK0020': {'desc': 'Bank Posting Journal Control', 'name': 'BKJCTL', 'protocol': 'BATCH'},
    'BK0021': {'desc': 'Bank Transaction Numbers', 'name': 'BKTNUM', 'protocol': 'FLAT'},
    'BK0026': {'desc': '', 'name': 'BKNSFD', 'protocol': 'FLAT'},
    'BK0033': {'desc': 'Transfer Audit', 'name': 'BKJTFR', 'protocol': 'HEADER'},
    'BK0036': {'desc': '', 'name': 'BKTFRH', 'protocol': 'HEADER'},
    'BK0100': {'desc': 'Bank Services Integrity Check', 'name': 'BKDCHK', 'protocol': 'FLAT'},
    'BK0101': {'desc': 'Bank Reconciliation Posting', 'name': 'BKPOST', 'protocol': 'SUPER'},
    'BK0102': {'desc': 'Bank Reconciliation Returns', 'name': 'BKRTRN', 'protocol': 'SUPER'},
    'BK0103': {'desc': 'Bank Reconciliation Clearing', 'name': 'BKCLEAR', 'protocol': 'SUPER'},
    'BK0104': {'desc': 'Bank Reconciliation', 'name': 'BKDCI', 'protocol': 'SUPER'},
    'BK0105': {'desc': 'Bank Process Control', 'name': 'BKPROC', 'protocol': 'SUPER'},
    'BK0107': {'desc': 'Bank Check Printing Functions', 'name': 'BKPRFUN', 'protocol': 'SUPER'},
    'BK0240': {'desc': 'Credit Card Types', 'name': 'BKCCTYP', 'protocol': 'FLAT'},
    'BK0370': {'desc': 'BK Drill Down Driver', 'name': 'BKDDDR', 'protocol': 'SUPER'},
    'BK0400': {'desc': '', 'name': 'BKDEPD', 'protocol': 'FLAT'},
    'BK0420': {'desc': '', 'name': 'BKDEPH', 'protocol': 'FLAT'},
    'BK0430': {'desc': 'BK Drill Down', 'name': 'BKDLDN', 'protocol': 'SUPER'},
    'BK0440': {'desc': 'Bank Distribution Set Detail', 'name': 'BKDISTD', 'protocol': 'DETAIL'},
    'BK0445': {'desc': 'Bank Distribution Set Header', 'name': 'BKDISTH', 'protocol': 'HEADER'},
    'BK0450': {'desc': 'Bank Entries Header', 'name': 'BKENTH', 'protocol': 'HEADER'},
    'BK0460': {'desc': 'Bank Entries', 'name': 'BKENTD', 'protocol': 'DETAIL'},
    'BK0465': {'desc': 'Bank Transaction Entry Posting', 'name': 'BKEPOST', 'protocol': 'SUPER'},
    'BK0470': {'desc': 'Bank G/L Integration', 'name': 'BKGLREF', 'protocol': 'FLAT'},
    'BK0540': {'desc': '', 'name': 'BKJDEPD', 'protocol': 'FLAT'},
    'BK0550': {'desc': '', 'name': 'BKJDEPH', 'protocol': 'FLAT'},
    'BK0645': {'desc': 'Transfer Audit Charge', 'name': 'BKJTFRD', 'protocol': 'DETAIL'},
    'BK0650': {'desc': 'Bank Journal Transaction Details', 'name': 'BKJTRAND', 'protocol': 'DETAIL'},
    'BK0655': {'desc': 'Bank Journal Transaction Header', 'name': 'BKJTRANH', 'protocol': 'DETAIL'},
    'BK0660': {'desc': 'Bank Entries Journal Detail', 'name': 'BKJENTD', 'protocol': 'DETAIL'},
    'BK0665': {'desc': 'Bank Entries Journal Header', 'name': 'BKJENTH', 'protocol': 'HEADER'},
    'BK0680': {'desc': 'OFX Transaction Matching', 'name': 'BKMATCH', 'protocol': 'SUPER'},
    'BK0765': {'desc': 'Bank Deposit Printing Functions', 'name': 'BKPRDEP', 'protocol': 'SUPER'},
    'BK0790': {'desc': '', 'name': 'BKRCC', 'protocol': 'FLAT'},
    'BK0800': {'desc': 'Bank Transaction Entry Reconcili', 'name': 'BKRECON', 'protocol': 'SUPER'},
    'BK0820': {'desc': 'Bank Process Restart', 'name': 'BKRSTRT', 'protocol': 'FLAT'},
    'BK0835': {'desc': 'Transfer Details', 'name': 'BKTFRD', 'protocol': 'DETAIL'},
    'BK0840': {'desc': 'Bank Transaction Details', 'name': 'BKTRAND', 'protocol': 'DETAIL'},
    'BK0845': {'desc': 'Bank Transaction Header', 'name': 'BKTRANH', 'protocol': 'DETAIL'},
    'BK0850': {'desc': 'Bank Transaction Portal Supervie', 'name': 'BKTRANS', 'protocol': 'SUPER'},
    'BK0855': {'desc': 'Bank Transaction Reversals', 'name': 'BKTRANR', 'protocol': 'FLAT'},
    'BK0860': {'desc': 'Bank Distribution Codes Tax Deta', 'name': 'BKTTX', 'protocol': 'DETAIL'},
    'BK0870': {'desc': 'OFX Transactions', 'name': 'BKUNMAT', 'protocol': 'DETAIL'},
    'BK0900': {'desc': 'Bank Services Activation', 'name': 'BKINIT', 'protocol': 'SUPER'},
    'BK0996': {'desc': '', 'name': 'GENSTUB', 'protocol': 'FLAT'},
    'BK0997': {'desc': '', 'name': 'GENSTUB', 'protocol': 'FLAT'},
    'BK0998': {'desc': '', 'name': 'GENSTUB', 'protocol': 'FLAT'},
    'BK0999': {'desc': '', 'name': 'GENSTUB', 'protocol': 'FLAT'},
    'CP': {'desc': 'Canadian Payroll', 'name': '', 'protocol': 'APP'},
    'CP0001': {'desc': 'Payroll Activation', 'name': 'CPACTV', 'protocol': 'SUPER'},
    'CP0006': {'desc': 'Class Codes', 'name': 'CPCLAS', 'protocol': 'FLAT'},
    'CP0007': {'desc': 'Earnings/Deductions', 'name': 'CPDTLM', 'protocol': 'HEADER'},
    'CP0008': {'desc': 'Employee Earnings/Deductions', 'name': 'CPEMPD', 'protocol': 'DETAIL'},
    'CP0009': {'desc': 'Distribution', 'name': 'CPDIST', 'protocol': 'FLAT'},
    'CP0010': {'desc': 'Employee Taxes', 'name': 'CPEMPT', 'protocol': 'DETAIL'},
    'CP0012': {'desc': 'Employee History Control', 'name': 'CPHSTH', 'protocol': 'HEADER'},
    'CP0013': {'desc': 'Employee History Optional Field', 'name': 'CPHSHO', 'protocol': 'DETAIL'},
    'CP0014': {'desc': 'Employees', 'name': 'CPEMPL', 'protocol': 'HEADER'},
    'CP0015': {'desc': 'Include List', 'name': 'CPINCL', 'protocol': 'FLAT'},
    'CP0016': {'desc': 'Canadian Payroll Integrity Check', 'name': 'CPDCHK', 'protocol': 'SUPER'},
    'CP0017': {'desc': 'Status', 'name': 'CPSTAT', 'protocol': 'FLAT'},
    'CP0018': {'desc': 'Delete Inactive Records', 'name': 'CPMAIN', 'protocol': 'SUPER'},
    'CP0019': {'desc': 'Manual Cheque Header', 'name': 'CPMCHD', 'protocol': 'HEADER'},
    'CP0020': {'desc': 'Manual Cheque Detail', 'name': 'CPMCDT', 'protocol': 'DETAIL'},
    'CP0021': {'desc': 'History Audit Headers', 'name': 'CPHHAU', 'protocol': 'HEADER'},
    'CP0022': {'desc': 'Overtime Schedules', 'name': 'CPOTSC', 'protocol': 'FLAT'},
    'CP0023': {'desc': 'Company Options', 'name': 'CPOPTS', 'protocol': 'FLAT'},
    'CP0024': {'desc': 'History Audit Details', 'name': 'CPHDAU', 'protocol': 'DETAIL'},
    'CP0025': {'desc': 'Shift Differential Schedule', 'name': 'CPSHFT', 'protocol': 'HEADER'},
    'CP0026': {'desc': 'Concurrency controller', 'name': 'CPCTRL', 'protocol': 'SUPER'},
    'CP0027': {'desc': 'Work Classification Codes', 'name': 'CPWRKC', 'protocol': 'FLAT'},
    'CP0029': {'desc': 'Company Payroll Taxes', 'name': 'CPTXMS', 'protocol': 'HEADER'},
    'CP0030': {'desc': 'Employee EI History', 'name': 'CPEUIC', 'protocol': 'FLAT'},
    'CP0031': {'desc': 'Timecard Header', 'name': 'CPTCHD', 'protocol': 'HEADER'},
    'CP0032': {'desc': 'Timecard Detail', 'name': 'CPTCDT', 'protocol': 'DETAIL'},
    'CP0036': {'desc': 'Workers Compensation Master', 'name': 'CPWCCH', 'protocol': 'HEADER'},
    'CP0037': {'desc': 'Workers Compensation Codes', 'name': 'CPWCCD', 'protocol': 'DETAIL'},
    'CP0038': {'desc': 'Shift Differential Detail', 'name': 'CPSHFD', 'protocol': 'DETAIL'},
    'CP0039': {'desc': 'Shift Differential Billing Detai', 'name': 'CPSHFB', 'protocol': 'DETAIL'},
    'CP0040': {'desc': 'Earnings Billing Detail', 'name': 'CPDTLB', 'protocol': 'DETAIL'},
    'CP0041': {'desc': 'Employee Billing Details', 'name': 'CPEMDB', 'protocol': 'DETAIL'},
    'CP0042': {'desc': 'Timecard Job Details', 'name': 'CPTCJB', 'protocol': 'DETAIL'},
    'CP0043': {'desc': 'Manual Cheque Job Details', 'name': 'CPMCJB', 'protocol': 'DETAIL'},
    'CP0044': {'desc': 'Employee Timecard Job Details', 'name': 'CPUTJB', 'protocol': 'DETAIL'},
    'CP0045': {'desc': 'Employee Selection Lists', 'name': 'CPESLH', 'protocol': 'HEADER'},
    'CP0046': {'desc': 'Employee Selection List Members', 'name': 'CPESLD', 'protocol': 'DETAIL'},
    'CP0047': {'desc': 'Employee YTD Summaries', 'name': 'CPYTDS', 'protocol': 'FLAT'},
    'CP0048': {'desc': 'Cheque Header', 'name': 'CPCHKH', 'protocol': 'HEADER'},
    'CP0049': {'desc': 'Cheque Details', 'name': 'CPCHKD', 'protocol': 'DETAIL'},
    'CP0050': {'desc': 'Payroll Posting Superview', 'name': 'CPPOST', 'protocol': 'SUPER'},
    'CP0051': {'desc': 'Globally Modify List', 'name': 'CPGLBM', 'protocol': 'FLAT'},
    'CP0052': {'desc': 'Cheque Comment Detail', 'name': 'CPCHKC', 'protocol': 'DETAIL'},
    'CP0053': {'desc': 'Employee Notes', 'name': 'CPEMPC', 'protocol': 'DETAIL'},
    'CP0056': {'desc': 'Cheque Job Details', 'name': 'CPCHJB', 'protocol': 'DETAIL'},
    'CP0057': {'desc': 'G/L Reference Integration', 'name': 'CPGLREF', 'protocol': 'FLAT'},
    'CP0058': {'desc': 'Globally Modify Process', 'name': 'CPGMET', 'protocol': 'SUPER'},
    'CP0059': {'desc': 'G/L Acct Desc Report Extraction', 'name': 'CPGLDX', 'protocol': 'SUPER'},
    'CP0060': {'desc': 'G/L Acct Desc Report List', 'name': 'CPGLDD', 'protocol': 'FLAT'},
    'CP0062': {'desc': 'Employee Tax Fields', 'name': 'CPEMTF', 'protocol': 'DETAIL'},
    'CP0064': {'desc': 'Calc PR Exceptions', 'name': 'CPXCPT', 'protocol': 'FLAT'},
    'CP0065': {'desc': 'Process Manual Cheques', 'name': 'CPPMAN', 'protocol': 'HEADER'},
    'CP0066': {'desc': 'User Selection Lists', 'name': 'CPUSLH', 'protocol': 'HEADER'},
    'CP0067': {'desc': 'User Selection List Detail', 'name': 'CPUSLD', 'protocol': 'DETAIL'},
    'CP0077': {'desc': 'Cheque History Summary', 'name': 'CPCHKS', 'protocol': 'FLAT'},
    'CP0078': {'desc': 'Print Cheques Control', 'name': 'CPPCKS', 'protocol': 'SUPER'},
    'CP0079': {'desc': 'Print Cheques Header Extension', 'name': 'CPPCKH', 'protocol': 'HEADER'},
    'CP0080': {'desc': 'Print Cheques Detail Extension', 'name': 'CPPCKD', 'protocol': 'DETAIL'},
    'CP0081': {'desc': 'Earnings Hours Report', 'name': 'CPERHR', 'protocol': 'SUPER'},
    'CP0082': {'desc': 'Check Reconciliation', 'name': 'CPCREC', 'protocol': 'SUPER'},
    'CP0083': {'desc': 'Calculate Payroll', 'name': 'CPCALC', 'protocol': 'HEADER'},
    'CP0084': {'desc': 'E/D/T List', 'name': 'CPCALE', 'protocol': 'FLAT'},
    'CP0085': {'desc': 'Timecard List', 'name': 'CPCALT', 'protocol': 'FLAT'},
    'CP0086': {'desc': 'Cost Center Allocations', 'name': 'CPCALA', 'protocol': 'FLAT'},
    'CP0087': {'desc': 'Timecard Earnings List', 'name': 'CPCALO', 'protocol': 'FLAT'},
    'CP0088': {'desc': 'Cheque Run Header', 'name': 'CPCHKR', 'protocol': 'HEADER'},
    'CP0089': {'desc': 'Print Cheques Trans.', 'name': 'CPPCKF', 'protocol': 'FLAT'},
    'CP0090': {'desc': 'Certified Payroll Report Extract', 'name': 'CPCPRX', 'protocol': 'SUPER'},
    'CP0091': {'desc': 'Certified Payroll Report Jobs', 'name': 'CPCPRJ', 'protocol': 'FLAT'},
    'CP0093': {'desc': 'Earnings Hourly Report', 'name': 'CPEHRP', 'protocol': 'FLAT'},
    'CP0094': {'desc': 'Payroll Register G/L Accounts', 'name': 'CPPREG', 'protocol': 'SUPER'},
    'CP0095': {'desc': 'P/M Job Resource Validation', 'name': 'CPPMRES', 'protocol': 'SUPER'},
    'CP0097': {'desc': 'Restart', 'name': 'PRRSTRT', 'protocol': 'FLAT'},
    'CP0099': {'desc': 'Earnings/Deductions (virtual)', 'name': 'CPDTLX', 'protocol': 'FLAT'},
    'CP0100': {'desc': 'Temporary Tax List', 'name': 'CPTXMC', 'protocol': 'FLAT'},
    'CP0101': {'desc': 'Empl Timecards Transfer Ctrl', 'name': 'CPUTTR', 'protocol': 'SUPER'},
    'CP0102': {'desc': 'Employee Timecard Header', 'name': 'CPUTCH', 'protocol': 'HEADER'},
    'CP0103': {'desc': 'Employee Timecard Detail', 'name': 'CPUTCD', 'protocol': 'DETAIL'},
    'CP0104': {'desc': 'Employee Activity', 'name': 'CPEMAC', 'protocol': 'SUPER'},
    'CP0105': {'desc': 'Find Duplicate SIN', 'name': 'CPESIN', 'protocol': 'SUPER'},
    'CP0106': {'desc': 'Duplicate SIN', 'name': 'CPEDUP', 'protocol': 'FLAT'},
    'CP0107': {'desc': 'Create G/L Batch', 'name': 'CPGLTR', 'protocol': 'SUPER'},
    'CP0108': {'desc': 'Copy Timecard', 'name': 'CPTCCP', 'protocol': 'SUPER'},
    'CP0109': {'desc': 'Employee Sel Lists Superview', 'name': 'CPESLC', 'protocol': 'SUPER'},
    'CP0110': {'desc': 'Include List (virtual)', 'name': 'CPINCX', 'protocol': 'FLAT'},
    'CP0111': {'desc': 'G/L Drill Down', 'name': 'CPDLDN', 'protocol': 'SUPER'},
    'CP0112': {'desc': 'Cheque Selection Superview', 'name': 'CPCHKX', 'protocol': 'SUPER'},
    'CP0113': {'desc': 'Cheque Selection List', 'name': 'CPCHKL', 'protocol': 'FLAT'},
    'CP0115': {'desc': 'Accrual Carry-over Log File', 'name': 'CPACCO', 'protocol': 'FLAT'},
    'CP0116': {'desc': 'Deduction Groups', 'name': 'CPLIMH', 'protocol': 'HEADER'},
    'CP0117': {'desc': 'Deduction Group Details', 'name': 'CPLIMD', 'protocol': 'DETAIL'},
    'CP0118': {'desc': 'Employee Garnishment', 'name': 'CPEMCS', 'protocol': 'DETAIL'},
    'CP0120': {'desc': 'Optional Field Locations', 'name': 'CPOFH', 'protocol': 'HEADER'},
    'CP0121': {'desc': 'Optional Field Values', 'name': 'CPOFD', 'protocol': 'DETAIL'},
    'CP0122': {'desc': 'Employee Optional Field Values', 'name': 'CPEMPO', 'protocol': 'DETAIL'},
    'CP0123': {'desc': 'Earnings/Deductions Opt Fields', 'name': 'CPDTLO', 'protocol': 'DETAIL'},
    'CP0124': {'desc': 'Taxes Optional Field Values', 'name': 'CPTXMO', 'protocol': 'DETAIL'},
    'CP0125': {'desc': 'Empl Earn/Ded Optional Fields', 'name': 'CPEMDO', 'protocol': 'DETAIL'},
    'CP0126': {'desc': 'Empl Taxes Optional Fields', 'name': 'CPEMTO', 'protocol': 'DETAIL'},
    'CP0127': {'desc': 'Timecard Optional Field Values', 'name': 'CPTCHO', 'protocol': 'DETAIL'},
    'CP0128': {'desc': 'Timecard Details Optional Field', 'name': 'CPTCDO', 'protocol': 'DETAIL'},
    'CP0129': {'desc': 'Manual Cheque Optional Field Val', 'name': 'CPMCHO', 'protocol': 'DETAIL'},
    'CP0130': {'desc': 'MC Details Opt Field Values', 'name': 'CPMCDO', 'protocol': 'DETAIL'},
    'CP0131': {'desc': 'Empl Timecard Optional Fields', 'name': 'CPUTHO', 'protocol': 'DETAIL'},
    'CP0132': {'desc': 'Empl Timecard Details Opt Flds', 'name': 'CPUTDO', 'protocol': 'DETAIL'},
    'CP0133': {'desc': 'Cheque Header Optional Field Val', 'name': 'CPCHHO', 'protocol': 'DETAIL'},
    'CP0134': {'desc': 'Cheque Details Optional Fields', 'name': 'CPCHDO', 'protocol': 'DETAIL'},
    'CP0135': {'desc': 'History Audit Header Opt Fields', 'name': 'CPHHOA', 'protocol': 'DETAIL'},
    'CP0136': {'desc': 'History Audit Detail Opt Fields', 'name': 'CPHDOA', 'protocol': 'DETAIL'},
    'CP0137': {'desc': 'Calculate Payroll Optional Field', 'name': 'CPCLCO', 'protocol': 'DETAIL'},
    'CP0138': {'desc': 'Process Manual Cheque Optional F', 'name': 'CPPMCO', 'protocol': 'DETAIL'},
    'CP0139': {'desc': 'Cheque Run Optional Field Values', 'name': 'CPCHKO', 'protocol': 'DETAIL'},
    'CP0140': {'desc': 'PR Optional Field Callbacks', 'name': 'CPOFCMD', 'protocol': 'SUPER'},
    'CP0141': {'desc': 'Timecard Jobs Optional Field Val', 'name': 'CPTCJO', 'protocol': 'DETAIL'},
    'CP0142': {'desc': 'Manual Cheque Jobs Opt Fields', 'name': 'CPMCJO', 'protocol': 'DETAIL'},
    'CP0143': {'desc': 'Employee TC Jobs Opt Field Value', 'name': 'CPUTJO', 'protocol': 'DETAIL'},
    'CP0144': {'desc': 'Cheque Jobs Optional Fields Valu', 'name': 'CPCHJO', 'protocol': 'DETAIL'},
    'CP0200': {'desc': 'Company EFT Banks', 'name': 'CPCOBK', 'protocol': 'FLAT'},
    'CP0201': {'desc': 'Employee EFT Banks', 'name': 'CPEMBK', 'protocol': 'DETAIL'},
    'CP0202': {'desc': 'Cheque EFT Details', 'name': 'CPCHKE', 'protocol': 'DETAIL'},
    'CP0203': {'desc': 'EFT Run Superview', 'name': 'CPERUN', 'protocol': 'SUPER'},
    'CP0204': {'desc': 'EFT Run History Header', 'name': 'CPEREG', 'protocol': 'HEADER'},
    'CP0205': {'desc': 'EFT Run History Details', 'name': 'CPETRN', 'protocol': 'DETAIL'},
    'CP0206': {'desc': 'EFT Combine File Header', 'name': 'CPEMULH', 'protocol': 'HEADER'},
    'CP0207': {'desc': 'EFT Combine File Detail', 'name': 'CPEMULD', 'protocol': 'DETAIL'},
    'CP0208': {'desc': 'EFT Combine File List', 'name': 'CPELST', 'protocol': 'FLAT'},
    'CP0209': {'desc': 'EFT Files Combine Setup Header', 'name': 'CPEMRGH', 'protocol': 'HEADER'},
    'CP0210': {'desc': 'EFT Files Combine Setup Detail', 'name': 'CPEMRGD', 'protocol': 'DETAIL'},
    'CP0211': {'desc': '', 'name': 'CPECOMB', 'protocol': 'FLAT'},
    'CP0220': {'desc': 'Delete Inactive Records Audit', 'name': 'CPAUDM', 'protocol': 'HEADER'},
    'CP0221': {'desc': 'Delete Audit Inactive Details', 'name': 'CPAUDMI', 'protocol': 'DETAIL'},
    'CP0222': {'desc': 'Delete Audit Transaction Details', 'name': 'CPAUDMH', 'protocol': 'DETAIL'},
    'CP0223': {'desc': 'Update Earn/Ded Audit', 'name': 'CPAUDE', 'protocol': 'HEADER'},
    'CP0224': {'desc': 'Update Earn/Ded Audit Details', 'name': 'CPAUDED', 'protocol': 'DETAIL'},
    'CP0225': {'desc': 'Update Taxes Audit', 'name': 'CPAUDT', 'protocol': 'HEADER'},
    'CP0226': {'desc': 'Update Taxes Audit Details', 'name': 'CPAUDTD', 'protocol': 'DETAIL'},
    'CP0227': {'desc': 'Assign Earn/Ded Audit', 'name': 'CPAUDA', 'protocol': 'HEADER'},
    'CP0228': {'desc': 'Assign Earn/Ded Audit Details', 'name': 'CPAUDAD', 'protocol': 'DETAIL'},
    'CP0229': {'desc': 'Assign Earn/Ded Audit Billing', 'name': 'CPAUDAB', 'protocol': 'DETAIL'},
    'CS': {'desc': 'Common Services', 'name': '', 'protocol': 'APP'},
    'CS0001': {'desc': 'Company Profile', 'name': 'CSCOM', 'protocol': 'FLAT'},
    'CS0002': {'desc': 'Fiscal Calendars', 'name': 'CSFSC', 'protocol': 'HEADER'},
    'CS0003': {'desc': 'Currency Codes', 'name': 'CSCCD', 'protocol': 'FLAT'},
    'CS0004': {'desc': 'Rate Types', 'name': 'CSCRT', 'protocol': 'FLAT'},
    'CS0005': {'desc': 'Currency Tables', 'name': 'CSCRH', 'protocol': 'HEADER'},
    'CS0006': {'desc': 'Currency Rates', 'name': 'CSCRD', 'protocol': 'DETAIL'},
    'CS0007': {'desc': 'Optional Tables', 'name': 'CSOPT', 'protocol': 'FLAT'},
    'CS0008': {'desc': 'Optional Tables', 'name': 'CSOPTH', 'protocol': 'SUPER'},
    'CS0009': {'desc': 'Common Services Integrity Check', 'name': 'CSDCHK', 'protocol': 'SUPER'},
    'CS0010': {'desc': 'Euro Conversion Rates', 'name': 'CSEUR', 'protocol': 'FLAT'},
    'CS0011': {'desc': 'Optional Fields', 'name': 'CSOPTFH', 'protocol': 'HEADER'},
    'CS0012': {'desc': 'Optional Field Values', 'name': 'CSOPTFD', 'protocol': 'DETAIL'},
    'CS0013': {'desc': 'Optional Fields Processing Funct', 'name': 'CSOPTFP', 'protocol': 'SUPER'},
    'CS0014': {'desc': 'Opt. Fields Conversion Mapping', 'name': 'CSOPTCM', 'protocol': 'FLAT'},
    'CS0015': {'desc': 'Opt. Fields Conversion Creation', 'name': 'CSOPTCC', 'protocol': 'FLAT'},
    'CS0020': {'desc': 'Sequence number dispenser', 'name': 'CSSEQN', 'protocol': 'FLAT'},
    'CS0030': {'desc': 'Schedules', 'name': 'CSSKTB', 'protocol': 'HEADER'},
    'CS0032': {'desc': 'Schedule Application Links', 'name': 'CSSKAP', 'protocol': 'DETAIL'},
    'CS0034': {'desc': 'Schedules', 'name': 'CSSKCB', 'protocol': 'SUPER'},
    'CS0036': {'desc': 'Schedules', 'name': 'CSSKID', 'protocol': 'SUPER'},
    'CS0040': {'desc': 'Process Flows', 'name': 'CSPFLOW', 'protocol': 'FLAT'},
    'CS0041': {'desc': 'Process Flow Utilities', 'name': 'CSPFUTL', 'protocol': 'SUPER'},
    'CS0050': {'desc': '', 'name': 'CSCBSK', 'protocol': 'SUPER'},
    'CS0060': {'desc': 'Fiscal Statuses', 'name': 'CSFSCST', 'protocol': 'DETAIL'},
    'CS0100': {'desc': '', 'name': 'CSFND', 'protocol': 'FLAT'},
    'CS0120': {'desc': '', 'name': 'CSQRY', 'protocol': 'SUPER'},
    'CS0370': {'desc': 'CS Drill Down Driver', 'name': 'CSDDDR', 'protocol': 'SUPER'},
    'CS0900': {'desc': 'Common Services Activation', 'name': 'CSINIT', 'protocol': 'SUPER'},
    'CT': {'desc': 'Cdn PR Tax Update July 1, 2016', 'name': '', 'protocol': 'APP'},
    'CT0001': {'desc': 'Federal and Prov Taxes', 'name': 'CTTTMC', 'protocol': 'FLAT'},
    'CT0002': {'desc': 'Tax Field Description Masters', 'name': 'CTTTFC', 'protocol': 'FLAT'},
    'CT0003': {'desc': 'Tax Table Calculation', 'name': 'CTTTCX', 'protocol': 'SUPER'},
    'CT0004': {'desc': 'T4 Extraction', 'name': 'CTT4PX', 'protocol': 'SUPER'},
    'CT0005': {'desc': 'Paper T4 Information', 'name': 'CTT4Pd', 'protocol': 'FLAT'},
    'CT0006': {'desc': 'R1 Extraction', 'name': 'CTR1PX', 'protocol': 'SUPER'},
    'CT0007': {'desc': 'Paper R1 Information', 'name': 'CTR1Pd', 'protocol': 'FLAT'},
    'CT0008': {'desc': 'Tax Table Activation', 'name': 'CTACTV', 'protocol': 'SUPER'},
    'CT0012': {'desc': 'R1s Electronic Filing', 'name': 'CTR1MM', 'protocol': 'SUPER'},
    'CT0013': {'desc': 'T4 Electronic Filing', 'name': 'CTT4MM', 'protocol': 'SUPER'},
    'CT0014': {'desc': 'T4A Electronic Filing', 'name': 'CTT4AM', 'protocol': 'SUPER'},
    'CT0016': {'desc': 'Update TD1 Claim', 'name': 'CTUTD1', 'protocol': 'SUPER'},
    'CT0017': {'desc': 'Update TD1 Claim Audit', 'name': 'CTUTDA', 'protocol': 'HEADER'},
    'CT0018': {'desc': 'Update TD1 Claim Audit Details', 'name': 'CTUTDAD', 'protocol': 'DETAIL'},
    'CT0031': {'desc': 'Aatrix Universal File', 'name': 'CTAUF', 'protocol': 'SUPER'},
    'CT0032': {'desc': 'Tax Type Mapping Table', 'name': 'CTTXTYMP', 'protocol': 'FLAT'},
    'CT0054': {'desc': 'Record of Employment Header', 'name': 'CTROEH', 'protocol': 'HEADER'},
    'CT0055': {'desc': 'Record of Employment Detail', 'name': 'CTROED', 'protocol': 'DETAIL'},
    'CT0095': {'desc': 'Print Record of Employment', 'name': 'CTPROE', 'protocol': 'SUPER'},
    'CT0096': {'desc': 'T4A Extraction', 'name': 'CTT4AX', 'protocol': 'SUPER'},
    'CT0097': {'desc': 'Paper T4A Information', 'name': 'CTT4AD', 'protocol': 'FLAT'},
    'EB': {'desc': 'Information Manager', 'name': '', 'protocol': 'APP'},
    'EB0001': {'desc': 'Information Set', 'name': 'EBINFO', 'protocol': 'HEADER'},
    'EB0002': {'desc': 'Infoset Optional Fields', 'name': 'EBINFOO', 'protocol': 'DETAIL'},
    'EB0004': {'desc': 'EB Options', 'name': 'EBOPT', 'protocol': 'FLAT'},
    'EB0005': {'desc': 'EB Info Set Codes', 'name': 'EBSET', 'protocol': 'HEADER'},
    'EB0006': {'desc': 'EB View Type', 'name': 'EBVTYPE', 'protocol': 'FLAT'},
    'EB0007': {'desc': 'EB Info Set Code Details', 'name': 'EBSETD', 'protocol': 'DETAIL'},
    'EB0008': {'desc': 'EB Info Set SQL Query', 'name': 'EBSETQ', 'protocol': 'DETAIL'},
    'EB0009': {'desc': 'EB Infoset SQL View', 'name': 'EBSETV', 'protocol': 'DETAIL'},
    'EB0010': {'desc': 'Budget Set Optionals', 'name': 'EBOPH', 'protocol': 'HEADER'},
    'EB0011': {'desc': 'Budget Set Optional Flds', 'name': 'EBOPD', 'protocol': 'DETAIL'},
    'EB0012': {'desc': 'Budget Opt Field Callbacks', 'name': 'EBOPCMD', 'protocol': 'SUPER'},
    'EB0016': {'desc': 'Hotkey Setup', 'name': 'EBHK', 'protocol': 'FLAT'},
    'EB0020': {'desc': 'Report Runner Setup', 'name': 'EBRR', 'protocol': 'FLAT'},
    'EB0030': {'desc': 'Roles', 'name': 'EBROLEH', 'protocol': 'HEADER'},
    'EB0031': {'desc': 'Permissions', 'name': 'EBROLED', 'protocol': 'DETAIL'},
    'EB0032': {'desc': 'Note Types', 'name': 'EBNOTET', 'protocol': 'FLAT'},
    'EB0033': {'desc': 'Notes', 'name': 'EBNOTE', 'protocol': 'FLAT'},
    'EB0034': {'desc': 'Users', 'name': 'EBUSER', 'protocol': 'FLAT'},
    'EB0035': {'desc': 'Note Text', 'name': 'EBDOC', 'protocol': 'FLAT'},
    'EB0036': {'desc': 'Report Tree', 'name': 'EBTREE', 'protocol': 'FLAT'},
    'EB0037': {'desc': '', 'name': 'EBFR', 'protocol': 'FLAT'},
    'EB0038': {'desc': 'Note Categories', 'name': 'EBNCAT', 'protocol': 'FLAT'},
    'EB0040': {'desc': 'Crystal Reports', 'name': 'EBRPTH', 'protocol': 'FLAT'},
    'EB0041': {'desc': 'Report Parameters', 'name': 'EBRPTP', 'protocol': 'FLAT'},
    'EB0042': {'desc': 'E-mail Message', 'name': 'EBMSG', 'protocol': 'FLAT'},
    'EB0043': {'desc': '', 'name': 'EBPU', 'protocol': 'FLAT'},
    'EB0097': {'desc': 'E/B Infoset Clear', 'name': 'EBCLEAR', 'protocol': 'SUPER'},
    'EB0098': {'desc': 'EB Data Integrity Checker', 'name': 'EBINTCK', 'protocol': 'SUPER'},
    'EB0099': {'desc': 'EB Activation', 'name': 'EBINIT', 'protocol': 'SUPER'},
    'EL': {'desc': 'EFT Processing', 'name': '', 'protocol': 'APP'},
    'EL0001': {'desc': 'Bank Detail', 'name': 'ELBANK', 'protocol': 'FLAT'},
    'EL0003': {'desc': 'Customer Details', 'name': 'ELCUST', 'protocol': 'FLAT'},
    'EL0004': {'desc': 'EFT Log', 'name': 'ELFTLOG', 'protocol': 'FLAT'},
    'EL0005': {'desc': 'EFT File Type', 'name': 'ELFTYPE', 'protocol': 'FLAT'},
    'EL0006': {'desc': 'Vendor Details', 'name': 'ELVEND', 'protocol': 'FLAT'},
    'EL0007': {'desc': 'E-mail Message', 'name': 'ELMSG', 'protocol': 'FLAT'},
    'EL0008': {'desc': 'EFT Options', 'name': 'ELOPT', 'protocol': 'FLAT'},
    'EL0009': {'desc': 'Audit Log', 'name': 'ELAUDIT', 'protocol': 'FLAT'},
    'EL0010': {'desc': '', 'name': 'ELSELECT', 'protocol': 'FLAT'},
    'EL0014': {'desc': '', 'name': 'ELSEL2', 'protocol': 'FLAT'},
    'EL0015': {'desc': '', 'name': 'ELFTLOGD', 'protocol': 'FLAT'},
    'EL0016': {'desc': 'Emails Sent', 'name': 'ELPRINT', 'protocol': 'FLAT'},
    'EL0099': {'desc': 'EL Activation', 'name': 'ELINIT', 'protocol': 'SUPER'},
    'EL0100': {'desc': 'Create EFT File', 'name': 'ELEFT', 'protocol': 'SUPER'},
    'EL0102': {'desc': 'Receipt Selection Codes', 'name': 'ELSELC', 'protocol': 'HEADER'},
    'EL0103': {'desc': 'Exclusions', 'name': 'ELSELCE', 'protocol': 'DETAIL'},
    'EL0104': {'desc': '', 'name': 'ELRBLOGH', 'protocol': 'FLAT'},
    'EL0105': {'desc': '', 'name': 'ELRBLOGD', 'protocol': 'FLAT'},
    'EL0106': {'desc': '', 'name': 'ELUIH', 'protocol': 'HEADER'},
    'EL0107': {'desc': '', 'name': 'ELUID', 'protocol': 'DETAIL'},
    'EL0108': {'desc': '', 'name': 'ELUIDD', 'protocol': 'DETAIL'},
    'EL0109': {'desc': 'Update Invoice Due Date Audit', 'name': 'ELUIAUD', 'protocol': 'FLAT'},
    'EL0110': {'desc': 'Delete Inactive Records', 'name': 'ELDELI', 'protocol': 'SUPER'},
    'EL0111': {'desc': 'Audit Log Archive', 'name': 'ELAUDITA', 'protocol': 'FLAT'},
    'EL0112': {'desc': '', 'name': 'ELLOGA', 'protocol': 'FLAT'},
    'EL0113': {'desc': '', 'name': 'ELLOGDA', 'protocol': 'FLAT'},
    'EL0114': {'desc': 'Selected Optional Field Values', 'name': 'ELSELCV', 'protocol': 'DETAIL'},
    'EL0115': {'desc': 'Updates', 'name': 'ELPU', 'protocol': 'FLAT'},
    'EL0116': {'desc': 'Employees', 'name': 'ELEMPH', 'protocol': 'HEADER'},
    'EL0117': {'desc': 'Payment Details', 'name': 'ELEMPD', 'protocol': 'DETAIL'},
    'EL0118': {'desc': 'EFT Payroll Log', 'name': 'ELPLOGH', 'protocol': 'FLAT'},
    'EL0119': {'desc': 'EFT Payroll Log', 'name': 'ELPLOGD', 'protocol': 'FLAT'},
    'FF': {'desc': 'Freight SmartLink', 'name': '', 'protocol': 'APP'},
    'FF0001': {'desc': 'Dropping table - %s', 'name': 'FFACT', 'protocol': 'SUPER'},
    'FF0002': {'desc': 'Options', 'name': 'FFOPT', 'protocol': 'HEADER'},
    'FF0003': {'desc': 'Carriers', 'name': 'FFCARH', 'protocol': 'HEADER'},
    'FF0004': {'desc': 'Carrier Services', 'name': 'FFCARS', 'protocol': 'DETAIL'},
    'FF0005': {'desc': 'Carrier Packages', 'name': 'FFCARP', 'protocol': 'DETAIL'},
    'FF0006': {'desc': 'Dangerous Goods', 'name': 'FFDANG', 'protocol': 'FLAT'},
    'FF0007': {'desc': 'Sender Accounts', 'name': 'FFSEND', 'protocol': 'FLAT'},
    'FF0008': {'desc': 'E-mail Templates', 'name': 'FFMSG', 'protocol': 'FLAT'},
    'FF0009': {'desc': 'Import Manifest Process Server S', 'name': 'FFIMPM', 'protocol': 'SUPER'},
    'FF0010': {'desc': 'Import Carriers Process Server S', 'name': 'FFIMPC', 'protocol': 'SUPER'},
    'FF0011': {'desc': 'Post Code/Zone', 'name': 'FFPCZONE', 'protocol': 'DETAIL'},
    'FF0012': {'desc': 'Ship-Via/Zone', 'name': 'FFSVZONE', 'protocol': 'DETAIL'},
    'FF0013': {'desc': 'Freight Zones', 'name': 'FFZONE', 'protocol': 'DETAIL'},
    'FF0014': {'desc': 'Location Settings', 'name': 'FFLOC', 'protocol': 'HEADER'},
    'FF0015': {'desc': 'Location Carriers', 'name': 'FFLOCCAR', 'protocol': 'DETAIL'},
    'FF0100': {'desc': 'Shipment Header', 'name': 'FFSHIPH', 'protocol': 'HEADER'},
    'FF0101': {'desc': 'Shipment Details', 'name': 'FFSHIPD', 'protocol': 'DETAIL'},
    'FF0102': {'desc': 'Shipment Documents', 'name': 'FFSHIPX', 'protocol': 'DETAIL'},
    'FF0103': {'desc': 'Shipment Dangerous Goods', 'name': 'FFSHIPG', 'protocol': 'DETAIL'},
    'FF0104': {'desc': 'Default Auto Consolidation', 'name': 'FFPU', 'protocol': 'FLAT'},
    'GL': {'desc': 'General Ledger', 'name': '', 'protocol': 'APP'},
    'GL0001': {'desc': 'Accounts', 'name': 'GLAMF', 'protocol': 'HEADER'},
    'GL0002': {'desc': 'Source Codes', 'name': 'GLSRCE', 'protocol': 'FLAT'},
    'GL0003': {'desc': 'Fiscal Sets', 'name': 'GLFISC', 'protocol': 'SUPER'},
    'GL0004': {'desc': 'Account Allocation Instructions', 'name': 'GLAIS', 'protocol': 'DETAIL'},
    'GL0005': {'desc': 'General Ledger Options', 'name': 'GLOPT', 'protocol': 'FLAT'},
    'GL0006': {'desc': 'Journal Headers', 'name': 'GLJEH', 'protocol': 'HEADER'},
    'GL0007': {'desc': 'Journal Comments', 'name': 'GLJEC', 'protocol': 'FLAT'},
    'GL0008': {'desc': 'Batches', 'name': 'GLBCTL', 'protocol': 'BATCH'},
    'GL0009': {'desc': 'Account Budget Calculator', 'name': 'GLBGT', 'protocol': 'SUPER'},
    'GL0010': {'desc': 'Journal Details', 'name': 'GLJED', 'protocol': 'DETAIL'},
    'GL0011': {'desc': 'Compute Fiscal Set Comparison', 'name': 'GLCFSC', 'protocol': 'SUPER'},
    'GL0012': {'desc': 'Account Valid Currencies', 'name': 'GLAVC', 'protocol': 'DETAIL'},
    'GL0013': {'desc': 'Provisional Posting Errors', 'name': 'GLPPER', 'protocol': 'FLAT'},
    'GL0014': {'desc': 'Prov. Posting Journal Details', 'name': 'GLPPD', 'protocol': 'FLAT'},
    'GL0015': {'desc': 'Posting Errors', 'name': 'GLPERR', 'protocol': 'FLAT'},
    'GL0016': {'desc': 'Posting Journal Details', 'name': 'GLPJD', 'protocol': 'FLAT'},
    'GL0017': {'desc': 'Posting Journal Comments', 'name': 'GLPJC', 'protocol': 'FLAT'},
    'GL0018': {'desc': 'Posted Transactions', 'name': 'GLPOST', 'protocol': 'FLAT'},
    'GL0019': {'desc': 'Source Journal Profiles', 'name': 'GLSJN', 'protocol': 'FLAT'},
    'GL0020': {'desc': 'Revaluation Codes', 'name': 'GLRVAL', 'protocol': 'FLAT'},
    'GL0021': {'desc': 'Segment Codes', 'name': 'GLASV', 'protocol': 'FLAT'},
    'GL0022': {'desc': 'Account Segments', 'name': 'GLABK', 'protocol': 'FLAT'},
    'GL0023': {'desc': 'Structure Codes', 'name': 'GLABRX', 'protocol': 'FLAT'},
    'GL0024': {'desc': 'Period End Maintenance', 'name': 'GLYRM', 'protocol': 'SUPER'},
    'GL0025': {'desc': 'Consolidate Posted Transactions', 'name': 'GLCSL', 'protocol': 'SUPER'},
    'GL0026': {'desc': 'Create New Year', 'name': 'GLYRN', 'protocol': 'SUPER'},
    'GL0027': {'desc': 'Currency Revaluation', 'name': 'GLRVLU', 'protocol': 'SUPER'},
    'GL0028': {'desc': 'Prov. Posting Journal Comments', 'name': 'GLPPC', 'protocol': 'FLAT'},
    'GL0029': {'desc': 'Auto Allocation Processor', 'name': 'GLJAL', 'protocol': 'HEADER'},
    'GL0030': {'desc': 'Inter Entity GL Post Subclass', 'name': 'GLJPST', 'protocol': 'SUPER'},
    'GL0031': {'desc': 'Financial Report Information', 'name': 'FRFISC', 'protocol': 'SUPER'},
    'GL0032': {'desc': 'Batch Status', 'name': 'GLBCTU', 'protocol': 'SUPER'},
    'GL0033': {'desc': 'Posting Journal Update/Clear', 'name': 'GLPJDU', 'protocol': 'SUPER'},
    'GL0034': {'desc': 'Integrity Checker', 'name': 'GLINTCK', 'protocol': 'SUPER'},
    'GL0038': {'desc': 'Posted Transaction Totals', 'name': 'GLPSTT', 'protocol': 'SUPER'},
    'GL0039': {'desc': 'Drill Downs', 'name': 'GLDRDN', 'protocol': 'SUPER'},
    'GL0040': {'desc': 'General Ledger Restart', 'name': 'GLRSTRT', 'protocol': 'FLAT'},
    'GL0041': {'desc': 'Recurring Journal Headers', 'name': 'GLREH', 'protocol': 'HEADER'},
    'GL0042': {'desc': 'Recurring Entry Details', 'name': 'GLRED', 'protocol': 'DETAIL'},
    'GL0043': {'desc': 'Create Recurring Entries Batch', 'name': 'GLCRE', 'protocol': 'SUPER'},
    'GL0044': {'desc': 'Scheduler Interface', 'name': 'GLSCHED', 'protocol': 'SUPER'},
    'GL0045': {'desc': 'Create Accounts', 'name': 'GLCAMF', 'protocol': 'SUPER'},
    'GL0046': {'desc': 'Preview Accounts', 'name': 'GLWAMF', 'protocol': 'HEADER'},
    'GL0047': {'desc': 'Preview A/C Valid Currencies', 'name': 'GLWAVC', 'protocol': 'DETAIL'},
    'GL0048': {'desc': 'Preview Control A/C Subledgers', 'name': 'GLWCAS', 'protocol': 'DETAIL'},
    'GL0049': {'desc': 'Create Accounts Input Criteria', 'name': 'GLPAMF', 'protocol': 'FLAT'},
    'GL0050': {'desc': 'FRFISC Helper', 'name': 'FR2FISC', 'protocol': 'SUPER'},
    'GL0051': {'desc': 'Create Reverse Entry', 'name': 'GLRJNL', 'protocol': 'SUPER'},
    'GL0052': {'desc': 'Segment Permissions', 'name': 'GLGSSEG', 'protocol': 'DETAIL'},
    'GL0053': {'desc': 'Account Permissions', 'name': 'GLGSACC', 'protocol': 'DETAIL'},
    'GL0054': {'desc': 'Users', 'name': 'GLGSUSR', 'protocol': 'HEADER'},
    'GL0055': {'desc': 'Account Groups', 'name': 'GLACGRP', 'protocol': 'FLAT'},
    'GL0056': {'desc': 'Account Group-Sort Orders', 'name': 'GLCHAGP', 'protocol': 'FLAT'},
    'GL0057': {'desc': 'Rollup Groups', 'name': 'GLACHD', 'protocol': 'DETAIL'},
    'GL0058': {'desc': 'Rollup Group Relationship', 'name': 'GLADSD', 'protocol': 'FLAT'},
    'GL0059': {'desc': 'Rollup Group Processor', 'name': 'GLACHDU', 'protocol': 'FLAT'},
    'GL0060': {'desc': 'Source Currency Inq. Processor', 'name': 'GLSCURI', 'protocol': 'SUPER'},
    'GL0061': {'desc': 'Recognized Revaluation Restart', 'name': 'GLRVNET', 'protocol': 'FLAT'},
    'GL0062': {'desc': 'Recognized Reval. Rate Restart', 'name': 'GLRVRAT', 'protocol': 'FLAT'},
    'GL0063': {'desc': 'Rollup Member Preview', 'name': 'GLPACHD', 'protocol': 'DETAIL'},
    'GL0065': {'desc': 'FR RollUP Tester', 'name': 'FRRAMF', 'protocol': 'SUPER'},
    'GL0066': {'desc': 'Rollup Posted Transactions', 'name': 'GLRPOST', 'protocol': 'FLAT'},
    'GL0067': {'desc': 'Financial Summary Processor', 'name': 'GLFSUM', 'protocol': 'SUPER'},
    'GL0100': {'desc': 'Accounts', 'name': 'GLAMF', 'protocol': 'HEADER'},
    'GL0101': {'desc': 'Fiscal Sets', 'name': 'GLFISC', 'protocol': 'SUPER'},
    'GL0102': {'desc': 'General Ledger Options', 'name': 'GLOPT', 'protocol': 'FLAT'},
    'GL0103': {'desc': 'Account Fiscal Sets', 'name': 'GLAFS', 'protocol': 'FLAT'},
    'GL0104': {'desc': 'Revaluation Details', 'name': 'GLRVL', 'protocol': 'HEADER'},
    'GL0106': {'desc': 'General Ledger Activation', 'name': 'GLINIT', 'protocol': 'SUPER'},
    'GL0107': {'desc': 'Control Account Subledgers', 'name': 'GLCAS', 'protocol': 'DETAIL'},
    'GL0108': {'desc': 'Posting Journal ICT Generated He', 'name': 'GLPJIH', 'protocol': 'FLAT'},
    'GL0109': {'desc': 'Posting Journal ICT Generated De', 'name': 'GLPJID', 'protocol': 'FLAT'},
    'GL0110': {'desc': 'Accounts', 'name': 'FRAMF', 'protocol': 'SUPER'},
    'GL0111': {'desc': 'Drill Down From FR', 'name': 'FRDRILL', 'protocol': 'SUPER'},
    'GL0400': {'desc': 'Account Optional Fields', 'name': 'GLAMFO', 'protocol': 'DETAIL'},
    'GL0401': {'desc': 'Account Trans. Optional Fields', 'name': 'GLAMFTO', 'protocol': 'DETAIL'},
    'GL0402': {'desc': 'Journal Detail Optional Fields', 'name': 'GLJEDO', 'protocol': 'DETAIL'},
    'GL0403': {'desc': 'Recur. Entry Optional Fields', 'name': 'GLREDO', 'protocol': 'DETAIL'},
    'GL0404': {'desc': 'Posting Journal Optional Fields', 'name': 'GLPJDO', 'protocol': 'FLAT'},
    'GL0405': {'desc': 'Posted Trans. Optional Fields', 'name': 'GLPOSTO', 'protocol': 'FLAT'},
    'GL0406': {'desc': 'Prov. Post Journal Opt. Fields', 'name': 'GLPPDO', 'protocol': 'FLAT'},
    'GL0407': {'desc': 'Account Optional Fields', 'name': 'GLWAMFO', 'protocol': 'DETAIL'},
    'GL0408': {'desc': 'Account Trans. Optional Fields', 'name': 'GLWAMTO', 'protocol': 'DETAIL'},
    'GL0409': {'desc': 'Auto Alloc. Optional Fields', 'name': 'GLJALO', 'protocol': 'DETAIL'},
    'GL0410': {'desc': 'Reval. Dtls Gain Optional Flds', 'name': 'GLRVLGO', 'protocol': 'DETAIL'},
    'GL0411': {'desc': 'Reval. Dtls Loss Optional Flds', 'name': 'GLRVLLO', 'protocol': 'DETAIL'},
    'GL0500': {'desc': 'Optional Fields', 'name': 'GLOFD', 'protocol': 'DETAIL'},
    'GL0501': {'desc': 'Optional Field Locations', 'name': 'GLOFH', 'protocol': 'HEADER'},
    'GL0502': {'desc': 'GL Optional Field Callbacks', 'name': 'GLOFCMD', 'protocol': 'SUPER'},
    'GP': {'desc': 'G/L Subledger Services', 'name': '', 'protocol': 'APP'},
    'GP0099': {'desc': 'G/L Services Integrity Checker', 'name': 'GPDCHK', 'protocol': 'SUPER'},
    'GP0100': {'desc': 'GL Subledger Transactions', 'name': 'GPGLBB', 'protocol': 'BATCH'},
    'GP0110': {'desc': 'GL Subledger Details', 'name': 'GPGLBD', 'protocol': 'DETAIL'},
    'GP0120': {'desc': 'GL Subledger Entries', 'name': 'GPGLBH', 'protocol': 'HEADER'},
    'GP0130': {'desc': 'GL Subledger Detail Opt. Fields', 'name': 'GPGLBO', 'protocol': 'DETAIL'},
    'GP0140': {'desc': 'GL Subledger Restart', 'name': 'GPRSTRT', 'protocol': 'FLAT'},
    'GP0800': {'desc': 'Segment Substitution', 'name': 'GPGLFMT', 'protocol': 'SUPER'},
    'GP0900': {'desc': 'G/L Subledger Services Activatio', 'name': 'GPINIT', 'protocol': 'SUPER'},
    'GP0930': {'desc': 'Transaction Transfer', 'name': 'GPGLPE', 'protocol': 'SUPER'},
    'GP0950': {'desc': 'Transaction Posting', 'name': 'GPGLPO', 'protocol': 'SUPER'},
    'GP0999': {'desc': '', 'name': 'GENSTUB', 'protocol': 'FLAT'},
    'IC': {'desc': 'Inventory Control', 'name': '', 'protocol': 'APP'},
    'IC0100': {'desc': 'Account Sets', 'name': 'ICACCT', 'protocol': 'FLAT'},
    'IC0110': {'desc': 'Adjustment Details', 'name': 'ICADED', 'protocol': 'DETAIL'},
    'IC0113': {'desc': 'Adjustment Detail Lot Numbers', 'name': 'ICADEDL', 'protocol': 'DETAIL'},
    'IC0115': {'desc': 'Adjustment Detail Opt. Fields', 'name': 'ICADEDO', 'protocol': 'DETAIL'},
    'IC0117': {'desc': 'Adjustment Detail Serial Numbers', 'name': 'ICADEDS', 'protocol': 'DETAIL'},
    'IC0120': {'desc': 'Adjustment Headers', 'name': 'ICADEH', 'protocol': 'HEADER'},
    'IC0125': {'desc': 'Adjustment Header Opt. Fields', 'name': 'ICADEHO', 'protocol': 'DETAIL'},
    'IC0128': {'desc': 'Process Adjustments', 'name': 'ICADGEN', 'protocol': 'SUPER'},
    'IC0130': {'desc': 'Adjustment Audit List Details', 'name': 'ICADJD', 'protocol': 'DETAIL'},
    'IC0131': {'desc': 'Adj. Audit List Det. Opt. Fields', 'name': 'ICADJDP', 'protocol': 'DETAIL'},
    'IC0132': {'desc': 'Adjustment Audit List Headers', 'name': 'ICADJH', 'protocol': 'HEADER'},
    'IC0135': {'desc': 'Adj. Audit List Hdr Opt. Fields', 'name': 'ICADJHP', 'protocol': 'DETAIL'},
    'IC0140': {'desc': 'Post Adjustment Details', 'name': 'ICADJP', 'protocol': 'SUPER'},
    'IC0150': {'desc': 'Assembly Component Costs', 'name': 'ICASCST', 'protocol': 'FLAT'},
    'IC0160': {'desc': 'Assemblies', 'name': 'ICASEN', 'protocol': 'HEADER'},
    'IC0162': {'desc': 'Assembly Lot Details', 'name': 'ICASENL', 'protocol': 'DETAIL'},
    'IC0165': {'desc': 'Assembly Optional Fields', 'name': 'ICASENO', 'protocol': 'DETAIL'},
    'IC0167': {'desc': 'Assembly Serial Details', 'name': 'ICASENS', 'protocol': 'DETAIL'},
    'IC0170': {'desc': 'Asm Audit List Dtl Opt. Fields', 'name': 'ICASMDP', 'protocol': 'DETAIL'},
    'IC0172': {'desc': 'Asm Audit List Hdr Opt. Fields', 'name': 'ICASMHP', 'protocol': 'DETAIL'},
    'IC0180': {'desc': 'Assembly Audit List Details', 'name': 'ICASSMD', 'protocol': 'DETAIL'},
    'IC0182': {'desc': 'Assembly Audit List Headers', 'name': 'ICASSMH', 'protocol': 'HEADER'},
    'IC0189': {'desc': 'Copy Bills of Material', 'name': 'ICBOMC', 'protocol': 'SUPER'},
    'IC0190': {'desc': 'Bills of Material Components', 'name': 'ICBOMD', 'protocol': 'DETAIL'},
    'IC0200': {'desc': 'Bills of Material', 'name': 'ICBOMH', 'protocol': 'HEADER'},
    'IC0201': {'desc': 'Bills of Material Inquiry', 'name': 'ICBOMI', 'protocol': 'SUPER'},
    'IC0203': {'desc': 'Update Bills of Material', 'name': 'ICBOMU', 'protocol': 'SUPER'},
    'IC0210': {'desc': 'Categories', 'name': 'ICCATG', 'protocol': 'HEADER'},
    'IC0220': {'desc': 'Category Tax Authorities', 'name': 'ICCATTX', 'protocol': 'DETAIL'},
    'IC0230': {'desc': 'Clear History', 'name': 'ICCLRHI', 'protocol': 'SUPER'},
    'IC0240': {'desc': 'Delete Inactive Records', 'name': 'ICCLRIN', 'protocol': 'SUPER'},
    'IC0245': {'desc': 'Comment Types', 'name': 'ICCMMTP', 'protocol': 'FLAT'},
    'IC0250': {'desc': '', 'name': 'ICCONV', 'protocol': 'FLAT'},
    'IC0258': {'desc': 'LIFO/FIFO Inquiry Summary', 'name': 'ICCOSS', 'protocol': 'SUPER'},
    'IC0260': {'desc': 'Receipt Cost', 'name': 'ICCOST', 'protocol': 'FLAT'},
    'IC0270': {'desc': 'Post Item Costs', 'name': 'ICCSTP', 'protocol': 'SUPER'},
    'IC0271': {'desc': 'Current Transactions Inquiry for', 'name': 'ICCTOE', 'protocol': 'SUPER'},
    'IC0272': {'desc': 'Current Transactions Inquiry for', 'name': 'ICCTPO', 'protocol': 'SUPER'},
    'IC0273': {'desc': 'IC Drill Down Driver', 'name': 'ICDDDR', 'protocol': 'SUPER'},
    'IC0274': {'desc': 'Contract Pricing', 'name': 'ICCUPR', 'protocol': 'FLAT'},
    'IC0275': {'desc': 'Day End Processing', 'name': 'ICDEND', 'protocol': 'SUPER'},
    'IC0276': {'desc': 'I/C Day End Processing', 'name': 'ICDEP', 'protocol': 'SUPER'},
    'IC0277': {'desc': 'IC Drill Down', 'name': 'ICDLDN', 'protocol': 'SUPER'},
    'IC0278': {'desc': 'Create G/L Batch', 'name': 'ICGLTR', 'protocol': 'SUPER'},
    'IC0279': {'desc': 'Process Transactions', 'name': 'ICENPS', 'protocol': 'SUPER'},
    'IC0280': {'desc': 'Transaction History', 'name': 'ICHIST', 'protocol': 'FLAT'},
    'IC0281': {'desc': 'G/L Reference Integration', 'name': 'ICGLREF', 'protocol': 'FLAT'},
    'IC0282': {'desc': 'Internal Usage Lot Numbers', 'name': 'ICICEDL', 'protocol': 'DETAIL'},
    'IC0283': {'desc': 'Internal USage Fixed Assets Deta', 'name': 'ICICEDA', 'protocol': 'FLAT'},
    'IC0284': {'desc': 'Internal Usage Serial Numbers', 'name': 'ICICEDS', 'protocol': 'DETAIL'},
    'IC0285': {'desc': 'Transaction History Inquiry Summ', 'name': 'ICHISTS', 'protocol': 'SUPER'},
    'IC0286': {'desc': 'Internal Usage Details', 'name': 'ICICED', 'protocol': 'DETAIL'},
    'IC0287': {'desc': 'Internal Usage Detail Optional F', 'name': 'ICICEDO', 'protocol': 'DETAIL'},
    'IC0288': {'desc': 'Internal Usage Headers', 'name': 'ICICEH', 'protocol': 'HEADER'},
    'IC0289': {'desc': 'Internal Usage Optional Fields', 'name': 'ICICEHO', 'protocol': 'DETAIL'},
    'IC0290': {'desc': 'Location Details', 'name': 'ICILOC', 'protocol': 'FLAT'},
    'IC0292': {'desc': 'Item Comments', 'name': 'ICICM', 'protocol': 'FLAT'},
    'IC0293': {'desc': 'Item Comment Details', 'name': 'ICICMD', 'protocol': 'FLAT'},
    'IC0295': {'desc': 'Create Item-Location', 'name': 'ICILOCG', 'protocol': 'SUPER'},
    'IC0296': {'desc': 'Item Location Documents', 'name': 'ICIDOC', 'protocol': 'SUPER'},
    'IC0298': {'desc': 'Inventory Control Activation', 'name': 'ICINIT', 'protocol': 'SUPER'},
    'IC0299': {'desc': 'I/C Inventory Movement Inquiry', 'name': 'ICINMI', 'protocol': 'SUPER'},
    'IC0300': {'desc': 'Integrity Checker', 'name': 'ICINTCK', 'protocol': 'SUPER'},
    'IC0301': {'desc': 'Internal Usage Audit List Detail', 'name': 'ICINCAD', 'protocol': 'DETAIL'},
    'IC0302': {'desc': 'Internal Usage Audit List Header', 'name': 'ICINCAH', 'protocol': 'HEADER'},
    'IC0303': {'desc': 'Int. Usage Audit List Det. Opt.', 'name': 'ICINCDP', 'protocol': 'DETAIL'},
    'IC0304': {'desc': 'Int. Usage Audit List Hdr Opt. F', 'name': 'ICINCHP', 'protocol': 'DETAIL'},
    'IC0305': {'desc': "Manufacturer's Item Number", 'name': 'ICIOTH', 'protocol': 'FLAT'},
    'IC0306': {'desc': 'Optimize Inventory Details', 'name': 'ICIOPD', 'protocol': 'FLAT'},
    'IC0307': {'desc': 'Optimize Inventory Header', 'name': 'ICIOPH', 'protocol': 'FLAT'},
    'IC0310': {'desc': 'Items', 'name': 'ICITEM', 'protocol': 'HEADER'},
    'IC0312': {'desc': 'Item Lot Optional Fields', 'name': 'ICITEMLO', 'protocol': 'DETAIL'},
    'IC0313': {'desc': 'Item Optional Fields', 'name': 'ICITEMO', 'protocol': 'DETAIL'},
    'IC0314': {'desc': 'Item Serial Optional Fields', 'name': 'ICITEMSO', 'protocol': 'DETAIL'},
    'IC0315': {'desc': 'Item Mappings', 'name': 'ICITMAP', 'protocol': 'FLAT'},
    'IC0318': {'desc': 'Build Item Number', 'name': 'ICITMB', 'protocol': 'SUPER'},
    'IC0319': {'desc': 'Customer Item Numbers', 'name': 'ICITMC', 'protocol': 'DETAIL'},
    'IC0320': {'desc': 'Item Structures', 'name': 'ICITMS', 'protocol': 'FLAT'},
    'IC0330': {'desc': 'Item Tax Authorities', 'name': 'ICITMTX', 'protocol': 'DETAIL'},
    'IC0340': {'desc': 'Vendor Item Numbers', 'name': 'ICITMV', 'protocol': 'DETAIL'},
    'IC0350': {'desc': 'Item Receipt Posting', 'name': 'ICITRP', 'protocol': 'SUPER'},
    'IC0352': {'desc': 'Item Valuation', 'name': 'ICIVAL', 'protocol': 'FLAT'},
    'IC0355': {'desc': 'Kitting Item Components', 'name': 'ICKITD', 'protocol': 'DETAIL'},
    'IC0356': {'desc': 'Kitting Items', 'name': 'ICKITH', 'protocol': 'HEADER'},
    'IC0360': {'desc': 'Label', 'name': 'ICLBL', 'protocol': 'FLAT'},
    'IC0365': {'desc': 'Label', 'name': 'ICLBLH', 'protocol': 'FLAT'},
    'IC0370': {'desc': 'Locations', 'name': 'ICLOC', 'protocol': 'FLAT'},
    'IC0372': {'desc': 'Location Quantities', 'name': 'ICLOCI', 'protocol': 'SUPER'},
    'IC0374': {'desc': 'Location Quantity', 'name': 'ICLOCQT', 'protocol': 'SUPER'},
    'IC0375': {'desc': 'Transaction Not Costed Posting', 'name': 'ICNCST', 'protocol': 'SUPER'},
    'IC0376': {'desc': 'IC Optional Field Callbacks', 'name': 'ICOFCMD', 'protocol': 'SUPER'},
    'IC0377': {'desc': 'Optional Fields', 'name': 'ICOFD', 'protocol': 'DETAIL'},
    'IC0378': {'desc': 'Optional Field Locations', 'name': 'ICOFH', 'protocol': 'HEADER'},
    'IC0380': {'desc': 'I/C Options', 'name': 'ICOPT', 'protocol': 'FLAT'},
    'IC0385': {'desc': 'Item Pricing', 'name': 'ICOPRIC', 'protocol': 'SUPER'},
    'IC0390': {'desc': 'Price List Codes', 'name': 'ICPCOD', 'protocol': 'HEADER'},
    'IC0392': {'desc': 'Price List Codes Checks', 'name': 'ICPCODC', 'protocol': 'DETAIL'},
    'IC0395': {'desc': 'Price List Code Tax Authorities', 'name': 'ICPCTX', 'protocol': 'DETAIL'},
    'IC0400': {'desc': 'I/C Adjustment Posting', 'name': 'ICPOSTA', 'protocol': 'SUPER'},
    'IC0410': {'desc': 'I/C Assembly Posting', 'name': 'ICPOSTB', 'protocol': 'SUPER'},
    'IC0412': {'desc': 'Assembly Detail Costs', 'name': 'ICPSCBD', 'protocol': 'FLAT'},
    'IC0413': {'desc': 'Assembly Header Costs', 'name': 'ICPSCBH', 'protocol': 'FLAT'},
    'IC0415': {'desc': 'I/C Internal Usage Posting', 'name': 'ICPOSTI', 'protocol': 'SUPER'},
    'IC0417': {'desc': 'Internal Usage Detail Costs', 'name': 'ICPSCID', 'protocol': 'FLAT'},
    'IC0420': {'desc': 'I/C Receipt Posting', 'name': 'ICPOSTR', 'protocol': 'SUPER'},
    'IC0423': {'desc': 'Receipt Detail Costs', 'name': 'ICPSCRD', 'protocol': 'FLAT'},
    'IC0426': {'desc': 'Receipt Header Costs', 'name': 'ICPSCRH', 'protocol': 'FLAT'},
    'IC0430': {'desc': 'I/C Shipment Posting', 'name': 'ICPOSTS', 'protocol': 'SUPER'},
    'IC0440': {'desc': 'I/C Transfer Posting', 'name': 'ICPOSTT', 'protocol': 'SUPER'},
    'IC0450': {'desc': 'Inventory Recon. Posting', 'name': 'ICPOSTW', 'protocol': 'SUPER'},
    'IC0460': {'desc': 'Copy Item Pricing', 'name': 'ICPRCC', 'protocol': 'SUPER'},
    'IC0470': {'desc': 'Update Item Pricing', 'name': 'ICPRCU', 'protocol': 'SUPER'},
    'IC0480': {'desc': 'Item Pricing', 'name': 'ICPRIC', 'protocol': 'HEADER'},
    'IC0481': {'desc': 'Pricing Price Checks', 'name': 'ICPRICC', 'protocol': 'DETAIL'},
    'IC0482': {'desc': 'Item Pricing Details', 'name': 'ICPRICP', 'protocol': 'DETAIL'},
    'IC0483': {'desc': 'Reset Printed Posting Journals', 'name': 'ICPRJNL', 'protocol': 'SUPER'},
    'IC0485': {'desc': 'Mark Labels Printed', 'name': 'ICPRNTD', 'protocol': 'SUPER'},
    'IC0490': {'desc': 'Price List Tax Authorities', 'name': 'ICPRTX', 'protocol': 'DETAIL'},
    'IC0500': {'desc': 'Post Adjustments', 'name': 'ICPSTAD', 'protocol': 'SUPER'},
    'IC0510': {'desc': 'Post Bill of Materials', 'name': 'ICPSTBM', 'protocol': 'SUPER'},
    'IC0515': {'desc': 'Post Internal Usage', 'name': 'ICPSTIC', 'protocol': 'SUPER'},
    'IC0520': {'desc': 'Post Receipts', 'name': 'ICPSTRE', 'protocol': 'SUPER'},
    'IC0530': {'desc': 'Post Shipments', 'name': 'ICPSTSH', 'protocol': 'SUPER'},
    'IC0540': {'desc': 'Post Transfers', 'name': 'ICPSTTR', 'protocol': 'SUPER'},
    'IC0550': {'desc': 'Receipt Not Costed Details', 'name': 'ICRCPD', 'protocol': 'DETAIL'},
    'IC0553': {'desc': 'Receipt Not Costed Detail Lot Nu', 'name': 'ICRCPDL', 'protocol': 'DETAIL'},
    'IC0555': {'desc': 'Rcpt Not Costed Dtl. Opt. Fields', 'name': 'ICRCPDP', 'protocol': 'DETAIL'},
    'IC0558': {'desc': 'Receipt Not Costed Detail Serial', 'name': 'ICRCPDS', 'protocol': 'DETAIL'},
    'IC0560': {'desc': 'Receipt Not Costed Headers', 'name': 'ICRCPH', 'protocol': 'HEADER'},
    'IC0565': {'desc': 'Rcpt Not Costed Hdr Opt. Fields', 'name': 'ICRCPHP', 'protocol': 'DETAIL'},
    'IC0567': {'desc': 'Rcpt Audit List Dtl. Opt. Fields', 'name': 'ICRECDP', 'protocol': 'DETAIL'},
    'IC0568': {'desc': 'Rcpt Audit List Hdr Opt. Fields', 'name': 'ICRECHP', 'protocol': 'DETAIL'},
    'IC0570': {'desc': 'Receipt Audit List Headers', 'name': 'ICRECPH', 'protocol': 'HEADER'},
    'IC0575': {'desc': 'Receipt Audit List Details', 'name': 'ICRECPD', 'protocol': 'DETAIL'},
    'IC0580': {'desc': 'Receipt Details', 'name': 'ICREED', 'protocol': 'DETAIL'},
    'IC0582': {'desc': 'Receipt Detail Lot Numbers', 'name': 'ICREEDL', 'protocol': 'DETAIL'},
    'IC0585': {'desc': 'Receipt Detail Optional Fields', 'name': 'ICREEDO', 'protocol': 'DETAIL'},
    'IC0587': {'desc': 'Receipt Detail Serial Numbers', 'name': 'ICREEDS', 'protocol': 'DETAIL'},
    'IC0590': {'desc': 'Receipt Headers', 'name': 'ICREEH', 'protocol': 'HEADER'},
    'IC0595': {'desc': 'Receipt Optional Fields', 'name': 'ICREEHO', 'protocol': 'DETAIL'},
    'IC0599': {'desc': 'Reorder Quantities', 'name': 'ICREOR', 'protocol': 'HEADER'},
    'IC0600': {'desc': 'Reorder Quantities Details', 'name': 'ICREORD', 'protocol': 'DETAIL'},
    'IC0601': {'desc': 'Reorder Quantities Opt. Fields', 'name': 'ICREORO', 'protocol': 'DETAIL'},
    'IC0605': {'desc': 'Report Services', 'name': 'ICRPTS', 'protocol': 'SUPER'},
    'IC0606': {'desc': 'Restart', 'name': 'ICRSTRT', 'protocol': 'FLAT'},
    'IC0610': {'desc': 'Item Segments', 'name': 'ICSEG', 'protocol': 'FLAT'},
    'IC0620': {'desc': 'Segment Codes', 'name': 'ICSEGV', 'protocol': 'FLAT'},
    'IC0630': {'desc': 'Shipment Details', 'name': 'ICSHED', 'protocol': 'DETAIL'},
    'IC0632': {'desc': 'Shipment Detail Lot Numbers', 'name': 'ICSHEDL', 'protocol': 'DETAIL'},
    'IC0635': {'desc': 'Shipment Detail Optional Fields', 'name': 'ICSHEDO', 'protocol': 'DETAIL'},
    'IC0636': {'desc': 'Shipment Detail Serial Numbers', 'name': 'ICSHEDS', 'protocol': 'DETAIL'},
    'IC0640': {'desc': 'Shipment Headers', 'name': 'ICSHEH', 'protocol': 'HEADER'},
    'IC0645': {'desc': 'Shipment Optional Fields', 'name': 'ICSHEHO', 'protocol': 'DETAIL'},
    'IC0650': {'desc': 'Shipment Audit List Details', 'name': 'ICSHIPD', 'protocol': 'DETAIL'},
    'IC0652': {'desc': 'Shipment Audit List Headers', 'name': 'ICSHIPH', 'protocol': 'HEADER'},
    'IC0655': {'desc': 'Ship Audit List Det. Opt. Fields', 'name': 'ICSHPDP', 'protocol': 'DETAIL'},
    'IC0657': {'desc': 'Ship Audit List Hdr Opt. Fields', 'name': 'ICSHPHP', 'protocol': 'DETAIL'},
    'IC0680': {'desc': '', 'name': 'ICSRLD', 'protocol': 'FLAT'},
    'IC0690': {'desc': '', 'name': 'ICSRLN', 'protocol': 'FLAT'},
    'IC0700': {'desc': 'Transaction Statistics', 'name': 'ICSTAT', 'protocol': 'FLAT'},
    'IC0710': {'desc': 'Sales Statistics', 'name': 'ICSTATI', 'protocol': 'FLAT'},
    'IC0714': {'desc': 'Transfer Audit List Details', 'name': 'ICTRAND', 'protocol': 'DETAIL'},
    'IC0716': {'desc': 'Transfer Audit List Headers', 'name': 'ICTRANH', 'protocol': 'HEADER'},
    'IC0718': {'desc': 'Tfer Audit List Det. Opt. Fields', 'name': 'ICTRNDP', 'protocol': 'DETAIL'},
    'IC0720': {'desc': 'Tfer Audit List Hdr Opt. Fields', 'name': 'ICTRNHP', 'protocol': 'DETAIL'},
    'IC0730': {'desc': 'Transfer Details', 'name': 'ICTRED', 'protocol': 'DETAIL'},
    'IC0733': {'desc': 'Transfer Detail Lot Numbers', 'name': 'ICTREDL', 'protocol': 'DETAIL'},
    'IC0735': {'desc': 'Transfer Detail Optional Fields', 'name': 'ICTREDO', 'protocol': 'DETAIL'},
    'IC0738': {'desc': 'Transfer Detail Serial Numbers', 'name': 'ICTREDS', 'protocol': 'DETAIL'},
    'IC0740': {'desc': 'Transfer Headers', 'name': 'ICTREH', 'protocol': 'HEADER'},
    'IC0741': {'desc': 'Transfer Optional Fields', 'name': 'ICTREHO', 'protocol': 'DETAIL'},
    'IC0743': {'desc': 'Transit Transfer/Receipt Detail', 'name': 'ICTRID', 'protocol': 'DETAIL'},
    'IC0744': {'desc': 'Transit Transfer/Receipt Header', 'name': 'ICTRIH', 'protocol': 'HEADER'},
    'IC0745': {'desc': 'Transit Transfer/Receipt', 'name': 'ICTRIR', 'protocol': 'DETAIL'},
    'IC0746': {'desc': 'Units of Measure', 'name': 'ICUCOD', 'protocol': 'FLAT'},
    'IC0747': {'desc': 'IC Document Uniquifiers', 'name': 'ICUNIQ', 'protocol': 'FLAT'},
    'IC0750': {'desc': 'Units of Measure', 'name': 'ICUNIT', 'protocol': 'DETAIL'},
    'IC0752': {'desc': 'Inventory Control Activation', 'name': 'ICUPGD', 'protocol': 'SUPER'},
    'IC0758': {'desc': 'Weight Units of Measure', 'name': 'ICWCOD', 'protocol': 'FLAT'},
    'IC0760': {'desc': '', 'name': 'ICWKGEN', 'protocol': 'SUPER'},
    'IC0770': {'desc': 'Inventory Worksheet', 'name': 'ICWKL', 'protocol': 'HEADER'},
    'IC0775': {'desc': 'Worksheet Optional Fields', 'name': 'ICWKLO', 'protocol': 'DETAIL'},
    'IC0780': {'desc': 'Inventory Worksheet Details', 'name': 'ICWKUD', 'protocol': 'DETAIL'},
    'IC0790': {'desc': 'Inventory Worksheet Headers', 'name': 'ICWKUH', 'protocol': 'HEADER'},
    'IC0793': {'desc': 'Inventory Worksheet Lot Numbers', 'name': 'ICWKUHL', 'protocol': 'DETAIL'},
    'IC0795': {'desc': 'Worksheet Detail Optional Fields', 'name': 'ICWKUHO', 'protocol': 'DETAIL'},
    'IC0797': {'desc': 'Inventory Worksheet Serial Numbe', 'name': 'ICWKUHS', 'protocol': 'DETAIL'},
    'IC0800': {'desc': 'Contract Codes', 'name': 'ICXCONT', 'protocol': 'FLAT'},
    'IC0805': {'desc': 'Mask Structures', 'name': 'ICXMASK', 'protocol': 'FLAT'},
    'IC0810': {'desc': 'Inventory Lot Numbers', 'name': 'ICXLOT', 'protocol': 'HEADER'},
    'IC0812': {'desc': 'Lot Optional Fields', 'name': 'ICXLOTO', 'protocol': 'DETAIL'},
    'IC0815': {'desc': 'Lot Number History', 'name': 'ICXLHIS', 'protocol': 'FLAT'},
    'IC0817': {'desc': 'Lot Tracking Conversions', 'name': 'ICXLUPG', 'protocol': 'SUPER'},
    'IC0818': {'desc': 'Quarantine Release', 'name': 'ICXQREL', 'protocol': 'SUPER'},
    'IC0820': {'desc': 'Recall/Release Details', 'name': 'ICXRCD', 'protocol': 'DETAIL'},
    'IC0822': {'desc': 'Recall/Release Headers', 'name': 'ICXRCH', 'protocol': 'HEADER'},
    'IC0825': {'desc': 'Reconciliation Headers', 'name': 'ICXRECN', 'protocol': 'HEADER'},
    'IC0827': {'desc': 'Lot Reconciliation Details', 'name': 'ICXRECNL', 'protocol': 'DETAIL'},
    'IC0828': {'desc': 'Serial Reconciliation Details', 'name': 'ICXRECNS', 'protocol': 'DETAIL'},
    'IC0830': {'desc': 'Inventory Serial Numbers', 'name': 'ICXSER', 'protocol': 'HEADER'},
    'IC0832': {'desc': 'Serial Optional Fields', 'name': 'ICXSERO', 'protocol': 'DETAIL'},
    'IC0835': {'desc': 'Serial Number History', 'name': 'ICXSHIS', 'protocol': 'FLAT'},
    'IC0837': {'desc': 'Serial Registration', 'name': 'ICXSREG', 'protocol': 'SUPER'},
    'IC0838': {'desc': 'Serialized Inventory Conversions', 'name': 'ICXSUPG', 'protocol': 'SUPER'},
    'IC0843': {'desc': 'Split/Combine Headers', 'name': 'ICXSCH', 'protocol': 'HEADER'},
    'IC0845': {'desc': 'Split/Combine Details', 'name': 'ICXSCD', 'protocol': 'DETAIL'},
    'IC0850': {'desc': 'Warranty Codes', 'name': 'ICXWARY', 'protocol': 'FLAT'},
    'IC0855': {'desc': 'Transfer Detail Lot Numbers', 'name': 'ICTRIDL', 'protocol': 'DETAIL'},
    'IC0860': {'desc': 'Transit Transfer/Receipt Detail', 'name': 'ICTRIDS', 'protocol': 'DETAIL'},
    'IC0949': {'desc': 'Yearly Transaction Statistics', 'name': 'ICTSYR', 'protocol': 'SUPER'},
    'IC0950': {'desc': 'Yearly Sales Statistics', 'name': 'ICSSYR', 'protocol': 'SUPER'},
    'IC0951': {'desc': 'Yearly Transaction Statistics', 'name': 'ICTSPR', 'protocol': 'SUPER'},
    'IC0952': {'desc': 'Sales Statistics', 'name': 'ICSSPR', 'protocol': 'SUPER'},
    'IC0999': {'desc': '', 'name': 'GENSTUB', 'protocol': 'FLAT'},
    'IY': {'desc': 'Inter Entity Transactions', 'name': '', 'protocol': 'APP'},
    'IY0001': {'desc': 'Inter Entity Options', 'name': 'IYOPT', 'protocol': 'FLAT'},
    'IY0002': {'desc': 'Inter Entity Linked Account Set', 'name': 'IYLINK', 'protocol': 'FLAT'},
    'IY0003': {'desc': 'Inter Entity Route', 'name': 'IYROUTH', 'protocol': 'HEADER'},
    'IY0004': {'desc': 'Inter Entity Route Detail', 'name': 'IYROUTD', 'protocol': 'DETAIL'},
    'IY0005': {'desc': 'IET Batch Processing', 'name': 'IYPOST', 'protocol': 'SUPER'},
    'IY0007': {'desc': 'Inter Entity Database-Entity Map', 'name': 'IYSGDB', 'protocol': 'FLAT'},
    'IY0009': {'desc': 'IET Transaction Audit Log', 'name': 'IYAUDIT', 'protocol': 'FLAT'},
    'IY0010': {'desc': 'IET Periodic Processing', 'name': 'IYPEND', 'protocol': 'SUPER'},
    'IY0011': {'desc': 'IET Integration', 'name': 'IYGLREF', 'protocol': 'FLAT'},
    'IY0012': {'desc': 'IET Triggers', 'name': 'IYGLTRG', 'protocol': 'FLAT'},
    'IY0013': {'desc': 'IET A/P A/R Trade', 'name': 'IYAPARH', 'protocol': 'HEADER'},
    'IY0014': {'desc': 'IET A/P A/R Trade Accounts', 'name': 'IYAPARD', 'protocol': 'DETAIL'},
    'IY0015': {'desc': 'IET Triggers Audit Log', 'name': 'IYTRAUD', 'protocol': 'FLAT'},
    'IY0016': {'desc': 'IET Trade Option', 'name': 'IYTROPT', 'protocol': 'FLAT'},
    'IY0017': {'desc': 'IET Integration', 'name': 'IYTRREF', 'protocol': 'FLAT'},
    'IY0018': {'desc': 'Inter Entity Organisation ID', 'name': 'IYORG', 'protocol': 'FLAT'},
    'IY0020': {'desc': 'IET OE/PO Trade Account', 'name': 'IYOEPOH', 'protocol': 'HEADER'},
    'IY0021': {'desc': 'IET OE/PO Trade Detail', 'name': 'IYOEPOD', 'protocol': 'DETAIL'},
    'IY0022': {'desc': 'IET Trade Audit Log', 'name': 'IYTTAUD', 'protocol': 'FLAT'},
    'IY0023': {'desc': 'IET OE/PO Trade Audit Log', 'name': 'IYOEPOAU', 'protocol': 'HEADER'},
    'IY0024': {'desc': 'IET Periodic Processing', 'name': 'IYTRPEND', 'protocol': 'SUPER'},
    'IY0040': {'desc': 'CM Bank Setup', 'name': 'IYCMBANK', 'protocol': 'FLAT'},
    'IY0041': {'desc': 'CM AP/AR Setup', 'name': 'IYCMAPAR', 'protocol': 'FLAT'},
    'IY0042': {'desc': 'Consolidated Customers', 'name': 'IYARCUS', 'protocol': 'FLAT'},
    'IY0043': {'desc': 'Consolidated Vendors', 'name': 'IYAPVEN', 'protocol': 'FLAT'},
    'IY0046': {'desc': 'IET CM Audit Log', 'name': 'IYCMAUDT', 'protocol': 'FLAT'},
    'IY0047': {'desc': 'Account Balance Enquiry', 'name': 'IYACCBAL', 'protocol': 'FLAT'},
    'IY0048': {'desc': 'IY OE/PO Trade Audit Log', 'name': 'IYOEPOAD', 'protocol': 'DETAIL'},
    'IY0097': {'desc': '', 'name': 'IYINTCK', 'protocol': 'SUPER'},
    'IY0099': {'desc': 'Inter Entity Activation', 'name': 'IYINIT', 'protocol': 'SUPER'},
    'IY0102': {'desc': 'Receipt Selection Codes', 'name': 'IYSELC', 'protocol': 'HEADER'},
    'IY0104': {'desc': 'Exclusions', 'name': 'IYSELCE', 'protocol': 'DETAIL'},
    'IY0105': {'desc': 'Selected Optional Field Values', 'name': 'IYSELCV', 'protocol': 'DETAIL'},
    'IY0106': {'desc': '', 'name': 'IYPU', 'protocol': 'FLAT'},
    'OE': {'desc': 'Order Entry', 'name': '', 'protocol': 'APP'},
    'OE0100': {'desc': 'Posting Journals - Details', 'name': 'OEAUDD', 'protocol': 'DETAIL'},
    'OE0105': {'desc': 'Posting Journals - Detail-Detail', 'name': 'OEAUDDD', 'protocol': 'DETAIL'},
    'OE0110': {'desc': 'Posting Jnls Detail Opt. Fields', 'name': 'OEAUDDP', 'protocol': 'DETAIL'},
    'OE0120': {'desc': 'Posting Journals', 'name': 'OEAUDH', 'protocol': 'HEADER'},
    'OE0123': {'desc': 'Posting Journals Optional Fields', 'name': 'OEAUDHP', 'protocol': 'DETAIL'},
    'OE0126': {'desc': '', 'name': 'OEPPPMT', 'protocol': 'FLAT'},
    'OE0127': {'desc': '', 'name': 'OEPPPMTD', 'protocol': 'FLAT'},
    'OE0130': {'desc': 'Clear History', 'name': 'OECH', 'protocol': 'SUPER'},
    'OE0140': {'desc': 'Crd/Dbn Comments/Instructions', 'name': 'OECOINC', 'protocol': 'DETAIL'},
    'OE0160': {'desc': 'Invoice Comments/Instructions', 'name': 'OECOINI', 'protocol': 'DETAIL'},
    'OE0180': {'desc': 'Order Comments/Instructions', 'name': 'OECOINO', 'protocol': 'DETAIL'},
    'OE0190': {'desc': 'Shipment Comments/Instructions', 'name': 'OECOINS', 'protocol': 'DETAIL'},
    'OE0194': {'desc': 'Currency Order Inquiry', 'name': 'OECOIY', 'protocol': 'SUPER'},
    'OE0200': {'desc': 'Commissions', 'name': 'OECOMM', 'protocol': 'FLAT'},
    'OE0210': {'desc': '', 'name': 'OECONV', 'protocol': 'FLAT'},
    'OE0220': {'desc': 'Credit/Debit Details', 'name': 'OECRDD', 'protocol': 'DETAIL'},
    'OE0221': {'desc': 'Credit/Debit Detail Opt. Fields', 'name': 'OECRDDO', 'protocol': 'DETAIL'},
    'OE0222': {'desc': 'Credit/Debit Kitting Details', 'name': 'OECRDDD', 'protocol': 'DETAIL'},
    'OE0223': {'desc': 'Credit/Debit BOM Details', 'name': 'OECRDDB', 'protocol': 'DETAIL'},
    'OE0224': {'desc': 'Credit/Debit Kitting Serial Nos', 'name': 'OECRDDDS', 'protocol': 'DETAIL'},
    'OE0225': {'desc': 'Credit/Debit Kitting Detail Lot', 'name': 'OECRDDDL', 'protocol': 'DETAIL'},
    'OE0226': {'desc': 'Credit/Debit Detail Lot Numbers', 'name': 'OECRDDL', 'protocol': 'DETAIL'},
    'OE0227': {'desc': 'Credit/Debit Detail Serial Nos', 'name': 'OECRDDS', 'protocol': 'DETAIL'},
    'OE0240': {'desc': 'Credit/Debit Notes', 'name': 'OECRDH', 'protocol': 'HEADER'},
    'OE0242': {'desc': 'Credit/Debit Note Opt. Fields', 'name': 'OECRDHO', 'protocol': 'DETAIL'},
    'OE0250': {'desc': 'Credit Note Processing', 'name': 'OECRDP', 'protocol': 'SUPER'},
    'OE0255': {'desc': 'O/E Sage CRM Processing', 'name': 'OECRMP', 'protocol': 'SUPER'},
    'OE0260': {'desc': 'O/E Posting', 'name': 'OEDEND', 'protocol': 'SUPER'},
    'OE0265': {'desc': 'OE Drill Down', 'name': 'OEDLDN', 'protocol': 'SUPER'},
    'OE0270': {'desc': 'Flag Printed Records', 'name': 'OEFLAG', 'protocol': 'SUPER'},
    'OE0271': {'desc': 'Create Batch', 'name': 'OEGLTR', 'protocol': 'SUPER'},
    'OE0272': {'desc': 'G/L Reference Integration', 'name': 'OEGLREF', 'protocol': 'FLAT'},
    'OE0273': {'desc': 'Shipment Comments/Instructions', 'name': 'OEICOIS', 'protocol': 'DETAIL'},
    'OE0275': {'desc': 'Order Entry Activation', 'name': 'OEINIT', 'protocol': 'SUPER'},
    'OE0278': {'desc': 'Invoice Prepayments', 'name': 'OEINPP', 'protocol': 'FLAT'},
    'OE0280': {'desc': 'Integrity Checker', 'name': 'OEINTCK', 'protocol': 'SUPER'},
    'OE0310': {'desc': 'Invoice Lot For DEP', 'name': 'OEINTL', 'protocol': 'FLAT'},
    'OE0313': {'desc': 'Invoice Serial For DEP', 'name': 'OEINTS', 'protocol': 'FLAT'},
    'OE0400': {'desc': 'Invoice Details', 'name': 'OEINVD', 'protocol': 'DETAIL'},
    'OE0401': {'desc': 'Invoice Detail Optional Fields', 'name': 'OEINVDO', 'protocol': 'DETAIL'},
    'OE0402': {'desc': 'Invoice Kitting Details', 'name': 'OEINVDD', 'protocol': 'DETAIL'},
    'OE0403': {'desc': 'Invoice BOM Details', 'name': 'OEINVDB', 'protocol': 'DETAIL'},
    'OE0404': {'desc': 'Invoice Kitting Serial Numbers', 'name': 'OEINVDDS', 'protocol': 'DETAIL'},
    'OE0405': {'desc': 'Invoice Kitting Detail Lot Numbe', 'name': 'OEINVDDL', 'protocol': 'DETAIL'},
    'OE0406': {'desc': 'Invoice Detail Lot Numbers', 'name': 'OEINVDL', 'protocol': 'DETAIL'},
    'OE0407': {'desc': 'Invoice Detail Serial Numbers', 'name': 'OEINVDS', 'protocol': 'DETAIL'},
    'OE0415': {'desc': 'Invoice-CRM Processing', 'name': 'OEINVG', 'protocol': 'SUPER'},
    'OE0420': {'desc': 'Invoices', 'name': 'OEINVH', 'protocol': 'HEADER'},
    'OE0422': {'desc': 'Invoice Optional Fields', 'name': 'OEINVHO', 'protocol': 'DETAIL'},
    'OE0425': {'desc': 'Invoice Processing', 'name': 'OEINVP', 'protocol': 'SUPER'},
    'OE0427': {'desc': 'Multiple Shipments to Invoice', 'name': 'OEINVR', 'protocol': 'DETAIL'},
    'OE0431': {'desc': 'Shipment Detail Optional Fields', 'name': 'OEISHDO', 'protocol': 'DETAIL'},
    'OE0432': {'desc': 'Shipment Optional Fields', 'name': 'OEISHHO', 'protocol': 'DETAIL'},
    'OE0433': {'desc': 'Shipment Details', 'name': 'OEISHID', 'protocol': 'DETAIL'},
    'OE0434': {'desc': 'Shipments', 'name': 'OEISHIH', 'protocol': 'HEADER'},
    'OE0435': {'desc': 'Shipment Detail Lot Numbers', 'name': 'OEISHIDL', 'protocol': 'DETAIL'},
    'OE0436': {'desc': 'Shipment Detail Serial Numbers', 'name': 'OEISHIDS', 'protocol': 'DETAIL'},
    'OE0440': {'desc': 'Miscellaneous Charges', 'name': 'OEMISC', 'protocol': 'HEADER'},
    'OE0450': {'desc': 'Misc. Charge Optional Fields', 'name': 'OEMISCO', 'protocol': 'DETAIL'},
    'OE0460': {'desc': 'Miscellaneous Charge Taxes', 'name': 'OEMISCT', 'protocol': 'DETAIL'},
    'OE0465': {'desc': 'E-mail Messages', 'name': 'OEMSG', 'protocol': 'FLAT'},
    'OE0468': {'desc': 'OE Optional Field Callbacks', 'name': 'OEOFCMD', 'protocol': 'SUPER'},
    'OE0470': {'desc': 'Optional Fields', 'name': 'OEOFD', 'protocol': 'DETAIL'},
    'OE0475': {'desc': 'Optional Field Locations', 'name': 'OEOFH', 'protocol': 'HEADER'},
    'OE0480': {'desc': 'O/E Options', 'name': 'OEOPT', 'protocol': 'FLAT'},
    'OE0490': {'desc': 'Create Order from Existing Order', 'name': 'OEORDC', 'protocol': 'SUPER'},
    'OE0500': {'desc': 'Order Details', 'name': 'OEORDD', 'protocol': 'DETAIL'},
    'OE0501': {'desc': 'Order Detail Optional Fields', 'name': 'OEORDDO', 'protocol': 'DETAIL'},
    'OE0502': {'desc': 'Order Kitting Details', 'name': 'OEORDDD', 'protocol': 'DETAIL'},
    'OE0503': {'desc': 'Order BOM Details', 'name': 'OEORDDB', 'protocol': 'DETAIL'},
    'OE0504': {'desc': 'Order Kitting Serial Numbers', 'name': 'OEORDDDS', 'protocol': 'DETAIL'},
    'OE0505': {'desc': 'Pending Shipment Details', 'name': 'OEORDDI', 'protocol': 'SUPER'},
    'OE0506': {'desc': 'Order Kitting Detail Lot Numbers', 'name': 'OEORDDDL', 'protocol': 'DETAIL'},
    'OE0507': {'desc': 'Order Detail Lot Numbers', 'name': 'OEORDDL', 'protocol': 'DETAIL'},
    'OE0508': {'desc': 'Order Detail Serial Numbers', 'name': 'OEORDDS', 'protocol': 'DETAIL'},
    'OE0519': {'desc': 'Order-CRM Processing', 'name': 'OEORDG', 'protocol': 'SUPER'},
    'OE0520': {'desc': 'Orders', 'name': 'OEORDH', 'protocol': 'HEADER'},
    'OE0521': {'desc': 'Pending Shipments', 'name': 'OEORDHI', 'protocol': 'SUPER'},
    'OE0522': {'desc': 'Order Optional Fields', 'name': 'OEORDHO', 'protocol': 'DETAIL'},
    'OE0525': {'desc': 'Order Processing', 'name': 'OEORDP', 'protocol': 'SUPER'},
    'OE0526': {'desc': 'Order from Quotes', 'name': 'OEORDQ', 'protocol': 'DETAIL'},
    'OE0530': {'desc': 'Order Prepayments', 'name': 'OEORPP', 'protocol': 'FLAT'},
    'OE0533': {'desc': 'Order to Shipment Drilldown', 'name': 'OEORSH', 'protocol': 'SUPER'},
    'OE0535': {'desc': 'Order Pre-Authorization', 'name': 'OEPAUTH', 'protocol': 'FLAT'},
    'OE0538': {'desc': 'Customer Pending Amounts', 'name': 'OEPEND', 'protocol': 'SUPER'},
    'OE0540': {'desc': 'Templates', 'name': 'OEPLAT', 'protocol': 'FLAT'},
    'OE0550': {'desc': 'Job Resource Validation', 'name': 'OEPMRES', 'protocol': 'SUPER'},
    'OE0560': {'desc': 'O/E Credit Note Posting', 'name': 'OEPOSTC', 'protocol': 'SUPER'},
    'OE0580': {'desc': 'O/E Invoice Posting', 'name': 'OEPOSTI', 'protocol': 'SUPER'},
    'OE0600': {'desc': 'O/E Order Posting', 'name': 'OEPOSTO', 'protocol': 'SUPER'},
    'OE0605': {'desc': 'O/E Shipment Posting', 'name': 'OEPOSTS', 'protocol': 'SUPER'},
    'OE0620': {'desc': 'Posted Prepayments', 'name': 'OEPPRE', 'protocol': 'FLAT'},
    'OE0622': {'desc': 'Posted Prepayment Details', 'name': 'OEPPRED', 'protocol': 'FLAT'},
    'OE0630': {'desc': 'Item Pricing', 'name': 'OEPRIC', 'protocol': 'SUPER'},
    'OE0633': {'desc': 'Report Services', 'name': 'OERPTS', 'protocol': 'SUPER'},
    'OE0634': {'desc': 'Restart', 'name': 'OERSTRT', 'protocol': 'FLAT'},
    'OE0635': {'desc': '', 'name': 'OESAPV', 'protocol': 'FLAT'},
    'OE0637': {'desc': 'Promote Quote to Order Details', 'name': 'OEQTOD', 'protocol': 'DETAIL'},
    'OE0638': {'desc': 'Promote Quote to Order Header', 'name': 'OEQTOH', 'protocol': 'HEADER'},
    'OE0639': {'desc': 'Quote-to-Order Processing', 'name': 'OEQTOP', 'protocol': 'SUPER'},
    'OE0670': {'desc': 'Shipment Day End Lots', 'name': 'OESHTDL', 'protocol': 'DETAIL'},
    'OE0671': {'desc': 'Shipment Day End Serials', 'name': 'OESHTDS', 'protocol': 'DETAIL'},
    'OE0675': {'desc': 'Shipment Day End Kitting Lots', 'name': 'OESHTDDL', 'protocol': 'DETAIL'},
    'OE0676': {'desc': 'Shipment Day End Kitting Serials', 'name': 'OESHTDDS', 'protocol': 'DETAIL'},
    'OE0681': {'desc': 'Shipment Cost-To-Clear Serials', 'name': 'OESHCDS', 'protocol': 'DETAIL'},
    'OE0683': {'desc': 'Shipment Cost-To-Clear Details', 'name': 'OESHCD', 'protocol': 'DETAIL'},
    'OE0684': {'desc': 'Shipment Cost-To-Clear', 'name': 'OESHCH', 'protocol': 'HEADER'},
    'OE0685': {'desc': 'Sales History Details', 'name': 'OESHDT', 'protocol': 'FLAT'},
    'OE0686': {'desc': 'Shipment Cost-To-Clear Lots', 'name': 'OESHCDL', 'protocol': 'DETAIL'},
    'OE0687': {'desc': 'Shipment Cost-To-Clear Kitting S', 'name': 'OESHCDDS', 'protocol': 'DETAIL'},
    'OE0688': {'desc': 'Shipment Cost-To-Clear Details o', 'name': 'OESHCDD', 'protocol': 'DETAIL'},
    'OE0689': {'desc': 'Shipment Cost-To-Clear Kitting L', 'name': 'OESHCDDL', 'protocol': 'DETAIL'},
    'OE0690': {'desc': 'Sales History', 'name': 'OESHHD', 'protocol': 'FLAT'},
    'OE0691': {'desc': 'Shipment Details', 'name': 'OESHID', 'protocol': 'DETAIL'},
    'OE0692': {'desc': 'Shipments', 'name': 'OESHIH', 'protocol': 'HEADER'},
    'OE0693': {'desc': 'Shipment Processing', 'name': 'OESHIP', 'protocol': 'SUPER'},
    'OE0694': {'desc': 'Multiple Orders to Shipment', 'name': 'OESHIR', 'protocol': 'DETAIL'},
    'OE0695': {'desc': 'SalesPerson History Details', 'name': 'OESHSI', 'protocol': 'SUPER'},
    'OE0697': {'desc': 'Shipment Day End Details', 'name': 'OESHTD', 'protocol': 'DETAIL'},
    'OE0698': {'desc': 'Shipments Day End', 'name': 'OESHTH', 'protocol': 'HEADER'},
    'OE0699': {'desc': 'Shipment Day End Details of Deta', 'name': 'OESHTDD', 'protocol': 'DETAIL'},
    'OE0700': {'desc': 'Sales Statistics', 'name': 'OESTATS', 'protocol': 'FLAT'},
    'OE0702': {'desc': 'Shipment Detail Optional Fields', 'name': 'OESHIDO', 'protocol': 'DETAIL'},
    'OE0703': {'desc': 'Shipment Kitting Details', 'name': 'OESHIDD', 'protocol': 'DETAIL'},
    'OE0704': {'desc': 'Shipment Optional Fields', 'name': 'OESHIHO', 'protocol': 'DETAIL'},
    'OE0705': {'desc': 'Shipment BOM Details', 'name': 'OESHIDB', 'protocol': 'DETAIL'},
    'OE0706': {'desc': 'Shipment Kitting Serial Numbers', 'name': 'OESHIDDS', 'protocol': 'DETAIL'},
    'OE0707': {'desc': 'Shipment Kitting Detail Lot Numb', 'name': 'OESHIDDL', 'protocol': 'DETAIL'},
    'OE0708': {'desc': 'Shipment Detail Lot Numbers', 'name': 'OESHIDL', 'protocol': 'DETAIL'},
    'OE0709': {'desc': 'Shipment Detail Serial Numbers', 'name': 'OESHIDS', 'protocol': 'DETAIL'},
    'OE0710': {'desc': 'Shipment Prepayments', 'name': 'OESHPP', 'protocol': 'FLAT'},
    'OE0715': {'desc': 'Shipment-CRM Processing', 'name': 'OESHIG', 'protocol': 'SUPER'},
    'OE0720': {'desc': 'Invoice Payment Schedules', 'name': 'OETERMI', 'protocol': 'DETAIL'},
    'OE0740': {'desc': 'Order Payment Schedules', 'name': 'OETERMO', 'protocol': 'DETAIL'},
    'OE0745': {'desc': 'Shipment Payment Schedules', 'name': 'OETERMS', 'protocol': 'DETAIL'},
    'OE0750': {'desc': '', 'name': 'OETXCVT', 'protocol': 'FLAT'},
    'OE0755': {'desc': 'Order Entry Activation', 'name': 'OEUPGD', 'protocol': 'SUPER'},
    'OE0760': {'desc': 'Ship-Via Codes', 'name': 'OEVIA', 'protocol': 'FLAT'},
    'OE0999': {'desc': '', 'name': 'GENSTUB', 'protocol': 'FLAT'},
    'OY': {'desc': 'Bin Tracking', 'name': '', 'protocol': 'APP'},
    'OY0002': {'desc': 'Options', 'name': 'OYOPT', 'protocol': 'HEADER'},
    'OY0004': {'desc': 'Bins', 'name': 'OYBINH', 'protocol': 'HEADER'},
    'OY0005': {'desc': 'Bin Details', 'name': 'OYBIND', 'protocol': 'DETAIL'},
    'OY0006': {'desc': 'Bin Items', 'name': 'OYBINDD', 'protocol': 'DETAIL'},
    'OY0007': {'desc': 'Picking Methods', 'name': 'OYOPTP', 'protocol': 'DETAIL'},
    'OY0008': {'desc': 'Items', 'name': 'OYOPTI', 'protocol': 'DETAIL'},
    'OY0010': {'desc': 'Current Bin Quantities', 'name': 'OYBIN', 'protocol': 'FLAT'},
    'OY0011': {'desc': 'History', 'name': 'OYHIST', 'protocol': 'FLAT'},
    'OY0012': {'desc': 'Bins', 'name': 'OYBINF', 'protocol': 'FLAT'},
    'OY0013': {'desc': 'Item by UOM Inquiry', 'name': 'OYIUOM', 'protocol': 'FLAT'},
    'OY0014': {'desc': 'Bin Serials', 'name': 'OYBINS', 'protocol': 'FLAT'},
    'OY0015': {'desc': 'Bin Lots', 'name': 'OYBINL', 'protocol': 'FLAT'},
    'OY0017': {'desc': 'Version History', 'name': 'OYVER', 'protocol': 'FLAT'},
    'OY0099': {'desc': 'Activation', 'name': 'OYINIT', 'protocol': 'SUPER'},
    'OY0100': {'desc': 'Worksheet Header', 'name': 'OYWORKH', 'protocol': 'FLAT'},
    'OY0101': {'desc': 'Worksheet Details', 'name': 'OYWORKD', 'protocol': 'HEADER'},
    'OY0102': {'desc': 'Worksheet Serials', 'name': 'OYWORKDS', 'protocol': 'DETAIL'},
    'OY0103': {'desc': 'Worksheet Lots', 'name': 'OYWORKDL', 'protocol': 'DETAIL'},
    'OY0104': {'desc': 'Post Bin Reconciliation', 'name': 'OYWORKP', 'protocol': 'SUPER'},
    'OY0105': {'desc': 'Generate Bin Worksheet', 'name': 'OYWORKG', 'protocol': 'SUPER'},
    'OY0106': {'desc': '', 'name': 'OYWORKS', 'protocol': 'FLAT'},
    'OY0107': {'desc': '', 'name': 'OYWORKL', 'protocol': 'FLAT'},
    'OY0110': {'desc': 'Transfer Header', 'name': 'OYBTH', 'protocol': 'HEADER'},
    'OY0111': {'desc': 'Transfer Details', 'name': 'OYBTD', 'protocol': 'DETAIL'},
    'OY0112': {'desc': 'Transfer Details 2', 'name': 'OYBTDD', 'protocol': 'DETAIL'},
    'OY0113': {'desc': 'Serial Numbers', 'name': 'OYBTDS', 'protocol': 'DETAIL'},
    'OY0114': {'desc': 'Lot Numbers', 'name': 'OYBTDL', 'protocol': 'DETAIL'},
    'OY0115': {'desc': 'Optional Field Locations', 'name': 'OYOFH', 'protocol': 'HEADER'},
    'OY0116': {'desc': 'Optional Fields', 'name': 'OYOFD', 'protocol': 'DETAIL'},
    'OY0117': {'desc': 'Optional Field Callbacks', 'name': 'OYOFCMD', 'protocol': 'SUPER'},
    'OY0118': {'desc': 'Optional Fields', 'name': 'OYBTHO', 'protocol': 'DETAIL'},
    'OY0119': {'desc': 'Optional Fields', 'name': 'OYBTDO', 'protocol': 'DETAIL'},
    'OY0120': {'desc': 'Optional Fields', 'name': 'OYBINDO', 'protocol': 'DETAIL'},
    'OY0121': {'desc': '', 'name': 'OYPU', 'protocol': 'FLAT'},
    'OY0122': {'desc': 'Deactivate empty temporary bins', 'name': 'OYCBIN', 'protocol': 'SUPER'},
    'OY0200': {'desc': 'Superview', 'name': 'OYBTSUP', 'protocol': 'SUPER'},
    'OY0999': {'desc': '', 'name': 'OYINTCK', 'protocol': 'SUPER'},
    'OZ': {'desc': 'Process Scheduler', 'name': '', 'protocol': 'APP'},
    'OZ0003': {'desc': 'Process Scheduler Options', 'name': 'OZOPT', 'protocol': 'FLAT'},
    'OZ0004': {'desc': 'Companies', 'name': 'OZORG', 'protocol': 'FLAT'},
    'OZ0005': {'desc': 'Schedules', 'name': 'OZSCHEDH', 'protocol': 'HEADER'},
    'OZ0006': {'desc': 'Schedule Details', 'name': 'OZSCHEDD', 'protocol': 'DETAIL'},
    'OZ0007': {'desc': 'Audit Log', 'name': 'OZAUDIT', 'protocol': 'FLAT'},
    'OZ0008': {'desc': 'Service Pack Audit', 'name': 'OZSYS', 'protocol': 'FLAT'},
    'OZ0009': {'desc': '', 'name': 'OZAUDITD', 'protocol': 'FLAT'},
    'OZ0010': {'desc': 'E-mail Message', 'name': 'OZMSG', 'protocol': 'FLAT'},
    'OZ0011': {'desc': 'Run P/O day end', 'name': 'OZPU', 'protocol': 'FLAT'},
    'PM': {'desc': 'Project and Job Costing', 'name': '', 'protocol': 'APP'},
    'PM0001': {'desc': 'Cost Types', 'name': 'PMCOST', 'protocol': 'FLAT'},
    'PM0002': {'desc': 'Employee', 'name': 'PMSTAFF', 'protocol': 'HEADER'},
    'PM0003': {'desc': 'Options', 'name': 'PMOPT', 'protocol': 'FLAT'},
    'PM0006': {'desc': 'Project Code', 'name': 'PMPROJ', 'protocol': 'HEADER'},
    'PM0011': {'desc': 'Contract Structures', 'name': 'PMSTRUC', 'protocol': 'FLAT'},
    'PM0013': {'desc': 'Segments', 'name': 'PMSEG', 'protocol': 'FLAT'},
    'PM0014': {'desc': 'Segment Codes', 'name': 'PMSEGV', 'protocol': 'FLAT'},
    'PM0017': {'desc': 'Account Sets', 'name': 'PMACCT', 'protocol': 'FLAT'},
    'PM0018': {'desc': 'Categories', 'name': 'PMCTG', 'protocol': 'HEADER'},
    'PM0019': {'desc': 'Options', 'name': 'PMOPT2', 'protocol': 'FLAT'},
    'PM0020': {'desc': 'Options', 'name': 'PMOPT3', 'protocol': 'FLAT'},
    'PM0021': {'desc': 'Contracts', 'name': 'PMCONTS', 'protocol': 'HEADER'},
    'PM0022': {'desc': 'Projects', 'name': 'PMPROJS', 'protocol': 'DETAIL'},
    'PM0023': {'desc': 'Charge Codes', 'name': 'PMCHARG', 'protocol': 'HEADER'},
    'PM0025': {'desc': 'Equipment', 'name': 'PMEQMT', 'protocol': 'HEADER'},
    'PM0026': {'desc': 'Subcontractors', 'name': 'PMSUBCN', 'protocol': 'HEADER'},
    'PM0028': {'desc': 'Miscellaneous Expenses', 'name': 'PMMIEXP', 'protocol': 'HEADER'},
    'PM0029': {'desc': 'Overhead Codes', 'name': 'PMOHEXP', 'protocol': 'HEADER'},
    'PM0030': {'desc': 'Equipment', 'name': 'PMEQIPH', 'protocol': 'HEADER'},
    'PM0031': {'desc': 'Equipment Detail', 'name': 'PMEQIPD', 'protocol': 'DETAIL'},
    'PM0032': {'desc': 'Equipment Audit', 'name': 'PMEQIPHA', 'protocol': 'FLAT'},
    'PM0033': {'desc': 'Equipment Audit Detail', 'name': 'PMEQIPDA', 'protocol': 'FLAT'},
    'PM0034': {'desc': 'Options', 'name': 'PMOPT4', 'protocol': 'FLAT'},
    'PM0039': {'desc': 'Contract Categories', 'name': 'PMCATGT', 'protocol': 'DETAIL'},
    'PM0040': {'desc': 'Timecard', 'name': 'PMTIMEH', 'protocol': 'HEADER'},
    'PM0041': {'desc': 'Timecard Time Detail', 'name': 'PMTIMED', 'protocol': 'DETAIL'},
    'PM0042': {'desc': 'Timecard Audit', 'name': 'PMTIMHA', 'protocol': 'FLAT'},
    'PM0043': {'desc': 'Timecard Time Detail Audit', 'name': 'PMTIMDA', 'protocol': 'FLAT'},
    'PM0046': {'desc': 'Material Returns', 'name': 'PMMATRH', 'protocol': 'HEADER'},
    'PM0047': {'desc': 'Material Returns Detail', 'name': 'PMMATRD', 'protocol': 'DETAIL'},
    'PM0050': {'desc': 'Material Usage', 'name': 'PMMATH', 'protocol': 'HEADER'},
    'PM0051': {'desc': 'Material Usage Detail', 'name': 'PMMATD', 'protocol': 'DETAIL'},
    'PM0054': {'desc': 'Charges', 'name': 'PMCHRGH', 'protocol': 'HEADER'},
    'PM0055': {'desc': 'Charges Detail', 'name': 'PMCHRGD', 'protocol': 'DETAIL'},
    'PM0056': {'desc': 'Charges Audit', 'name': 'PMCHGHA', 'protocol': 'FLAT'},
    'PM0057': {'desc': 'Charges Audit Detail', 'name': 'PMCHGDA', 'protocol': 'FLAT'},
    'PM0058': {'desc': 'Revise Estimates', 'name': 'PMCHNGH', 'protocol': 'HEADER'},
    'PM0059': {'desc': 'Revise Estimates Detail', 'name': 'PMCHNGD', 'protocol': 'DETAIL'},
    'PM0060': {'desc': 'Revise Estimates Audit', 'name': 'PMCHNGHA', 'protocol': 'FLAT'},
    'PM0061': {'desc': 'Revise Estimates Audit Detail', 'name': 'PMCHNGDA', 'protocol': 'FLAT'},
    'PM0062': {'desc': 'Adjustments', 'name': 'PMADJH', 'protocol': 'HEADER'},
    'PM0063': {'desc': 'Adjustments Detail', 'name': 'PMADJD', 'protocol': 'DETAIL'},
    'PM0064': {'desc': 'Adjustments Audit', 'name': 'PMADJHA', 'protocol': 'FLAT'},
    'PM0065': {'desc': 'Adjustments Audit Detail', 'name': 'PMADJDA', 'protocol': 'FLAT'},
    'PM0080': {'desc': 'Create Billing Worksheet Supervi', 'name': 'PMBWS', 'protocol': 'SUPER'},
    'PM0081': {'desc': 'Billing Worksheet', 'name': 'PMBWH', 'protocol': 'HEADER'},
    'PM0082': {'desc': 'Billing Worksheet Detail', 'name': 'PMBWD', 'protocol': 'DETAIL'},
    'PM0083': {'desc': 'Billing Worksheet Customer', 'name': 'PMBWC', 'protocol': 'DETAIL'},
    'PM0084': {'desc': 'Post Billing Worksheet', 'name': 'PMBWP', 'protocol': 'SUPER'},
    'PM0090': {'desc': 'Generate Rev. Rec. Worksheet', 'name': 'PMRWGEN', 'protocol': 'SUPER'},
    'PM0091': {'desc': 'Revenue Recognition Worksheet', 'name': 'PMRWH', 'protocol': 'HEADER'},
    'PM0092': {'desc': 'RR Worksheet Detail', 'name': 'PMRWD', 'protocol': 'DETAIL'},
    'PM0094': {'desc': 'RR Worksheet Accounts', 'name': 'PMRWDD', 'protocol': 'DETAIL'},
    'PM0095': {'desc': 'RR Worksheet Header Audit', 'name': 'PMRWHA', 'protocol': 'FLAT'},
    'PM0096': {'desc': 'RR Worksheet Detail Audit', 'name': 'PMRWDA', 'protocol': 'FLAT'},
    'PM0097': {'desc': 'RR Worksheet Accounts Audit', 'name': 'PMRWDDA', 'protocol': 'FLAT'},
    'PM0111': {'desc': 'Contract Transactions', 'name': 'PMTRAN', 'protocol': 'HEADER'},
    'PM0113': {'desc': 'Timecard Expense Detail', 'name': 'PMTIMEE', 'protocol': 'DETAIL'},
    'PM0114': {'desc': 'Timecard Expense Detail Audit', 'name': 'PMTIMEA', 'protocol': 'FLAT'},
    'PM0115': {'desc': 'Timecard Time Totals', 'name': 'PMTIMET', 'protocol': 'DETAIL'},
    'PM0116': {'desc': 'Update Payroll', 'name': 'PMTCTFR', 'protocol': 'SUPER'},
    'PM0117': {'desc': 'Timecard Time Audit', 'name': 'PMTIMTA', 'protocol': 'FLAT'},
    'PM0120': {'desc': 'Contract Resources', 'name': 'PMRES', 'protocol': 'DETAIL'},
    'PM0121': {'desc': 'Contract Resource Categories', 'name': 'PMRESC', 'protocol': 'DETAIL'},
    'PM0122': {'desc': 'Budget Detail', 'name': 'PMBUDD', 'protocol': 'DETAIL'},
    'PM0123': {'desc': 'Budget Header', 'name': 'PMBUDH', 'protocol': 'HEADER'},
    'PM0124': {'desc': 'Budget Lookup', 'name': 'PMBUDL', 'protocol': 'SUPER'},
    'PM0125': {'desc': 'Update Budget Superview', 'name': 'PMBUDS', 'protocol': 'SUPER'},
    'PM0126': {'desc': 'Budget Audit', 'name': 'PMBUDA', 'protocol': 'FLAT'},
    'PM0127': {'desc': 'Budget Detail', 'name': 'PMBUDI', 'protocol': 'SUPER'},
    'PM0130': {'desc': 'Posting Errors', 'name': 'PMPERR', 'protocol': 'FLAT'},
    'PM0135': {'desc': 'Clear History', 'name': 'PMCHIST', 'protocol': 'SUPER'},
    'PM0200': {'desc': 'Generate Reopen Worksheet', 'name': 'PMROGEN', 'protocol': 'SUPER'},
    'PM0201': {'desc': 'Reopening Projects Worksheet', 'name': 'PMROH', 'protocol': 'HEADER'},
    'PM0202': {'desc': 'Reopen Worksheet Detail', 'name': 'PMROD', 'protocol': 'DETAIL'},
    'PM0203': {'desc': 'Reopen Detail Optional Field', 'name': 'PMRODO', 'protocol': 'DETAIL'},
    'PM0204': {'desc': 'Reopen Worksheet Accounts', 'name': 'PMRODD', 'protocol': 'DETAIL'},
    'PM0205': {'desc': 'Reopen Worksheet Header Audit', 'name': 'PMROHA', 'protocol': 'FLAT'},
    'PM0206': {'desc': 'Reopen Worksheet Detail Audit', 'name': 'PMRODA', 'protocol': 'FLAT'},
    'PM0207': {'desc': 'Reopen Detail OF Audit', 'name': 'PMRODOA', 'protocol': 'FLAT'},
    'PM0208': {'desc': 'Reopen Worksheet Accounts Audit', 'name': 'PMRODDA', 'protocol': 'FLAT'},
    'PM0209': {'desc': 'G/L Closing Entries', 'name': 'PMCLOSE', 'protocol': 'FLAT'},
    'PM0300': {'desc': 'Project and Job Costing Activati', 'name': 'PMINIT', 'protocol': 'SUPER'},
    'PM0301': {'desc': 'A/R Superview', 'name': 'PMAR', 'protocol': 'HEADER'},
    'PM0302': {'desc': 'A/P Superview', 'name': 'PMAP', 'protocol': 'HEADER'},
    'PM0304': {'desc': 'IC Superview', 'name': 'PMIC', 'protocol': 'HEADER'},
    'PM0305': {'desc': 'P/O Superview', 'name': 'PMPO', 'protocol': 'HEADER'},
    'PM0320': {'desc': 'Committed Costs Audit', 'name': 'PMCOCA', 'protocol': 'FLAT'},
    'PM0400': {'desc': 'Users', 'name': 'PMUSER', 'protocol': 'FLAT'},
    'PM0401': {'desc': 'Opening Balances', 'name': 'PMOBH', 'protocol': 'HEADER'},
    'PM0402': {'desc': 'Opening Balances Detail', 'name': 'PMOBD', 'protocol': 'DETAIL'},
    'PM0403': {'desc': 'Opening Balances Audit', 'name': 'PMOBHA', 'protocol': 'FLAT'},
    'PM0404': {'desc': 'Opening Balances Audit Detail', 'name': 'PMOBDA', 'protocol': 'FLAT'},
    'PM0410': {'desc': 'Update Retainage Detail', 'name': 'PMURD', 'protocol': 'DETAIL'},
    'PM0411': {'desc': 'Update Retainage Detail Audit', 'name': 'PMURDA', 'protocol': 'FLAT'},
    'PM0412': {'desc': 'Update Retainage', 'name': 'PMURH', 'protocol': 'HEADER'},
    'PM0413': {'desc': 'Update Retainage Audit', 'name': 'PMURHA', 'protocol': 'FLAT'},
    'PM0420': {'desc': 'Cost Entries Header', 'name': 'PMCEH', 'protocol': 'HEADER'},
    'PM0421': {'desc': 'Cost Entries Optional Field', 'name': 'PMCEHO', 'protocol': 'DETAIL'},
    'PM0422': {'desc': 'Cost Entries Detail', 'name': 'PMCED', 'protocol': 'DETAIL'},
    'PM0423': {'desc': 'Cost Entries Detail Optional Fie', 'name': 'PMCEDO', 'protocol': 'DETAIL'},
    'PM0424': {'desc': 'Cost Entries Audit', 'name': 'PMCEHA', 'protocol': 'FLAT'},
    'PM0425': {'desc': 'Cost Entries Audit Optional Fld', 'name': 'PMCEHAO', 'protocol': 'FLAT'},
    'PM0426': {'desc': 'Cost Entries Detail Audit', 'name': 'PMCEDA', 'protocol': 'FLAT'},
    'PM0427': {'desc': 'Cost Entries Detail Audit Opt.', 'name': 'PMCEDAO', 'protocol': 'FLAT'},
    'PM0450': {'desc': 'Canadian Payroll Superview', 'name': 'PMCP', 'protocol': 'HEADER'},
    'PM0451': {'desc': 'US Payroll Superview', 'name': 'PMUP', 'protocol': 'HEADER'},
    'PM0452': {'desc': 'C/P Optional Field', 'name': 'PMCPO', 'protocol': 'DETAIL'},
    'PM0453': {'desc': 'U/P Optional Field', 'name': 'PMUPO', 'protocol': 'DETAIL'},
    'PM0460': {'desc': 'Material Allocation', 'name': 'PMMTAH', 'protocol': 'HEADER'},
    'PM0461': {'desc': 'Material Allocation Detail', 'name': 'PMMTAD', 'protocol': 'DETAIL'},
    'PM0462': {'desc': 'Material Allocation Optional', 'name': 'PMMTAHO', 'protocol': 'DETAIL'},
    'PM0463': {'desc': 'Material Allocation Dtl Optional', 'name': 'PMMTADO', 'protocol': 'DETAIL'},
    'PM0464': {'desc': 'Material Allocation', 'name': 'PMMTAHA', 'protocol': 'FLAT'},
    'PM0465': {'desc': 'Material Allocation Detail', 'name': 'PMMTADA', 'protocol': 'FLAT'},
    'PM0466': {'desc': 'Material Allocation Optional Fie', 'name': 'PMMTAHAO', 'protocol': 'FLAT'},
    'PM0467': {'desc': 'Material Allocation Detail Optio', 'name': 'PMMTADAO', 'protocol': 'FLAT'},
    'PM0468': {'desc': '', 'name': 'PMAIAS', 'protocol': 'SUPER'},
    'PM0469': {'desc': 'AIA Report Temporary File', 'name': 'PMAIAT', 'protocol': 'FLAT'},
    'PM0472': {'desc': 'AIA Superview Temporary File', 'name': 'PMAIAST', 'protocol': 'FLAT'},
    'PM0473': {'desc': 'O/E Superview', 'name': 'PMOE', 'protocol': 'HEADER'},
    'PM0474': {'desc': 'O/E Optional Field', 'name': 'PMOEO', 'protocol': 'DETAIL'},
    'PM0475': {'desc': 'Categories Detail View', 'name': 'PMCTGD', 'protocol': 'DETAIL'},
    'PM0476': {'desc': 'Equipment Detail View', 'name': 'PMEQMTD', 'protocol': 'DETAIL'},
    'PM0477': {'desc': 'Subcontractors Detail View', 'name': 'PMSUBCND', 'protocol': 'DETAIL'},
    'PM0478': {'desc': 'Charge Codes Detail View', 'name': 'PMCHARGD', 'protocol': 'DETAIL'},
    'PM0479': {'desc': 'Employee Detail View', 'name': 'PMSTAFFD', 'protocol': 'DETAIL'},
    'PM0480': {'desc': 'Misc. Expenses Detail View', 'name': 'PMMIEXPD', 'protocol': 'DETAIL'},
    'PM0481': {'desc': 'Overhead Expenses Detail View', 'name': 'PMOHEXPD', 'protocol': 'DETAIL'},
    'PM0482': {'desc': 'Contracts', 'name': 'PMCPRJ', 'protocol': 'SUPER'},
    'PM0483': {'desc': 'Material Usage Detail Serial Num', 'name': 'PMMATDS', 'protocol': 'DETAIL'},
    'PM0484': {'desc': 'Material Usage Detail Lot Number', 'name': 'PMMATDL', 'protocol': 'DETAIL'},
    'PM0485': {'desc': 'Material Return Detail Serial Nu', 'name': 'PMMATRDS', 'protocol': 'DETAIL'},
    'PM0486': {'desc': 'Material Return Detail Lot Numbe', 'name': 'PMMATRDL', 'protocol': 'DETAIL'},
    'PM0487': {'desc': 'Age WIP Report Superview', 'name': 'PMAGEWIP', 'protocol': 'SUPER'},
    'PM0488': {'desc': 'Age WIP Report Temporary File', 'name': 'PMAGET', 'protocol': 'FLAT'},
    'PM0500': {'desc': 'Optional Fields Detail', 'name': 'PMOFD', 'protocol': 'DETAIL'},
    'PM0501': {'desc': 'Optional Fields Header', 'name': 'PMOFH', 'protocol': 'HEADER'},
    'PM0502': {'desc': 'Optional Fields Superview', 'name': 'PMOFCMD', 'protocol': 'SUPER'},
    'PM0505': {'desc': 'Equipment Optional Field', 'name': 'PMEQHO', 'protocol': 'DETAIL'},
    'PM0506': {'desc': 'Equipment Detail Optional Field', 'name': 'PMEQDO', 'protocol': 'DETAIL'},
    'PM0507': {'desc': 'Equipment Audit Optional Field', 'name': 'PMEQHAO', 'protocol': 'FLAT'},
    'PM0508': {'desc': 'Equipment Audit Detail OF', 'name': 'PMEQDAO', 'protocol': 'FLAT'},
    'PM0509': {'desc': 'Project Optional Fields', 'name': 'PMPROJO', 'protocol': 'DETAIL'},
    'PM0510': {'desc': 'Category Optional Fields', 'name': 'PMCTGO', 'protocol': 'DETAIL'},
    'PM0511': {'desc': 'Employee Optional Fields', 'name': 'PMSTAFFO', 'protocol': 'DETAIL'},
    'PM0512': {'desc': 'Equipment Optional Fields', 'name': 'PMEQMTO', 'protocol': 'DETAIL'},
    'PM0513': {'desc': 'Miscellaneous Expenses Optional', 'name': 'PMMIEXPO', 'protocol': 'DETAIL'},
    'PM0514': {'desc': 'Overhead Optional Fields', 'name': 'PMOHEXPO', 'protocol': 'DETAIL'},
    'PM0515': {'desc': 'Subcontractor Optional Fields', 'name': 'PMSUBCNO', 'protocol': 'DETAIL'},
    'PM0516': {'desc': 'Charges Optional Field', 'name': 'PMCHARGO', 'protocol': 'DETAIL'},
    'PM0520': {'desc': 'A/P Optional Field', 'name': 'PMAPO', 'protocol': 'DETAIL'},
    'PM0521': {'desc': 'A/R Optional Field', 'name': 'PMARO', 'protocol': 'DETAIL'},
    'PM0522': {'desc': 'P/O Optional Field', 'name': 'PMPOO', 'protocol': 'DETAIL'},
    'PM0523': {'desc': 'Charges Detail Optional Field', 'name': 'PMCHGDO', 'protocol': 'DETAIL'},
    'PM0524': {'desc': 'Charges Optional Field', 'name': 'PMCHGHO', 'protocol': 'DETAIL'},
    'PM0525': {'desc': 'Charges Audit Detail Opt. Field', 'name': 'PMCHGDAO', 'protocol': 'FLAT'},
    'PM0526': {'desc': 'Charges Audit Optional Field', 'name': 'PMCHGHAO', 'protocol': 'FLAT'},
    'PM0527': {'desc': 'Adjustment Detail Optional Field', 'name': 'PMADJDO', 'protocol': 'DETAIL'},
    'PM0528': {'desc': 'Adjustment Optional Field', 'name': 'PMADJHO', 'protocol': 'DETAIL'},
    'PM0529': {'desc': 'Adjustment Audit Detail OF', 'name': 'PMADJDAO', 'protocol': 'FLAT'},
    'PM0530': {'desc': 'Adjustment Audit Optional Field', 'name': 'PMADJHAO', 'protocol': 'FLAT'},
    'PM0531': {'desc': 'Timecard Detail Optional Field', 'name': 'PMTIMDO', 'protocol': 'DETAIL'},
    'PM0532': {'desc': 'Timecard Optional Field', 'name': 'PMTIMHO', 'protocol': 'DETAIL'},
    'PM0533': {'desc': 'Timecard Audit Detail OF', 'name': 'PMTIMDAO', 'protocol': 'FLAT'},
    'PM0534': {'desc': 'Timecard Audit Optional Field', 'name': 'PMTIMHAO', 'protocol': 'FLAT'},
    'PM0535': {'desc': 'Material Return Detail Opt. Fld', 'name': 'PMMATRDO', 'protocol': 'DETAIL'},
    'PM0536': {'desc': 'Material Return Optional Field', 'name': 'PMMATRHO', 'protocol': 'DETAIL'},
    'PM0537': {'desc': 'Material Usage Detail Opt. Field', 'name': 'PMMATDO', 'protocol': 'DETAIL'},
    'PM0538': {'desc': 'Material Usage Optional Field', 'name': 'PMMATHO', 'protocol': 'DETAIL'},
    'PM0539': {'desc': 'Timecard Expense Optional Field', 'name': 'PMTIMEO', 'protocol': 'DETAIL'},
    'PM0540': {'desc': 'Timecard Audit Expense OF', 'name': 'PMTIMEAO', 'protocol': 'FLAT'},
    'PM0541': {'desc': 'I/C Optional Field', 'name': 'PMICO', 'protocol': 'DETAIL'},
    'PM0542': {'desc': 'Billing Optional Field', 'name': 'PMBWHO', 'protocol': 'DETAIL'},
    'PM0544': {'desc': 'Billing Detail Optional Field', 'name': 'PMBWDO', 'protocol': 'DETAIL'},
    'PM0546': {'desc': 'RR Detail Optional Field', 'name': 'PMRWDO', 'protocol': 'DETAIL'},
    'PM0547': {'desc': 'RR Detail OF Audit', 'name': 'PMRWDAO', 'protocol': 'FLAT'},
    'PM0550': {'desc': 'Revise Estimates Detail Opt. Fld', 'name': 'PMREVDO', 'protocol': 'DETAIL'},
    'PM0551': {'desc': 'Revise Estimates Audit Detail OF', 'name': 'PMREVDAO', 'protocol': 'FLAT'},
    'PM0552': {'desc': 'Revise Estimates Wizard', 'name': 'PMREVW', 'protocol': 'SUPER'},
    'PM0600': {'desc': 'G/L Integration', 'name': 'PMGLIT', 'protocol': 'FLAT'},
    'PM0610': {'desc': 'Restart', 'name': 'PMRSTRT', 'protocol': 'FLAT'},
    'PM0801': {'desc': 'Payroll Earnings', 'name': 'PMPEARN', 'protocol': 'FLAT'},
    'PM0802': {'desc': 'Payroll Expenses', 'name': 'PMPEXP', 'protocol': 'FLAT'},
    'PM0850': {'desc': 'Contract Optional Field', 'name': 'PMCONO', 'protocol': 'DETAIL'},
    'PM0851': {'desc': 'Project Optional Field', 'name': 'PMPROJSO', 'protocol': 'DETAIL'},
    'PM0852': {'desc': 'Category Optional Field', 'name': 'PMCATGTO', 'protocol': 'DETAIL'},
    'PM0853': {'desc': 'Resource Optional Field', 'name': 'PMRESO', 'protocol': 'DETAIL'},
    'PM0854': {'desc': 'Transaction Optional Field', 'name': 'PMTRANO', 'protocol': 'DETAIL'},
    'PM0900': {'desc': 'Transaction Posting', 'name': 'PMTRPST', 'protocol': 'SUPER'},
    'PM0910': {'desc': 'Create G/L Batch', 'name': 'PMGLTR', 'protocol': 'SUPER'},
    'PM0992': {'desc': '', 'name': 'PMPWIZ', 'protocol': 'FLAT'},
    'PM0993': {'desc': 'Superview', 'name': 'PMTREE', 'protocol': 'SUPER'},
    'PM0994': {'desc': 'New Contract Wizard', 'name': 'PMCWIZ', 'protocol': 'SUPER'},
    'PM0995': {'desc': 'Contract Transactions', 'name': 'PMTRANS', 'protocol': 'SUPER'},
    'PM0996': {'desc': 'Superview', 'name': 'PMSUP', 'protocol': 'SUPER'},
    'PM0997': {'desc': 'Drilldown View', 'name': 'PMDLDN', 'protocol': 'SUPER'},
    'PM0998': {'desc': 'Superview', 'name': 'PMSRES', 'protocol': 'SUPER'},
    'PM0999': {'desc': 'Integrity Check', 'name': 'PMINTCK', 'protocol': 'SUPER'},
    'PO': {'desc': 'Purchase Orders', 'name': '', 'protocol': 'APP'},
    'PO0100': {'desc': 'Account Sets', 'name': 'POACCT', 'protocol': 'FLAT'},
    'PO0103': {'desc': 'Post Adjustment Details', 'name': 'POADJP', 'protocol': 'SUPER'},
    'PO0106': {'desc': 'Categories', 'name': 'POCATG', 'protocol': 'HEADER'},
    'PO0107': {'desc': 'Category Tax Authorities', 'name': 'POCATTX', 'protocol': 'DETAIL'},
    'PO0108': {'desc': '', 'name': 'POCLRHI', 'protocol': 'FLAT'},
    'PO0109': {'desc': 'Delete Inactive Records', 'name': 'POCLRIN', 'protocol': 'SUPER'},
    'PO0110': {'desc': 'Day End Processing', 'name': 'PODEND', 'protocol': 'SUPER'},
    'PO0112': {'desc': 'Transaction History', 'name': 'POHIST', 'protocol': 'FLAT'},
    'PO0115': {'desc': 'Receipt Cost', 'name': 'POICOS', 'protocol': 'FLAT'},
    'PO0117': {'desc': 'IC Optional Field Callbacks', 'name': 'POIOCMD', 'protocol': 'SUPER'},
    'PO0118': {'desc': 'Location Details', 'name': 'POILOC', 'protocol': 'FLAT'},
    'PO0119': {'desc': 'Optional Fields', 'name': 'POIOFD', 'protocol': 'DETAIL'},
    'PO0120': {'desc': 'Optional Field Locations', 'name': 'POIOFH', 'protocol': 'HEADER'},
    'PO0121': {'desc': 'I/C Options', 'name': 'POIOPT', 'protocol': 'FLAT'},
    'PO0123': {'desc': 'Item Lot Optional Fields', 'name': 'POITEMLO', 'protocol': 'DETAIL'},
    'PO0124': {'desc': 'Items', 'name': 'POITEM', 'protocol': 'HEADER'},
    'PO0125': {'desc': 'Item Optional Fields', 'name': 'POITEMO', 'protocol': 'DETAIL'},
    'PO0126': {'desc': 'Item Serial Optional Fields', 'name': 'POITEMSO', 'protocol': 'DETAIL'},
    'PO0127': {'desc': 'Item Mappings', 'name': 'POITMAP', 'protocol': 'FLAT'},
    'PO0129': {'desc': 'Customer Item Numbers', 'name': 'POITMC', 'protocol': 'DETAIL'},
    'PO0130': {'desc': 'Item Structures', 'name': 'POITMS', 'protocol': 'FLAT'},
    'PO0133': {'desc': 'Item Tax Authorities', 'name': 'POITMTX', 'protocol': 'DETAIL'},
    'PO0136': {'desc': 'Vendor Item Numbers', 'name': 'POITMV', 'protocol': 'DETAIL'},
    'PO0139': {'desc': 'Item Receipt Posting', 'name': 'POITRP', 'protocol': 'SUPER'},
    'PO0140': {'desc': 'Item Valuation', 'name': 'POIVAL', 'protocol': 'FLAT'},
    'PO0142': {'desc': 'Label', 'name': 'POLBL', 'protocol': 'FLAT'},
    'PO0145': {'desc': 'Locations', 'name': 'POLOC', 'protocol': 'FLAT'},
    'PO0146': {'desc': 'Location Quantities', 'name': 'POLOCI', 'protocol': 'SUPER'},
    'PO0148': {'desc': 'Price List Codes', 'name': 'POPCOD', 'protocol': 'HEADER'},
    'PO0149': {'desc': 'Price List Codes Checks', 'name': 'POPCODC', 'protocol': 'DETAIL'},
    'PO0151': {'desc': 'Price List Code Tax Authorities', 'name': 'POPCTX', 'protocol': 'DETAIL'},
    'PO0154': {'desc': 'Item Pricing', 'name': 'POPRIC', 'protocol': 'HEADER'},
    'PO0155': {'desc': 'Pricing Price Checks', 'name': 'POPRICC', 'protocol': 'DETAIL'},
    'PO0156': {'desc': 'Item Pricing Details', 'name': 'POPRICP', 'protocol': 'DETAIL'},
    'PO0157': {'desc': 'Price List Tax Authorities', 'name': 'POPRTX', 'protocol': 'DETAIL'},
    'PO0159': {'desc': 'Reorder Quantities', 'name': 'POREOR', 'protocol': 'HEADER'},
    'PO0160': {'desc': 'Reorder Quantities Details', 'name': 'POREORD', 'protocol': 'DETAIL'},
    'PO0162': {'desc': 'Reorder Quantities Opt. Fields', 'name': 'POREORO', 'protocol': 'DETAIL'},
    'PO0163': {'desc': 'Item Segments', 'name': 'POSEG', 'protocol': 'FLAT'},
    'PO0166': {'desc': 'Segment Codes', 'name': 'POSEGV', 'protocol': 'FLAT'},
    'PO0169': {'desc': '', 'name': 'POSRLD', 'protocol': 'FLAT'},
    'PO0172': {'desc': '', 'name': 'POSRLN', 'protocol': 'FLAT'},
    'PO0175': {'desc': 'Transaction Statistics', 'name': 'POSTAT', 'protocol': 'FLAT'},
    'PO0177': {'desc': 'Units of Measure', 'name': 'POUCOD', 'protocol': 'FLAT'},
    'PO0178': {'desc': 'Units of Measure', 'name': 'POUNIT', 'protocol': 'DETAIL'},
    'PO0180': {'desc': 'Vendor Contract Pricing Table', 'name': 'POVUDL', 'protocol': 'SUPER'},
    'PO0181': {'desc': 'Vendor Contract Costs', 'name': 'POVUPR', 'protocol': 'HEADER'},
    'PO0183': {'desc': 'Vendor Contract Included Taxes', 'name': 'POVUTX', 'protocol': 'DETAIL'},
    'PO0184': {'desc': 'Update Vendor Cont. Conv. Factor', 'name': 'POVUUT', 'protocol': 'SUPER'},
    'PO0185': {'desc': 'Weight Units of Measure', 'name': 'POWCOD', 'protocol': 'FLAT'},
    'PO0191': {'desc': 'Vendor Contract Cost Base Units', 'name': 'POVUMB', 'protocol': 'DETAIL'},
    'PO0192': {'desc': 'Vendor Contract Cost Sale Units', 'name': 'POVUMS', 'protocol': 'DETAIL'},
    'PO0250': {'desc': 'Payables Clearing Audit', 'name': 'POAAPC', 'protocol': 'FLAT'},
    'PO0290': {'desc': 'Additional Cost Taxes', 'name': 'POACD', 'protocol': 'DETAIL'},
    'PO0293': {'desc': 'Committed Costs Audit', 'name': 'POCOCA', 'protocol': 'FLAT'},
    'PO0294': {'desc': 'Create Order from Existing Order', 'name': 'POCOPR', 'protocol': 'SUPER'},
    'PO0295': {'desc': 'Generic Cost Data', 'name': 'POCOSTZ', 'protocol': 'FLAT'},
    'PO0297': {'desc': 'Costs', 'name': 'POCOSV', 'protocol': 'SUPER'},
    'PO0299': {'desc': 'Additional Cost Optional Fields', 'name': 'POACSTO', 'protocol': 'DETAIL'},
    'PO0300': {'desc': 'Additional Costs', 'name': 'POACST', 'protocol': 'HEADER'},
    'PO0302': {'desc': 'PO Clear History Superview', 'name': 'POCH', 'protocol': 'SUPER'},
    'PO0304': {'desc': 'Credit/Debit Note Audit Headers', 'name': 'POCRNAH', 'protocol': 'HEADER'},
    'PO0305': {'desc': 'Credit/Debit Note Audit Lines', 'name': 'POCRNAL', 'protocol': 'DETAIL'},
    'PO0306': {'desc': 'CR/DR Note Audit Prorate Lines', 'name': 'POCRNAQ', 'protocol': 'DETAIL'},
    'PO0307': {'desc': 'CR/DR Note Audit Costs', 'name': 'POCRNAS', 'protocol': 'DETAIL'},
    'PO0308': {'desc': 'Duplicate Credit/Debit Notes', 'name': 'POCRNB', 'protocol': 'SUPER'},
    'PO0309': {'desc': 'Credit/Debit Note Comments', 'name': 'POCRNC', 'protocol': 'DETAIL'},
    'PO0310': {'desc': 'Credit/Debit Note Functions', 'name': 'POCRNG', 'protocol': 'SUPER'},
    'PO0311': {'desc': 'Credit/Debit Notes', 'name': 'POCRNH', 'protocol': 'HEADER'},
    'PO0312': {'desc': 'Credit/Debit Note Postings', 'name': 'POCRNI', 'protocol': 'HEADER'},
    'PO0313': {'desc': 'Credit/Debit Note Day-ends', 'name': 'POCRNJ', 'protocol': 'FLAT'},
    'PO0314': {'desc': 'Credit/Debit Note Opt. Fields', 'name': 'POCRNHO', 'protocol': 'DETAIL'},
    'PO0315': {'desc': 'Credit/Debit Note Lines', 'name': 'POCRNL', 'protocol': 'DETAIL'},
    'PO0316': {'desc': 'Credit/Debit Note Posting Lines', 'name': 'POCRNM', 'protocol': 'DETAIL'},
    'PO0317': {'desc': 'Credit/Debit Note Day-end Lines', 'name': 'POCRNN', 'protocol': 'FLAT'},
    'PO0318': {'desc': 'CR/DR Note Line Optional Fields', 'name': 'POCRNLO', 'protocol': 'DETAIL'},
    'PO0319': {'desc': 'CR/DR Note Distribute Proration', 'name': 'POCRNK', 'protocol': 'SUPER'},
    'PO0320': {'desc': 'CR/DR Note Additional Costs', 'name': 'POCRNS', 'protocol': 'DETAIL'},
    'PO0321': {'desc': 'CR/DR Note Posting Add. Costs', 'name': 'POCRNT', 'protocol': 'DETAIL'},
    'PO0322': {'desc': 'CR/DR Note Day-end Additional Co', 'name': 'POCRNU', 'protocol': 'FLAT'},
    'PO0323': {'desc': 'CR/DR Note Add. Cost Opt. Fields', 'name': 'POCRNSO', 'protocol': 'DETAIL'},
    'PO0325': {'desc': 'CR/DR Add. Costs Superview', 'name': 'POCRNW', 'protocol': 'DETAIL'},
    'PO0326': {'desc': 'CR/DR Note Cost Distributions', 'name': 'POCRND', 'protocol': 'DETAIL'},
    'PO0327': {'desc': 'CR/DR Note Posting Cost Dists.', 'name': 'POCRNE', 'protocol': 'DETAIL'},
    'PO0328': {'desc': 'CR/DR Note Day-end Cost Dists.', 'name': 'POCRNF', 'protocol': 'FLAT'},
    'PO0330': {'desc': 'P/O Credit/Debit Note Posting', 'name': 'POCRNZ', 'protocol': 'SUPER'},
    'PO0331': {'desc': 'CR/DR Note Audit Hdr. Opt. Flds', 'name': 'POCRAHO', 'protocol': 'DETAIL'},
    'PO0332': {'desc': 'CR/DR Note Audit Line Opt. Flds', 'name': 'POCRALO', 'protocol': 'DETAIL'},
    'PO0333': {'desc': 'CR/DR Note Audit Cost Opt. Flds', 'name': 'POCRASO', 'protocol': 'DETAIL'},
    'PO0335': {'desc': 'P/O Day End Processing', 'name': 'PODEPR', 'protocol': 'SUPER'},
    'PO0336': {'desc': 'PO Drill Down', 'name': 'PODLDN', 'protocol': 'SUPER'},
    'PO0337': {'desc': 'Generic Distribution Data', 'name': 'PODISTZ', 'protocol': 'FLAT'},
    'PO0340': {'desc': 'Mark Posting Journals Printed', 'name': 'POFLAG', 'protocol': 'SUPER'},
    'PO0345': {'desc': 'Requisitions', 'name': 'POFRQNL', 'protocol': 'SUPER'},
    'PO0350': {'desc': 'Create POs From I/C', 'name': 'POGENIC', 'protocol': 'SUPER'},
    'PO0351': {'desc': 'G/L Reference Integration', 'name': 'POGLREF', 'protocol': 'FLAT'},
    'PO0352': {'desc': 'Create POs From O/E', 'name': 'POGENOE', 'protocol': 'SUPER'},
    'PO0353': {'desc': 'Create Batch', 'name': 'POGLTR', 'protocol': 'SUPER'},
    'PO0354': {'desc': 'Item Quantities on Hand', 'name': 'POGNLOC', 'protocol': 'FLAT'},
    'PO0355': {'desc': 'Create POs From O/E Orders by Ve', 'name': 'POGNOE', 'protocol': 'FLAT'},
    'PO0357': {'desc': 'Create POs From O/E Orders by Or', 'name': 'POGNOEB', 'protocol': 'FLAT'},
    'PO0359': {'desc': 'Create POs From Requisitions', 'name': 'POGNRQN', 'protocol': 'SUPER'},
    'PO0361': {'desc': 'Create POs From Requisitions by', 'name': 'POGNVD', 'protocol': 'FLAT'},
    'PO0380': {'desc': 'Purchase History', 'name': 'POHSTH', 'protocol': 'HEADER'},
    'PO0384': {'desc': 'Purchase History Detail', 'name': 'POHSTL', 'protocol': 'DETAIL'},
    'PO0405': {'desc': 'Purchase Orders Activation', 'name': 'POINIT', 'protocol': 'SUPER'},
    'PO0407': {'desc': 'Integrity Checker', 'name': 'POINTCK', 'protocol': 'SUPER'},
    'PO0409': {'desc': 'Invoice Audit Headers', 'name': 'POINVAH', 'protocol': 'HEADER'},
    'PO0410': {'desc': 'Invoice Audit Lines', 'name': 'POINVAL', 'protocol': 'DETAIL'},
    'PO0411': {'desc': 'Invoice Audit Prorate Lines', 'name': 'POINVAQ', 'protocol': 'DETAIL'},
    'PO0412': {'desc': 'Invoice Audit Costs', 'name': 'POINVAS', 'protocol': 'DETAIL'},
    'PO0414': {'desc': 'Duplicate Invoices', 'name': 'POINVB', 'protocol': 'SUPER'},
    'PO0415': {'desc': 'Invoice Cost Distributions', 'name': 'POINVD', 'protocol': 'DETAIL'},
    'PO0416': {'desc': 'Invoice Comments', 'name': 'POINVC', 'protocol': 'DETAIL'},
    'PO0417': {'desc': 'Invoice Posting Cost Distribs.', 'name': 'POINVE', 'protocol': 'DETAIL'},
    'PO0418': {'desc': 'Invoice Day-end Cost Distribs.', 'name': 'POINVF', 'protocol': 'FLAT'},
    'PO0419': {'desc': 'Invoice Functions', 'name': 'POINVG', 'protocol': 'SUPER'},
    'PO0420': {'desc': 'Invoices', 'name': 'POINVH', 'protocol': 'HEADER'},
    'PO0421': {'desc': 'Invoice Postings', 'name': 'POINVI', 'protocol': 'HEADER'},
    'PO0422': {'desc': 'Invoice Day-ends', 'name': 'POINVJ', 'protocol': 'FLAT'},
    'PO0423': {'desc': 'Invoice Optional Fields', 'name': 'POINVHO', 'protocol': 'DETAIL'},
    'PO0424': {'desc': 'Invoice Distribute Proration', 'name': 'POINVK', 'protocol': 'SUPER'},
    'PO0430': {'desc': 'Invoice Lines', 'name': 'POINVL', 'protocol': 'DETAIL'},
    'PO0431': {'desc': 'Invoice Posting Lines', 'name': 'POINVM', 'protocol': 'DETAIL'},
    'PO0432': {'desc': 'Invoice Day-end Lines', 'name': 'POINVN', 'protocol': 'FLAT'},
    'PO0433': {'desc': 'Invoice Detail Optional Fields', 'name': 'POINVLO', 'protocol': 'DETAIL'},
    'PO0436': {'desc': 'Invoice Payment Schedules', 'name': 'POINVP', 'protocol': 'DETAIL'},
    'PO0438': {'desc': 'Invoice Receipts', 'name': 'POINVR', 'protocol': 'DETAIL'},
    'PO0440': {'desc': 'Invoice Additional Costs', 'name': 'POINVS', 'protocol': 'DETAIL'},
    'PO0441': {'desc': 'Invoice Posting Cost Lines', 'name': 'POINVT', 'protocol': 'DETAIL'},
    'PO0442': {'desc': 'Invoice Day-end Additional Costs', 'name': 'POINVU', 'protocol': 'FLAT'},
    'PO0443': {'desc': 'Invoice Add. Cost Opt. Fields', 'name': 'POINVSO', 'protocol': 'DETAIL'},
    'PO0444': {'desc': 'Inv. Add. Costs Superview', 'name': 'POINVW', 'protocol': 'DETAIL'},
    'PO0445': {'desc': 'P/O Invoice Posting', 'name': 'POINVZ', 'protocol': 'SUPER'},
    'PO0447': {'desc': 'Invoice Audit Hdr. Opt. Fields', 'name': 'POINAHO', 'protocol': 'DETAIL'},
    'PO0448': {'desc': 'Invoice Audit Line Opt. Fields', 'name': 'POINALO', 'protocol': 'DETAIL'},
    'PO0449': {'desc': 'Invoice Audit Cost Opt. Fields', 'name': 'POINASO', 'protocol': 'DETAIL'},
    'PO0455': {'desc': 'Receipt Optional Fields', 'name': 'POIRCHO', 'protocol': 'DETAIL'},
    'PO0456': {'desc': 'Receipt Detail Optional Fields', 'name': 'POIRCLO', 'protocol': 'DETAIL'},
    'PO0457': {'desc': 'Receipt Add. Cost Opt. Field', 'name': 'POIRCSO', 'protocol': 'DETAIL'},
    'PO0458': {'desc': 'Receipt Vendors Optional Fields', 'name': 'POIRCVO', 'protocol': 'DETAIL'},
    'PO0460': {'desc': 'Receipt Comments', 'name': 'POIRCPC', 'protocol': 'DETAIL'},
    'PO0461': {'desc': 'Receipt Cost Distributions', 'name': 'POIRCPD', 'protocol': 'DETAIL'},
    'PO0462': {'desc': 'Receipts', 'name': 'POIRCPH', 'protocol': 'HEADER'},
    'PO0463': {'desc': 'Receipt Line Lots', 'name': 'POIRCLL', 'protocol': 'DETAIL'},
    'PO0464': {'desc': 'Receipt Lines', 'name': 'POIRCPL', 'protocol': 'DETAIL'},
    'PO0465': {'desc': 'Receipt Line Serials', 'name': 'POIRCLS', 'protocol': 'DETAIL'},
    'PO0466': {'desc': 'Receipt Additional Costs', 'name': 'POIRCPS', 'protocol': 'DETAIL'},
    'PO0468': {'desc': 'Receipt Vendors', 'name': 'POIRCPV', 'protocol': 'DETAIL'},
    'PO0500': {'desc': 'Mailing Labels', 'name': 'POLBLS', 'protocol': 'SUPER'},
    'PO0520': {'desc': 'Generic Line Data', 'name': 'POLINEZ', 'protocol': 'FLAT'},
    'PO0522': {'desc': 'Lot Prorate Data', 'name': 'POLOTZ', 'protocol': 'FLAT'},
    'PO0526': {'desc': 'Serial Prorate Data', 'name': 'POSERZ', 'protocol': 'FLAT'},
    'PO0540': {'desc': 'E-mail Messages', 'name': 'POMSG', 'protocol': 'FLAT'},
    'PO0575': {'desc': 'PO Optional Field Callbacks', 'name': 'POOFCMD', 'protocol': 'SUPER'},
    'PO0580': {'desc': 'P/O Optional Fields', 'name': 'POOFD', 'protocol': 'DETAIL'},
    'PO0585': {'desc': 'P/O Optional Field Locations', 'name': 'POOFH', 'protocol': 'HEADER'},
    'PO0600': {'desc': 'Purchase Order Options', 'name': 'POOPT', 'protocol': 'FLAT'},
    'PO0604': {'desc': 'Job Resource Validation', 'name': 'POPMRES', 'protocol': 'SUPER'},
    'PO0605': {'desc': 'Purchase Order Templates', 'name': 'POPLAT', 'protocol': 'FLAT'},
    'PO0606': {'desc': 'Create POs Header', 'name': 'POPOGH', 'protocol': 'HEADER'},
    'PO0607': {'desc': 'Create POs Header Opt. Fields', 'name': 'POPOGHO', 'protocol': 'DETAIL'},
    'PO0608': {'desc': 'Create POs Detail', 'name': 'POPOGL', 'protocol': 'DETAIL'},
    'PO0609': {'desc': 'Create POs Detail Opt. Fields', 'name': 'POPOGLO', 'protocol': 'DETAIL'},
    'PO0610': {'desc': 'Purchase Order Comments', 'name': 'POPORC', 'protocol': 'DETAIL'},
    'PO0611': {'desc': 'PO Audit Hdr. Optional Fields', 'name': 'POPOAHO', 'protocol': 'DETAIL'},
    'PO0612': {'desc': 'Purchase Order Audit Headers', 'name': 'POPORAH', 'protocol': 'HEADER'},
    'PO0613': {'desc': 'PO Audit Line Optional Fields', 'name': 'POPOALO', 'protocol': 'DETAIL'},
    'PO0614': {'desc': 'Purchase Order Audit Lines', 'name': 'POPORAL', 'protocol': 'DETAIL'},
    'PO0619': {'desc': 'Purchase Order Functions', 'name': 'POPORG', 'protocol': 'SUPER'},
    'PO0620': {'desc': 'Purchase Orders', 'name': 'POPORH', 'protocol': 'HEADER'},
    'PO0621': {'desc': 'Purchase Order Postings', 'name': 'POPORI', 'protocol': 'HEADER'},
    'PO0622': {'desc': 'Purchase Order Day-ends', 'name': 'POPORJ', 'protocol': 'FLAT'},
    'PO0623': {'desc': 'Purchase Order Hdr Opt. Fields', 'name': 'POPORHO', 'protocol': 'DETAIL'},
    'PO0629': {'desc': 'Purchase Order Day-end Lines', 'name': 'POPORN', 'protocol': 'FLAT'},
    'PO0630': {'desc': 'Purchase Order Lines', 'name': 'POPORL', 'protocol': 'DETAIL'},
    'PO0631': {'desc': 'Purchase Order Posting Lines', 'name': 'POPORM', 'protocol': 'DETAIL'},
    'PO0632': {'desc': 'Purchase Order Requisitions', 'name': 'POPORR', 'protocol': 'DETAIL'},
    'PO0633': {'desc': 'Purchase Order Det. Opt. Fields', 'name': 'POPORLO', 'protocol': 'DETAIL'},
    'PO0634': {'desc': 'Purchase Order Item Details', 'name': 'POPORLI', 'protocol': 'SUPER'},
    'PO0636': {'desc': 'P/O Order Posting', 'name': 'POPORZ', 'protocol': 'SUPER'},
    'PO0640': {'desc': 'Mark Documents Printed', 'name': 'POPRNT', 'protocol': 'SUPER'},
    'PO0650': {'desc': 'Line Cost Proration Details', 'name': 'POPRXC', 'protocol': 'DETAIL'},
    'PO0653': {'desc': 'Cost Prorations', 'name': 'POPRXG', 'protocol': 'SUPER'},
    'PO0656': {'desc': 'Cost Proration Headers', 'name': 'POPRXH', 'protocol': 'HEADER'},
    'PO0658': {'desc': 'Cost Proration Details', 'name': 'POPRXL', 'protocol': 'DETAIL'},
    'PO0660': {'desc': 'Line Cost Proration Details', 'name': 'POPRXP', 'protocol': 'DETAIL'},
    'PO0681': {'desc': 'Receipt Audit Hdr. Opt. Fields', 'name': 'PORCAHO', 'protocol': 'DETAIL'},
    'PO0682': {'desc': 'Receipt Audit Line Opt. Fields', 'name': 'PORCALO', 'protocol': 'DETAIL'},
    'PO0683': {'desc': 'Receipt Audit Cost Opt. Fields', 'name': 'PORCASO', 'protocol': 'DETAIL'},
    'PO0686': {'desc': 'Receipt Audit Headers', 'name': 'PORCPAH', 'protocol': 'HEADER'},
    'PO0688': {'desc': 'Receipt Audit Lines', 'name': 'PORCPAL', 'protocol': 'DETAIL'},
    'PO0690': {'desc': 'Receipt Audit Prorate Lines', 'name': 'PORCPAQ', 'protocol': 'DETAIL'},
    'PO0692': {'desc': 'Receipt Audit Costs', 'name': 'PORCPAS', 'protocol': 'DETAIL'},
    'PO0695': {'desc': 'Receipt Comments', 'name': 'PORCPC', 'protocol': 'DETAIL'},
    'PO0696': {'desc': 'Receipt Cost Distributions', 'name': 'PORCPD', 'protocol': 'DETAIL'},
    'PO0697': {'desc': 'Receipt Posting Cost Distribs.', 'name': 'PORCPE', 'protocol': 'DETAIL'},
    'PO0698': {'desc': 'Receipt Day-end Cost Distribs.', 'name': 'PORCPF', 'protocol': 'FLAT'},
    'PO0699': {'desc': 'Receipt Functions', 'name': 'PORCPG', 'protocol': 'SUPER'},
    'PO0700': {'desc': 'Receipts', 'name': 'PORCPH', 'protocol': 'HEADER'},
    'PO0701': {'desc': 'Receipt Postings', 'name': 'PORCPI', 'protocol': 'HEADER'},
    'PO0702': {'desc': 'Receipt Day-ends', 'name': 'PORCPJ', 'protocol': 'FLAT'},
    'PO0703': {'desc': 'Receipt Optional Fields', 'name': 'PORCPHO', 'protocol': 'DETAIL'},
    'PO0704': {'desc': 'Receipt Distribute Proration', 'name': 'PORCPK', 'protocol': 'SUPER'},
    'PO0705': {'desc': 'Receipt Purchase Orders', 'name': 'PORCPR', 'protocol': 'DETAIL'},
    'PO0709': {'desc': 'Receipt Sage Fixed Assets Detail', 'name': 'PORCPLF', 'protocol': 'FLAT'},
    'PO0710': {'desc': 'Receipt Lines', 'name': 'PORCPL', 'protocol': 'DETAIL'},
    'PO0711': {'desc': 'Receipt Posting Lines', 'name': 'PORCPM', 'protocol': 'DETAIL'},
    'PO0712': {'desc': 'Receipt Day-end Lines', 'name': 'PORCPN', 'protocol': 'FLAT'},
    'PO0713': {'desc': 'Receipt Additional Costs', 'name': 'PORCPQ', 'protocol': 'DETAIL'},
    'PO0714': {'desc': 'Receipt Additional Costs', 'name': 'PORCPS', 'protocol': 'DETAIL'},
    'PO0715': {'desc': 'Receipt Posting Additional Costs', 'name': 'PORCPT', 'protocol': 'DETAIL'},
    'PO0716': {'desc': 'Receipt Day-end Additional Costs', 'name': 'PORCPU', 'protocol': 'FLAT'},
    'PO0717': {'desc': 'Receipt Detail Optional Fields', 'name': 'PORCPLO', 'protocol': 'DETAIL'},
    'PO0718': {'desc': 'Receipt Vendors', 'name': 'PORCPV', 'protocol': 'DETAIL'},
    'PO0719': {'desc': 'Receipt Add. Cost Opt. Field', 'name': 'PORCPSO', 'protocol': 'DETAIL'},
    'PO0720': {'desc': 'P/O Receipt Posting', 'name': 'PORCPZ', 'protocol': 'SUPER'},
    'PO0721': {'desc': 'Receipt Vendors Optional Fields', 'name': 'PORCPVO', 'protocol': 'DETAIL'},
    'PO0722': {'desc': 'Pending Receipts', 'name': 'PORCPPI', 'protocol': 'SUPER'},
    'PO0723': {'desc': 'Pending Receipt Details', 'name': 'PORCPPJ', 'protocol': 'SUPER'},
    'PO0724': {'desc': 'Return Audit Headers', 'name': 'PORETAH', 'protocol': 'HEADER'},
    'PO0726': {'desc': 'Return Audit Lines', 'name': 'PORETAL', 'protocol': 'DETAIL'},
    'PO0727': {'desc': 'Return Audit Prorate Lines', 'name': 'PORETAQ', 'protocol': 'DETAIL'},
    'PO0728': {'desc': 'Return Audit Costs', 'name': 'PORETAS', 'protocol': 'DETAIL'},
    'PO0729': {'desc': 'Return Comments', 'name': 'PORETC', 'protocol': 'DETAIL'},
    'PO0730': {'desc': 'Return Functions', 'name': 'PORETG', 'protocol': 'SUPER'},
    'PO0731': {'desc': 'Returns', 'name': 'PORETH', 'protocol': 'HEADER'},
    'PO0732': {'desc': 'Return Postings', 'name': 'PORETI', 'protocol': 'HEADER'},
    'PO0733': {'desc': 'Return Day-ends', 'name': 'PORETJ', 'protocol': 'FLAT'},
    'PO0734': {'desc': 'Return Day-end Lines', 'name': 'PORETN', 'protocol': 'FLAT'},
    'PO0735': {'desc': 'Return Lines', 'name': 'PORETL', 'protocol': 'DETAIL'},
    'PO0736': {'desc': 'Return Posting Lines', 'name': 'PORETM', 'protocol': 'DETAIL'},
    'PO0738': {'desc': 'Return Optional Fields', 'name': 'PORETHO', 'protocol': 'DETAIL'},
    'PO0739': {'desc': 'Return Detail Optional Fields', 'name': 'PORETLO', 'protocol': 'DETAIL'},
    'PO0740': {'desc': 'Return Audit Hdr. Opt. Fields', 'name': 'POREAHO', 'protocol': 'DETAIL'},
    'PO0741': {'desc': 'Return Audit Line Opt. Fields', 'name': 'POREALO', 'protocol': 'DETAIL'},
    'PO0744': {'desc': 'P/O Return Posting', 'name': 'PORETZ', 'protocol': 'SUPER'},
    'PO0747': {'desc': 'Report Services', 'name': 'PORPTS', 'protocol': 'SUPER'},
    'PO0750': {'desc': 'Requisition Comments', 'name': 'PORQNC', 'protocol': 'DETAIL'},
    'PO0759': {'desc': 'Requisition Functions', 'name': 'PORQNG', 'protocol': 'SUPER'},
    'PO0760': {'desc': 'Requisitions', 'name': 'PORQNH', 'protocol': 'HEADER'},
    'PO0763': {'desc': 'Requisition Header Opt. Fields', 'name': 'PORQNHO', 'protocol': 'DETAIL'},
    'PO0770': {'desc': 'Requisition Lines', 'name': 'PORQNL', 'protocol': 'DETAIL'},
    'PO0773': {'desc': 'Requisition Detail Opt. Fields', 'name': 'PORQNLO', 'protocol': 'DETAIL'},
    'PO0777': {'desc': 'Requisition Vendors', 'name': 'PORQNLV', 'protocol': 'DETAIL'},
    'PO0780': {'desc': 'Receipt Line Serials', 'name': 'PORCPLS', 'protocol': 'DETAIL'},
    'PO0781': {'desc': 'Receipt Posting Lines Lots', 'name': 'PORCPML', 'protocol': 'DETAIL'},
    'PO0785': {'desc': 'Restart', 'name': 'PORSTRT', 'protocol': 'FLAT'},
    'PO0788': {'desc': 'Receipt Posting Lines Serials', 'name': 'PORCPMS', 'protocol': 'DETAIL'},
    'PO0789': {'desc': 'Receipt Line Lots', 'name': 'PORCPLL', 'protocol': 'DETAIL'},
    'PO0790': {'desc': 'Return Line Serials', 'name': 'PORETLS', 'protocol': 'DETAIL'},
    'PO0791': {'desc': 'Return Posting Lines Serials', 'name': 'PORETMS', 'protocol': 'DETAIL'},
    'PO0798': {'desc': 'Return Posting Lines Lots', 'name': 'PORETML', 'protocol': 'DETAIL'},
    'PO0799': {'desc': 'Return Line Lots', 'name': 'PORETLL', 'protocol': 'DETAIL'},
    'PO0800': {'desc': 'Statistics', 'name': 'POSTTL', 'protocol': 'FLAT'},
    'PO0810': {'desc': 'Invoice Line Serials', 'name': 'POINVLS', 'protocol': 'DETAIL'},
    'PO0811': {'desc': 'Invoice Posting Lines Serials', 'name': 'POINVMS', 'protocol': 'DETAIL'},
    'PO0818': {'desc': 'Invoice Posting Lines Lots', 'name': 'POINVML', 'protocol': 'DETAIL'},
    'PO0819': {'desc': 'Invoice Line Lots', 'name': 'POINVLL', 'protocol': 'DETAIL'},
    'PO0820': {'desc': 'Credit/Debit Note Line Serials', 'name': 'POCRNLS', 'protocol': 'DETAIL'},
    'PO0821': {'desc': 'Return Posting Lines Serials', 'name': 'POCRNMS', 'protocol': 'DETAIL'},
    'PO0828': {'desc': 'Return Posting Lines Lots', 'name': 'POCRNML', 'protocol': 'DETAIL'},
    'PO0829': {'desc': 'Credit/Debit Note Line Lots', 'name': 'POCRNLL', 'protocol': 'DETAIL'},
    'PO0850': {'desc': 'Purchase Orders Activation', 'name': 'POUPGD', 'protocol': 'SUPER'},
    'PO0900': {'desc': 'Ship-Via Addresses', 'name': 'POVIA', 'protocol': 'FLAT'},
    'PO0980': {'desc': 'Inventory Lot Numbers', 'name': 'POXLOT', 'protocol': 'HEADER'},
    'PO0981': {'desc': 'Lot Optional Fields', 'name': 'POXLOTO', 'protocol': 'DETAIL'},
    'PO0982': {'desc': 'Inventory Serial Numbers', 'name': 'POXSER', 'protocol': 'HEADER'},
    'PO0983': {'desc': 'Serial Optional Fields', 'name': 'POXSERO', 'protocol': 'DETAIL'},
    'PO0999': {'desc': '', 'name': 'GENSTUB', 'protocol': 'FLAT'},
    'RA': {'desc': 'Return Material Authorization', 'name': '', 'protocol': 'APP'},
    'RA0001': {'desc': 'Return Authorizations', 'name': 'RAHEAD', 'protocol': 'HEADER'},
    'RA0002': {'desc': 'Return Authorization Details', 'name': 'RADET', 'protocol': 'DETAIL'},
    'RA0010': {'desc': 'Authorization Codes', 'name': 'RAAUT', 'protocol': 'FLAT'},
    'RA0011': {'desc': 'External Status', 'name': 'RAEXT', 'protocol': 'FLAT'},
    'RA0012': {'desc': 'Fault Codes', 'name': 'RAFAU', 'protocol': 'FLAT'},
    'RA0013': {'desc': 'Workflow Stage', 'name': 'RAINT', 'protocol': 'FLAT'},
    'RA0014': {'desc': 'Repair Agent', 'name': 'RAREP', 'protocol': 'FLAT'},
    'RA0015': {'desc': 'Setup Options', 'name': 'RAOPT', 'protocol': 'FLAT'},
    'RA0016': {'desc': 'Period End', 'name': 'RAPEND', 'protocol': 'SUPER'},
    'RA0017': {'desc': 'RMA Template Codes', 'name': 'RATEMPL', 'protocol': 'FLAT'},
    'RA0018': {'desc': 'RMA Serial Numbers', 'name': 'RASELRA', 'protocol': 'DETAIL'},
    'RA0019': {'desc': 'RMA Item Policies', 'name': 'RAITEM', 'protocol': 'FLAT'},
    'RA0020': {'desc': 'RMA Comments/Instructions', 'name': 'RACOIN', 'protocol': 'DETAIL'},
    'RA0021': {'desc': 'RMA Lot Numbers', 'name': 'RALOTRA', 'protocol': 'DETAIL'},
    'RA0022': {'desc': 'RMA Kitting Details', 'name': 'RACOMD', 'protocol': 'DETAIL'},
    'RA0023': {'desc': 'RMA Kitting Serial Numbers', 'name': 'RACOMDS', 'protocol': 'DETAIL'},
    'RA0024': {'desc': 'RMA Kitting Lot Numbers', 'name': 'RACOMDL', 'protocol': 'DETAIL'},
    'RA0026': {'desc': 'RMA BOM Details', 'name': 'RABOMD', 'protocol': 'DETAIL'},
    'RA0030': {'desc': 'Optional Field Locations', 'name': 'RAOFH', 'protocol': 'HEADER'},
    'RA0031': {'desc': 'Optional Fields', 'name': 'RAOFD', 'protocol': 'DETAIL'},
    'RA0032': {'desc': 'RA Optional Field Callbacks', 'name': 'RAOFCMD', 'protocol': 'SUPER'},
    'RA0033': {'desc': 'RMA Header Optional Fields', 'name': 'RAHEADO', 'protocol': 'DETAIL'},
    'RA0034': {'desc': 'RMA Detail Optional Fields', 'name': 'RADETO', 'protocol': 'DETAIL'},
    'RA0035': {'desc': 'RMA Customers', 'name': 'RACUST', 'protocol': 'FLAT'},
    'RA0036': {'desc': 'Email Message', 'name': 'RAMSG', 'protocol': 'FLAT'},
    'RA0097': {'desc': '', 'name': 'RALIC', 'protocol': 'FLAT'},
    'RA0098': {'desc': 'RA Activation', 'name': 'RAINIT', 'protocol': 'SUPER'},
    'RA0099': {'desc': 'RA Data Integrity Checker', 'name': 'RAINTCK', 'protocol': 'SUPER'},
    'RA0115': {'desc': 'Product Update', 'name': 'RAPU', 'protocol': 'FLAT'},
    'TX': {'desc': 'Tax Services', 'name': '', 'protocol': 'APP'},
    'TX0001': {'desc': 'Tax Classes', 'name': 'TXCLASS', 'protocol': 'DETAIL'},
    'TX0002': {'desc': 'Tax Authorities', 'name': 'TXAUTH', 'protocol': 'HEADER'},
    'TX0003': {'desc': 'Tax Groups', 'name': 'TXGRP', 'protocol': 'FLAT'},
    'TX0004': {'desc': 'Tax Rates', 'name': 'TXRATE', 'protocol': 'FLAT'},
    'TX0005': {'desc': 'Tax Tracking Details', 'name': 'TXAUDIT', 'protocol': 'SUPER'},
    'TX0011': {'desc': 'Tax Tracking', 'name': 'TXAUDH', 'protocol': 'HEADER'},
    'TX0012': {'desc': 'Tax Tracking Item Class', 'name': 'TXAUDD', 'protocol': 'DETAIL'},
    'TX0013': {'desc': 'Tax State Headers', 'name': 'TXSTATEH', 'protocol': 'HEADER'},
    'TX0014': {'desc': 'Tax State Details', 'name': 'TXSTATED', 'protocol': 'DETAIL'},
    'TX0015': {'desc': 'Tax Rate Codes', 'name': 'TXRCODE', 'protocol': 'FLAT'},
    'TX0016': {'desc': 'Withholding Tax Rates', 'name': 'TXWHRATE', 'protocol': 'FLAT'},
    'TX0017': {'desc': 'Reverse Charges', 'name': 'TXREVCHG', 'protocol': 'FLAT'},
    'TX0021': {'desc': 'Tax Services Restart', 'name': 'TXRSTRT', 'protocol': 'FLAT'},
    'TX0900': {'desc': 'Tax Services Activation', 'name': 'TXINIT', 'protocol': 'SUPER'},
    'TX0901': {'desc': 'Tax Calculation', 'name': 'TXCALC', 'protocol': 'SUPER'},
    'TX0902': {'desc': 'Tax Rate Matrix', 'name': 'TXMATX', 'protocol': 'SUPER'},
    'TX0903': {'desc': 'Tax Audit Clearing', 'name': 'TXCLEAR', 'protocol': 'SUPER'},
    'TX0904': {'desc': 'Tax allocation', 'name': 'TXALLOC', 'protocol': 'SUPER'},
    'TX0910': {'desc': 'Tax Document Calculation', 'name': 'TXDCALC', 'protocol': 'SUPER'},
    'TX0990': {'desc': 'Tax Services Integrity Check', 'name': 'TXDCHK', 'protocol': 'SUPER'},
    'VI': {'desc': 'Extender', 'name': '', 'protocol': 'APP'},
    'VI0001': {'desc': 'Settings', 'name': 'VIOPT', 'protocol': 'FLAT'},
    'VI0002': {'desc': '', 'name': 'VILOG', 'protocol': 'FLAT'},
    'VI0003': {'desc': 'Views', 'name': 'VIVIEWH', 'protocol': 'HEADER'},
    'VI0004': {'desc': 'Events', 'name': 'VIVIEWD', 'protocol': 'DETAIL'},
    'VI0005': {'desc': 'Views', 'name': 'VIVIEWS', 'protocol': 'FLAT'},
    'VI0006': {'desc': 'Fields', 'name': 'VIFIELDS', 'protocol': 'FLAT'},
    'VI0007': {'desc': 'Events', 'name': 'VIEVENTS', 'protocol': 'FLAT'},
    'VI0008': {'desc': 'Message Templates', 'name': 'VIMSG', 'protocol': 'FLAT'},
    'VI0009': {'desc': 'Run Script', 'name': 'VIEXEC', 'protocol': 'SUPER'},
    'VI0010': {'desc': 'Scripts', 'name': 'VIVIEWM', 'protocol': 'DETAIL'},
    'VI0011': {'desc': 'Custom Tables', 'name': 'VICUSTH', 'protocol': 'HEADER'},
    'VI0012': {'desc': 'Fields', 'name': 'VICUSTD', 'protocol': 'DETAIL'},
    'VI0013': {'desc': 'Keys', 'name': 'VICUSTK', 'protocol': 'DETAIL'},
    'VI0014': {'desc': 'VISCRIPT', 'name': 'VISCRIPT', 'protocol': 'FLAT'},
    'VI0015': {'desc': 'Extender Scripts', 'name': 'VIFILES', 'protocol': 'FLAT'},
    'VI0016': {'desc': '', 'name': 'VISLA', 'protocol': ''},
    'VI0017': {'desc': 'Workflow Instance', 'name': 'VIWORKIH', 'protocol': 'HEADER'},
    'VI0018': {'desc': 'Workflow Values', 'name': 'VIWORKIV', 'protocol': 'DETAIL'},
    'VI0019': {'desc': 'Workflow Templates', 'name': 'VIWORKTH', 'protocol': 'HEADER'},
    'VI0020': {'desc': 'Steps', 'name': 'VIWORKTS', 'protocol': 'DETAIL'},
    'VI0021': {'desc': 'Step Progress To', 'name': 'VIWORKTP', 'protocol': 'DETAIL'},
    'VI0022': {'desc': 'Template Values', 'name': 'VIWORKTV', 'protocol': 'DETAIL'},
    'VI0023': {'desc': 'Groups', 'name': 'VIGROUPH', 'protocol': 'HEADER'},
    'VI0024': {'desc': 'Users', 'name': 'VIGROUPD', 'protocol': 'DETAIL'},
    'VI0025': {'desc': 'Workflow Log', 'name': 'VIWLOG', 'protocol': 'FLAT'},
    'VI0026': {'desc': '', 'name': 'VIPU', 'protocol': 'FLAT'},
    'VI0027': {'desc': 'Menus', 'name': 'VIMENU', 'protocol': 'FLAT'},
    'VI0028': {'desc': 'Modules', 'name': 'VIMODULE', 'protocol': 'FLAT'},
    'VI0029': {'desc': 'UI Patch Table', 'name': 'VIPATCH', 'protocol': 'FLAT'},
    'VI0030': {'desc': 'VIBIN', 'name': 'VIBIN', 'protocol': 'FLAT'},
    'VI0031': {'desc': 'Step Actions', 'name': 'VIWORKTA', 'protocol': 'DETAIL'},
    'VI0032': {'desc': 'Workflows', 'name': 'VIVIEWW', 'protocol': 'DETAIL'},
    'VI0033': {'desc': 'Colours', 'name': 'VICOLOR', 'protocol': 'FLAT'},
    'VI0034': {'desc': 'Workflow Log Values', 'name': 'VIWLOGV', 'protocol': 'FLAT'},
    'VI0035': {'desc': 'Workflow Instance Log', 'name': 'VIWILOG', 'protocol': 'FLAT'},
    'VI0099': {'desc': '', 'name': 'VIINIT', 'protocol': 'SUPER'}
}